Introduction

Getting Started with Altap Salamander

With Altap Salamander you can organize your files and directories using the convenient double-panel framework (introduced in Norton Commander). You can use Altap Salamander to create and remove directories; move, copy, and delete files; connect to directories shared on the network; share directories; secure files and directories; change case of filenames; convert files (coding, line-ends); compare directories; find files; make file lists; view files of almost any format (jpeg, gif, png, html, doc, xls, pdf, dwg, dgn, eps, csv, dbf, mp3, etc.); work with many types of archives (ZIP, RAR, 7-ZIP, TAR, GZIP, etc.), work with FTP, SCP, and SFTP servers, Windows Mobile devices, Windows Registry, and ISO images; undelete (recover) permanently deleted files; shred files (irreversible delete) and clean disk free space; use batch renamer; compare files (visual file comparison); encrypt/decrypt files using AES/Blowfish/TrippleDES; calculate/verify SFV/MD5 checksums; split/combine files; and perform other disk, directory, and file management tasks.

© 2001-2019 ALTAP. All rights reserved.


Using Help

This is context sensitive help system, so you can ask for help directly from opened dialog boxes, on chosen menu items, or on chosen buttons in toolbars, see Accessing Help for details.

The manual is separated into several major sections:

Window Components

This section describes Altap Salamander windows and controls.

Using Altap Salamander

This section describes how to use Altap Salamander for managing files and directories. Particular tasks are separated according to user experience to basic and advanced tasks.

Dialog Boxes

This section describes all dialog boxes and can be quickly referred to when you have a specific question about some dialog option.

Shortcuts

This section contains overview of keyboard and mouse shortcuts usable in Altap Salamander.

Plugins

This section describes plugins for Altap Salamander. Each plugin has its own help where you can find details on purpose, using, configuring, and keyboard shortcuts.

Appendix

This section covers a variety of topics and can be used for general information, as well as reference.

Glossary

This section contains definitions for terms used in the documentation of Altap Salamander.

See Also

Accessing Help


System Requirements

In order to use Altap Salamander, you will need Microsoft Windows 7, 8.1, 10, or later.


License Agreement

Software License Agreement for Altap Salamander.

This is a legal agreement ("Agreement") between you (either an individual or an entity) and ALTAP, spol. s r.o. ("ALTAP") for the ALTAP software product ("Software") with which this Agreement is provided, including associated media, printed materials, and "online" or electronic documentation. The term "Software" also shall include any updates or modified versions of the Software provided to you by ALTAP.

The Software is protected by copyright and other intellectual property laws and by international treaties. The Software is licensed, not sold. The Software is designed and provided to you as a single product to be used as a single product on computers. You are not required to use all component parts of the Software, but you may not unbundle the component parts of the Software for use on different computers.

By copying, installing or using all or any portion of the Software you accept all the terms and conditions of this agreement. If you do not agree to the terms of this Agreement, do not use the Software.

ADD-ON COMPONENTS
Altap Salamander may contain certain add-on components ("Plugins"), e.g. PictView, FTP Client, or WinSCP plugin. You may install and use Plugins solely as part of, and in conjunction with, the Software. You may not use Plugins in any other manner, including using Plugins with any other application.

LICENSE
The Software including all plugins can be used free of charge for both commercial and non-commercial purposes. Software can be installed on one or multiple computers, including virtual machines, and used by one or multiple users.

ADDITIONAL LICENSE TERMS
Software may be freely distributed, provided the distribution package is not modified. You may not charge any fee for the copy or use of the Software. You must not represent in any way that you are licensing or selling the Software itself. Your distribution of the evaluation Software will not entitle you to any compensation from ALTAP.

The software may contain also several third party components, including open source components, which are provided and licensed to you under the terms and conditions of the respective third party licenses (see Third Party Software Notices in thirdpty.txt).

RESTRICTIONS ON USE
You may not use, copy, emulate, clone, lease, sell, rent, sublicense, lend, modify, decompile, disassemble, otherwise reverse engineer, or transfer the Software, or any subset of the Software, except as provided for in this Agreement.

EXCLUSION OF OTHER WARRANTIES
The software is provided "as is" without any express or implied warranty of any kind, including warranties of merchantability, noninfringement, or fitness for a particular purpose. You acknowledge that software cannot be completely error-free.

LIMITATION OF LIABILITY
In no event shall ALTAP or its suppliers be liable for any damages whatsoever (including, without limitation, lost profits, business interruption or lost information) arising out of the use of or inability to use the Software, even if ALTAP has been advised of the possibility of such damages. ALTAP's or its suppliers' total cumulative liability to you arising from this agreement is void. Some jurisdictions prohibit exclusion or limitation of liability for implied warranties or consequential or incidental damages, so the above limitation may not apply to you. You may also have other legal rights that vary from jurisdiction to jurisdiction.


Technical Support

If you experience problems while using Altap Salamander, our technical support is always ready to help you.

Before You Contact Us

Since we have many users we ask that you do the following before contacting us:

  • Check whether you have the most recent version of Altap Salamander.
  • Check to see that the information you need is not already available in the Help file.

Reaching Technical Support

For technical support you can use Altap Salamander's Official Support Forum (forum.altap.cz) or if you need to send us sensitive data, use email support@altap.cz.


What's New in This Release

This section describes most important enhancements, new features, and changes that was made on Altap Salamander.

Altap Salamander 4.0

  • Altap was acquired by Fine company, the civil engineering software developer.
  • Altap Salamander 4.0 is released free of charge for both commercial and non-commercial use.
  • Compiler switched to Visual C++ 2019.
  • Altap Salamander 4.0 requirements: Windows 10, 8.1, or 7 (x86 or x64). CPU with SSE2 support.
  • High DPI support: proper size of panel icons and icon overlays.
  • High DPI support: old toolbar icons are upscaled according to system DPI.
  • High DPI support: support for SVG icons in toolbars. Conversion from bitmaps to SVG is not complete, contacts us on https://forum.altap.cz if you would like to help with this redesign.
  • High DPI support: several bitmaps used in dialog box controls are converted to SVG.
  • High DPI support: Consolas font used for Internal Viewer, File Comparator, and FTP Client.
  • Configuration window could be resized in vertical direction.
  • OpenSSL upgraded to 1.0.2s for security bug fixes.
  • Removed obsolete plugins: UnACE, DiskCopy.
  • 7-Zip
    • Fixed error handling when user entered wrong password while unpacking encrypted archive.
  • IE Viewer
    • Support for viewing markdown files with GitHub extensions.
  • PE Viewer
    • Support for new debug information format REPRO (PE determinism or reproducibility).
    • More information displayed for managed modules.
    • Thanks to Manison!
  • UnMime
    • Better filenames sanitizing.
  • ZIP
    • Fixed creation of SFX in x64 Salamander version.
  • Encrypt
    • Option to suppress warning about using SSD disk for temporary files.

Altap Salamander 3.08

  • OpenSSL upgraded to 1.0.2j for security bug fixes.
  • Go to Shortcut Target: added support for links (junction points, symbolic links). This command was renamed to Go to Shortcut or Link Target.
  • There is a new Focus button in error box displayed when disk operation cannot be finished because of too long name. It shows existing file or directory with too long name in source panel. Or it shows the file or directory that would cause too long name error (e.g. when copying it to longer target path).
  • When changing path in panel (Paste or Change Directory or drag&drop to Directory Line), file URL is translated to Windows path (e.g. file:///c|/WINDOWS to C:\WINDOWS).
  • Paste path to panel, Load Selection from clipboard to panel, and drag&drop path to Command Line and Directory Line from some applications (e.g. Google Chrome) has not worked properly because of stripped diacritics in transferred texts. Newly we are using unicode instead of multibyte strings to get these texts properly.
  • Drag&drop from Status Line and Directory Line to some applications (e.g. Google Chrome) has not worked properly because they expected strings in UTF-8 encoding instead of in active Windows code page. Newly we are using unicode to transfer these texts properly.
  • Internal Viewer: you can extend the selected block by mouse or keyboard. Use Shift key and left mouse click or arrows, Home, and End keys. Details are in help: Altap Salamander: Using Internal Viewer: Selecting Text.
  • Internal Viewer: Go To Offset command newly remembers last value of HEX check box.
  • Internal Viewer: tooltip in Hex mode shows offset in file in hex and newly also in decimal number.
  • Internal Viewer: when copying block bigger than 100MB to clipboard or starting drag&drop for such big block, warning that it will be slow is displayed and user can skip it.
  • Internal Viewer: several bug fixes.
  • File Overwrite confirmation window: besides file's size, date, and time are newly displayed also file's attributes.
  • Context menu commands: fixed losing of focus for some commands creating temporary file just for a while. This file was focused and then disappeared.
  • 7-Zip plugin:
    • 7-Zip engine upgraded to latest version 16.04.

Altap Salamander 3.07

  • Internal viewer: added Go To Offset command to menu View (Ctrl+G).
  • Support for OneDrive Business accounts.
  • OneDrive: fixed icon in Change Drive menu.
  • Updated paths to OneDrive and Dropbox directories.
  • OpenSSL upgraded to 1.0.2h for security bug fixes.
  • Improved Windows 10 support.
  • Several major improvements in Windows shutdown handling. Solves problems involving corrupted Salamander configuration.
  • Finished French and Dutch translations.
  • Pack and Delete (move to archive): disabled for links to directories.
  • Junction points with read-only attribute could be deleted.
  • Find Files and Directories: directories in which you start the search cannot be ignored.
  • Archivers Autoconfiguration and Create Directory: fixed problems on too long paths.
  • Drive Information: added Volume mount point, Volume GUID path and Bytes per cluster fields. Tab key can be used to focus desired fields.
  • Calculate Occupied Space: added 64KB and 128KB clusters.
  • Support for treating symbolic links to files like common files.
  • Improved handling of symbolic links in Convert, Find Files and Directories, and Email commands.
  • Find Files and Directories and Command Line: better long path shortener.
  • Improved plugins multithreading model during closing plugin, closing handles, or waiting for forced plugin shutdown.
  • Sanitized file name input in Copy and Move, Edit New File, Change Directory, Create Directory, and Quick Rename commands (beginning and trailing spaces and dots).
  • Internal Viewer: fixed several bugs in situation when viewed file changed and was reloaded.
  • Internal Viewer: fixed painting errors after changing font.
  • Better delete file handling when file has read-only attribute or is target of multiple hardlinks.
  • Cleaning old TEMP directory on Altap Salamander start: Focus button is available to review deleted files.
  • 7-Zip plugin:
    • 7-Zip engine upgraded to latest version 16.02. Solves several security issues.
  • Checksum plugin:
    • Reading of directory tree in modeless window.
    • Several speed optimizations, plugin is now prepared for large directories.
    • Improved SVF, MD5, SH1 format detection.
  • Database viewer:
    • Fixed random crash when viewed file changed.
  • Encrypt plugin:
    • Clean Free Disk Space: New method "Zeros overwrite" fills free disk space. Use for example before backuping disk image to get smaller compressed output.
    • Support for volume mount points. It is possible to clean volume mounted to directory on another volume.
    • Symbolic links supported.
    • Warning message when attempt to shred files on SSD drive is detected.
    • Support for SUBST paths resolving.
    • Fixed handling of too long paths.
  • FTP Client plugin:
    • Improved download speed.
    • Better OpenSSL DLL loading, should solve "not found" problems on some systems.
    • Several GUI fixes.
  • Internet Explorer Viewer:
    • Rendering with current IE engine instead of Quirks mode.
    • Support for IE 11.
    • High DPI support, GPU acceleration.
  • Portable Executable Viewer:
    • New PE Viewer configuration (in Options > Plugin Configuration). It is possible to choose which sections will be displayed.
    • Support for new subsystems.
    • Support for new flags in DLL Characteristics.
    • Added Load Configuration Directory dumper (for now only SecurityCookie /GS).
    • Added several parsers and dumpers: resource section parser, manifest, StringFileInfo, VS_FIXEDFILEINFO, .NET assembly, CLR header, target .NET Framework.
  • PictView:
    • Support for scanning with WIA 1.0 from x64 Altap Salamander build.
    • Support for scanning multiple pages.
    • Several bug fixes in file name handling.
    • Fixed several bugs causing crashes (long file paths names, NULL handles, ...).
  • Renamer plugin:
    • Improved stability: fixed long path handling.
    • Command Options > Last used now sets Include Subdirectories option.
  • Split and Combine plugin:
    • Support for symbolic links.
    • Fixed handling of too long paths.
  • TAR plugin:
    • Improved GZip archive handling.
  • Undelete plugin:
    • exFAT support.
    • Improved error handling.
    • Support for undeleting partially recoverable files.
    • New options in Undelete dialog box: Show files with zero size, Show empty directories, and Show partition metadata.
    • Metafiles on FAT and exFAT.
    • Fixed problem with All Deleted Files virtual folder on FAT: different files with the same name were displayed just once.
    • Deleted overlay icons.
    • Fixed support for NTFS sparse files with sparse data runs within valid data runs.
    • Implemented context menu.
    • Data Runs encoding and decoding refactored.
    • NTFS: Support for 512B MFT resident clusters.
    • NTFS: support for compressed files encoded into multiple sparse runs inside one compression unit.
    • NTFS: reading of Bitmap is now included into progress.
    • NTFS and exFAT: improved (20x) bitmap reading speed.
  • ZIP plugin:
    • Improved long path handling.
    • Improved support for zip64.
    • When packing symbolic links to files, packing progress was not shown properly.

Altap Salamander 3.06

  • OpenSSL upgraded to 1.0.1l for security bug fixes.

Altap Salamander 3.05

  • Eroiica Viewer plugin is removed and will no longer be part of Altap Salamander. We are sorry for inconvenience, unfortunately the underlying rendering engine cannot be licensed anymore. If you know any suitable rendering engine that can be bundled with Salamander, please contact us on support@altap.cz. Thank you.

Altap Salamander 3.04

  • OpenSSL upgraded to 1.0.1j for security bug fixes.
  • Fixed Ctrl+Number hotkey in Copy/Move dialog box.
  • It is possible to move User Menu submenu into/over another submenu.
  • WinSCP: Failure when SSH authentication prompt with no actual prompts is received.

Altap Salamander 3.03

  • When network path in panel has become inaccessible when Salamander's main window was inactive, it was not possible to cancel checking of inaccessible network path. You can use ESC key or click on close button in checking path window now.
  • FTP Client: OpenSSL updated to version 1.0.1h. Fixed SSL/TLS MITM vulnerability - CVE-2014-0224. Both libeay32.dll and ssleay32.dll compiled with /DYNAMICBASE (ASLR - Address Space Layout Randomization) and /NXCOMPAT (DEP - Data Execution Prevention) options for better security.
  • UnISO: Fixed extraction of files over 4GB from HFS+ (ISO/DMG) archives. The extracted file content was clipped to modulo 4GB, leaving the rest filled with zeros.
  • UnISO: Xbox: Fixed extraction of CreationTime for the "Information on image" summary. Fixed scanning directories spanning over multiple sectors.

Altap Salamander 3.02

  • Shift+F3 (Open Active Folder command) uses short 8.3 name when available. It is possible to display and focus any name (even names requiring support of unicode) from panel in Window Explorer window.
  • Altap Salamander and plugins are compiled with /DYNAMICBASE (ASLR - Address Space Layout Randomization) and /NXCOMPAT (DEP - Data Execution Prevention) options for better security.
  • Fixed old UI glitch. Empty panel hint "There are no items in this panel." was sometimes painted several times without erasing background.
  • Getting OneDrive (formerly SkyDrive) folder location on Windows 8.1 works fine even with changed location of OneDrive folder.
  • If Google Drive folder does not exist on disk (sometimes when you are not logged in), Google Drive icon is not shown in Change Drive menu and Drive toolbars.
  • Portable Executable Viewer: Text descriptions for DLL Characteristics flags such as Image can be relocated at load time, Image is NX compatible, etc.

Altap Salamander 3.01

  • Hot Paths count extended from 10 to 30. Use Ctrl+Shift+= to add the current directory to Hot Paths. It works only if some Hot Path on position 11..30 is free.
  • Find window: new command Open All Selected (Shift+Enter). Opens all selected files and directories.
  • New option: Keep environment variables updated to system values. It is checked by default, Salamander reads system environment variables on start and when system environment variables are changed. Values of environment variables inherited from parent process are overwritten by values from system. Variables which do not exist in system remain untouched. Newly you can uncheck this option to use inherited environment variables in running Salamander and all processes started from it.
  • UnRAR.DLL is W2K compatible again (added missing TzSpecificLocalTimeToSystemTime).
  • Checksum plugin: fixed SHA-256 and SHA-512 for files with size from 0x20000000 bytes. Faster SHA-256 and SHA-512 algorithm.
  • OpenSSL 1.0.1g with fix pro TLS heartbeat read overrun (CVE-2014-0160).
  • Fixed Windows 8 problem with missing SALRTL9.DLL.

Altap Salamander 3.0

  • Compatible with Windows 8.1, 8, 7, Vista, XP, and 2000 (both 32-bit and 64-bit). Fixed compatibility warning when starting Altap Salamander on Windows 8.1.
  • New native x64 version of Altap Salamander to bypass limitations of x86 applications (File System Redirector, Registry Redirector). With x64 version you will see real directories on your disks instead of redirected ones, x64 keys in Registry (x86 keys are under Wow6432Node), and context menu items coming from x64 shell extensions. All plugins were ported to x64 except of UnACE (there is no x64 version of UnACE library) and third-party plugins: WinSCP and Eroiica Viewer. Start x86 version for tasks you cannot finish with the x64 build. Both x64 and x86 versions of Altap Salamander 3.0 can be installed at the same time and sharing the same configuration in the Registry.
  • Copy files on Windows 7 and later: we have added faster asynchronous algorithm for copying files to/from network. Its speed on our local GLAN network is 111 MB/s, conventional algorithm speed is 86 MB/s. It affects also moving of files in case you are not moving in scope of one volume (then it is just rename, not copy and delete).
  • Console version of WinRAR 5.0 supported.
  • Support for progress bars in Windows 7 and 8 taskbar buttons.
  • Hot paths are available in Altap Salamander jump list (Windows 7+ feature).
  • Altap Salamander 3.0 has most reliable copy routine on the market:
    • When copying is interrupted (e.g. network is temporarily disconnected or target disk is full), Salamander can retry copying and continue where copy operation was interrupted. It verifies end of unfinished target file against source file to detect potential write errors. It's especially useful for long transfers via VPN or other slow networks. Explorer and Total Commander (TC) always start from the beginning, retrying is not supported.
    • Copying/moving links (junction points, symlinks, or volume mount points) to different disk: choose if you want to copy link target or skip it and just create empty directory. Explorer always skips links when moving and copies link target when copying, TC always copies link target.
    • Copy can optionally remove ADS from copied files/directories.
    • Copy is also optimized for slower VPN. It uses smaller blocks, so progress is smooth and you can cancel operation instantly. Explorer and TC uses always large blocks, so progress is changing slowly and cancel is unresponsible.
    • Copy files or directories with ADS to disk not supporting ADS (e.g. FAT32 flash disk). Salamander asks if you want to continue and shows list of streams which will be lost. Explorer asks if you want to copy without properties. TC copies quietly without streams (it loses data without any warning).
    • Note: Altap Salamander, Windows Explorer, and Total Commander were tested with default settings.
  • Cloud Storage Services support:
    • Change Drive Menu and Drive Bar newly contain items for most popular Cloud Storage Services. Currently we have supported Google Drive, Dropbox, and Microsoft OneDrive.
    • Google Drive icon overlay handler crashed when called from two threads simultaneously (for left and right panel), so we have added synchronization. We use this handler only for files/folders located in Google Drive folder (it is relatively slow).
    • Fixed getting of location of Microsoft OneDrive local folder on Windows 8.1. Better displaying of files which are available online-only (they were hidden together with hidden and system files).
  • Language translations:
    • New language versions: Dutch, French, Russian, Simplified Chinese, and Slovak. Note: Dutch and French versions are not completely translated.
    • Existing language versions: English, Czech, German, Hungarian, Romanian, and Spanish.
    • All language versions were changed to work well with any DPI user chooses (see Control Panel: Adjust font size). Many dialogs and their controls were enlarged to prevent clipping of contained texts.
  • Other changes:
    • When Salamander is started "As Administrator", it displays "(Administrator)" in main window title just after version.
    • Shift+F3: focused file name is selected in Windows Explorer window.
    • Completely revamped bug reporting system with minidump support and option to upload report to Altap server.
    • Commands Paste (Change Directory) and Change Directory (Shift+F7) trim double quotes (see forum.altap.cz/viewtopic.php?t=4160) and expand environment variables.
    • Create Directory: added removing of spaces from beginning and end of specified directory name.
    • Compare Directories: compare by content is faster (up to 100%) for large files (more than 5MB) on Windows Vista/7/8/8.1.
    • Drive Information: it has displayed incorrect used space and free space for volumes with enabled disk quota.
    • User Menu: reading icons for menu items in separate thread, so it does not delay start of Altap Salamander even if icons are placed on network drives or encrypted drives. Reading of these icons have higher priority than reading of icons for invisible parts of panels. Until reading of icons is finished, User Menu contains just simple icons but you can use it as usual. See forum.altap.cz/viewtopic.php?f=16&t=6753.
    • Copy dialog: if you have "Preserve owners and permissions" as default and start copying from FAT32 drive (e.g. USB flash disk), it is no longer trying to preserve owners and permissions (it is not supported of FAT32).
    • Copy/Move with checked "Overwrite older and skip other existing files without asking": speed up when used to copy/move from slow network disk (e.g. from virtual private network - VPN) to local disk.
    • Copy/Move dialog new option: Ignore alternate data streams (ADS). Use this option to remove unwanted ADS from copied files/directories. Use this option also when you know copied/moved files and directories do not contain ADS and you are copying/moving from slow network disk (e.g. from virtual private network - VPN), it can speed up operation drastically, detection of ADS for all copied/moved files/directories is very slow.
    • If filename contains ':' (impossible on Windows, but possible on unix), Salamander reports error instead of working with ADS (Alternate Data Stream).
    • Command line parameters -L, -R, and -A can contain paths to archives which can be expanded up to 520 chars (long path in archive on long path). Whole command line limit is 4096 chars now.
    • Fixed missing 'SystemDrive' environment variable that caused problems during starting various software (for example Visual Studio *.SLN) from Altap Salamander: forum.altap.cz/viewtopic.php?t=6929&p=26525.
    • Windows 8: fixed broken command Open With invoked from the context menu. forum.altap.cz/viewtopic.php?f=16&t=6730 and forum.altap.cz/viewtopic.php?t=6782.
    • Paths for left/right/active panel passed in command line parameters are expanded (environment variables), it is possible to use %APPDATA%, etc. forum.altap.cz/viewtopic.php?f=6&t=6943.
    • Fixed disabled look of "owner draw" buttons.
    • Flat progress bars look.
    • Using external packer/unpacker on path containing '$' failed due to erroneous expansion of initial directory for packer/unpacker.
    • Find window: double click and Enter key open focused file or directory (not all selected ones as in Explorer). You can still use Open command from right click context menu to open all selected files if you need it.
    • Fixed environment variables reload problem: forum.altap.cz/viewtopic.php?f=2&t=6188.
    • Fixed wrong TortoiseSVN icon placement in Windows XP context menu: forum.altap.cz/viewtopic.php?f=2&t=5627.
    • Fixed context menu icons on Windows 7 with DPI > 100%.
    • Fixed several problems reported in EAP versions.
    • x64 Windows and x86 Salamander: Drag&Drop and Copy&Paste from archives or file systems (e.g. FTP) to Explorer is working again (we have added 64-bit shell extension).
    • If viewer window is disabled, it does not accept any commands. It has fixed problem with ClipMate. See: forum.altap.cz/viewtopic.php?f=16&t=7346.
  • Automation plugin:
    • Fixed bug that caused Altap Salamander to crash when executing Python scripts. See forum.altap.cz/viewtopic.php?f=2&t=6934.
    • Some blocking operations (Form, Sleep, MsgBox etc.) can now be aborted.
    • Improved plugin stability when using Ruby scripting engine.
  • Check Version plugin:
    • Plugin is not auto-unloaded when Save configuration on exit option is turned off and plugin configuration is changed. It is now possible to keep changed plugin settings.
    • Added link with option to ignore specified module version.
  • Checksum plugin:
    • Support for SHA-512 (from SHA-2 family, based on FIPS 180-2 standard).
  • File Comparator plugin:
    • If two compared files have the same bytes, File Comparator reports that they are identical. If it just cannot find any difference (all differences are ignored: encoding, white spaces, etc.), it reports only that files appear equal.
    • Fixed displaying of long text lines with differences (over 4681 chars).
    • Fixed opening File Comparator with fcremote.exe while Salamander window was minimized.
    • Small utility for starting File Comparator plugin from the command line, see plugins\filecomp\fcremote.exe.
  • FTP Client plugin:
    • OpenSSL updated to version 1.0.1e.
    • Fixed problem with WEDOS / vsftpd server, see forum.altap.cz/viewtopic.php?f=2&t=6667. We are using more compatible SSLv23_client_method() now.
    • Security: SSL 2.0 was disabled using OPENSSL_NO_SSL2.
    • SSL session reuse is now supported. All data connections are using SSL session from control connection. Faster and more secure solution, see scarybeastsecurity.blogspot.cz/2008/02/your-ftp-ssl-solution-is-really-secure.html.
    • Upload of empty file (zero bytes) over encrypted connection (SSL) has failed on some FTP servers because our client did not encrypt data-connection for empty files. We have fixed it to encrypt all data-connections. See forum.altap.cz/viewtopic.php?f=6&t=6931.
  • Registry Editor plugin:
    • Registry Editor is using reg.exe instead of regedit.exe for Registry exports. The UAC escalation is not needed anymore.
  • TAR plugin:
    • Don't touch OldGnuHeader if archive is not OldGnu format.
  • UnRAR plugin:
    • Support for new RAR 5 format.
  • WinSCP plugin:
    • Cherry pick from 5.2.2: Increase BUFFER_GRANULE, this leads to a nice performance improvement (e.g. 850KiB/s instead of 350KiB/s) at the expense of a little memory. winscp.net/forum/viewtopic.php?t=12460 and forum.altap.cz/viewtopic.php?f=2&t=7386.
    • WinSCP: Upgrade to 4.4.0 winscp.net/eng/docs/salamander_history?rev=1359333969&rev2=1336860797&do=diff.
    • Back-propagated some fixes from WinSCP 5.1.5 beta - 5.1.7 beta releases: winscp.net/eng/docs/salamander_history#1.6.9.
    • Wrong set of transfer settings was available for uploads and downloads forum.altap.cz/viewtopic.php?f=6&t=6723 and forum.altap.cz/viewtopic.php?f=2&t=6928.

Altap Salamander 2.54

  • Included translations: English, Czech, German, Spanish, Hungarian, and Romanian.
  • Altap Salamander now comes with 'Compatible with Windows 7' certification.

Altap Salamander 2.53

  • Support for language translations. Standard package comes with English, Czech, and German translations.
  • Support for x64 pseudo-directories as C:\Windows\Sysnative or C:\Windows\System32\drivers\etc.
  • Several improvements in Compare Directories command (ignore DST shift, ignore masks).
  • Copy/Move dialog box: option to save default options.
  • Find: new option Full Row Select.
  • Support for accelerated mouse wheel scrolling (Altap Salamander panels, menu, viewers).
  • Plugins Manager: alphabetically sorted plugins.
  • Edit New File (Shift+F4): option to change default name.
  • Support for longer commands in command line (up to 8KB).
  • Option Use fast directory move on Novell Netware.
  • Improved Altap Salamander SDK version (trace server autostart, new samples).
  • Early Access Program has started on our support forum.
  • NEW PLUGIN: Automation - automate common tasks using JScript or VBScript.
  • 7Zip: updated to 9.10 beta. New LZMA2 method. Several improvements.
  • Check Version: better presentation of results.
  • File Comparator: up to 7x faster when comparing binary files on the same disk.
  • Network plugin: better Remote Desktop (Terminal Services) support.
  • PictView: new option "Remember path when saving screenshots, scans, clipboard pastes".
  • Registry Editor: Shift+F3 opens regedit.exe with current registry key displayed.
  • UnISO: support for compressed ISZ images, support for BZIP2-compressed DMG packages.
  • UnRAR: support for multi-part archives named .001, .002, 003, etc.

Altap Salamander 2.52

  • New Password Manager with option to protect your passwords with Master Password.
  • Up to 7x faster Compare Directories (by content) command for files on the same disk.
  • Backward compatibility for 2.5 and 2.51 plugins.
  • Panel contents are refreshed even if Salamander's window is not active.
  • Better handling of encrypted files (EFS) and files with alternate data stream (ADS).
  • Fixes and improvements related to Fast User Switching and Terminal Services (Remote Desktop).
  • Better support for mouse wheel (wheel tilting, new shortcuts).
  • New command line parameters.
  • New plugin for browsing network (network neighborhood) directly in panel.
  • New DiskMap plugin: used disk space analyzer and visualizer.
  • New UnCHM plugin: extractor of Microsoft Compiled HTML Help archives.
  • FTP plugin: option to encrypt passwords with AES-256 (uses new Password Manager).
  • FTP plugin: Support for TLS FTP (also known as FTPS or FTPES with AUTH TLS).
  • FTP plugin: Support for ZLIB compression (MODE Z).
  • UnISO plugin: Added support for Apple Hierachical File System Plus (HFS+).
  • TAR plugin: Added support for Debian packages .DEB.
  • File Comparator can compare Unicode files now.
  • 7-Zip plugin: updated to 7z 4.65.
  • ZIP plugin can create files with size over 4GB.
  • WinSCP plugin updated to latest WinSCP version.
  • Checksum plugin: SHA1 and SHA256 hashes are supported.
  • PictView supports autorotation when viewing JPEGs or digital camera RAW files with EXIF.

Altap Salamander 2.51

  • Support for symbolic links (introduced in Windows Vista).
  • ZIP plugin: Altap Self-Extractor must be licensed for any use (except 30 days evaluation). Licenses of Altap Self-Extractor are significantly cheaper now.

Altap Salamander 2.5

  • Operations Copy, Move, Delete, and others are running at background, the main window is not blocked.
  • Operations Copy and Move display current transfer speed and estimated time left (remaining time). You can also set speed limit.
  • Operations Copy, Move, Delete, and others can be Paused and Resumed.
  • Compare Directories command can compare content of files and works with subdirectories.
  • User Menu update: support for submenus, added variables for compare/merge applications (two files or directories to compare/merge), active/inactive panel can be addressed, and list of selected names can be passed to executed application. See the Advanced submenu of the context menu on the button behind the Arguments box in Configuration/User Menu. See Customizing User Menu for details.
  • Icon overlays are displayed in panels (Offline Files, Tortoise SVN, Tortoise CVS, etc.).
  • Quick search mode: you can use either slash character (/) or backslash character (\) to match any string of characters. Just type t/.doc to focus names matching t*.doc* or type /.htm to focus names matching *.htm*. You can also select items using Shift+Up/Down/Home/End keys.
  • Full support for drag & drop is finished. You can use drag & drop to unpack from archives to disk, pack from disk to archive opened in panel or simply drop files on the archive file. You can use drag & drop to move or copy between disk and plugin file systems and also inside one plugin file system or between plugin file systems.
  • Packing to and unpacking from archives using clipboard Cut, Copy, and Paste commands are supported. Copying and moving from disk to plugin file system using clipboard Cut, Copy, and Paste commands are also supported.
  • Documents folder is accessible from Change Drive menu (Alt+F1/F2). You can hide this item in the Configuration/Change Drive Menu.
  • PictView plugin:
    • Full Screen view.
    • Rotating and flipping of displayed image.
    • Image saving and conversion to couple of formats.
    • Opening next/previous picture from panel or Find dialog
    • Show EXIF information about image file, such as shutter speed, aperture, focal length, etc. Use the File/Show Exif command.
    • Command Select/Unselect opened file in Altap Salamander panel or find.
    • You can select part of viewed image and copy it to the clipboard.
    • Print command.
    • Crop command.
    • Histogram command.
    • Screen Capture command.
    • Status bar.
    • Support for scanners.
    • Support for animated GIFs and cursors.
    • Alpha-channel support for ICO, PNG, TGA, TIF.
    • Reading/saving comments for Intergraph format.
    • Added reading of PNG-in-ICO for Windows Vista.
    • Support for *.HPI (Hemera Photo Images), *.NEF and *.CRW (Nikon and Canon digital camera raw formats), *.2BP (Pocket PC/Windows CE bitmap), *.CLK (Corel R.A.V.E.), *.ZNO (Digital Journal), *.MNG (Multiple Network Graphics), *.DDS and *.DTX (DirectX textures).
  • Options for Copy and Move operations:
    • Queuing option: Wait until all other Copy/Move operations are finished.
    • Overwrite older and skip other existing files without asking.
    • Set speed limit.
    • Preserve Archive, Compressed, and Encrypted attributes.
    • Preserve owners and permissions (not inherited) on NTFS drives.
    • Preserve dates and times of directories.
    • Only files: prevent creating of empty directories.
    • Filter by file names using wildcard.
    • Filter by file date, time, size, or attributes.
  • Find Files and Directories:
    • Refine: search in files that were found previously.
    • Append: add to found files.
    • Find Duplicate Files.
    • Added the Ignore Directory List command to skip directories such as "System Volume Information" and a temporary directory.
    • More powerful Advanced options.
  • Added plugins (click on the plugin's name to get basic information about the plugin):
    • FTP Client
    • Eroiica Viewer
    • UnISO
    • Undelete
    • 7-Zip
    • WinSCP
    • Multimedia Viewer
    • Renamer
    • UnLHA
    • Split & Combine
    • Database Viewer
    • UnMIME
    • Registry Editor
    • Encrypt & Decrypt
    • Disk Copy
    • Windows Mobile
    • Checksum
    • UnFAT
    • File Comparator
  • Panel in Detailed modes: new Smart Column mode for Name column (default on). This mode should minimize horizontal scrollbar usage. See Configuration/Views for details.
  • Panel in Detailed modes: new highlight mode. Try to turn on the Configuration/Appearance/Highlight focused row option.
  • Small step to Altap Salamander portability: User Menu, Viewers, Editors, External Archivers has a new path variables $(SalDir), $(WinDir), $(SysDir). You can use "..": "$(SalDir)..\viewer\viewer.exe".
  • Save/Load Selection command (see menu Edit/Advanced): selection can be saved to and loaded from the clipboard or the internal buffer. This feature can be also used for exporting selected names to the clipboard or to select names stored on the clipboard.
  • Make File List command: archives and file systems can be listed and you can export list to the clipboard, Internal Viewer, or to the file.
  • Configurable shortcut keys for plugin's menu commands. See the Keyboard button in the Plugins Manager dialog box.
  • New view modes in panels: Icons (32 x 32 icons), Thumbnails (small previews of pictures, drawings, and documents), and Tiles (48 x 48 icons). See Selecting Current View for details.
  • You can choose the directory that will be opened when the current panel path is inaccessible. Look at Drives configuration page.
  • New options for the Change Drive Menu and the Drive Bar. You can set visibility of your drives and separate groups of drives. See Configuration/Change Drive Menu and Drive Bar for details.
  • NTFS Junction Points are handled properly now.
  • Better handling of disk changes when using removable media. Automatic Retry on CD, DVD, ZIP disk insertion.
  • Support for Alternate Data Streams (ADS) on NTFS partitions (supported from Windows NT 4.0). Alternate Data Streams are copied and moved together with the owner files and directories.
  • Create Directory command was improved: you can create multiple nested directories at the same time. Simply separate individual directory names with the backslash (e.q. newdir\suddir).
  • New sort options for panels, see the Sorting section in Configuration/Panels.
  • When Environment Variables are changed, Altap Salamander will reload them automatically.
  • Encrypting File System (EFS) on NTFS version 5 is supported. It provides cryptographic protection of individual files on NTFS volumes using a public-key system. You can encrypt, decrypt, and find encrypted files now. See Compressing and Encrypting of Files and Directories.
  • Volume mount points and junction points are supported (on Windows 2000 and later). It means that e.g. correct disk free space and drive information are displayed.
  • New option in the Internal Viewer: Auto-Copy Selection to Clipboard. Select required text and it will be automatically copied to the clipboard (without pressing Ctrl+C).
  • TAR plugin now supports: TAR, TGZ, TAZ, TBZ, GZ, BZ, BZ2, Z, RPM, and CPIO.
  • Viewing and searching in files with size over 4 GB.
  • We have added support for code pages used in West Europe. We have added support for code pages used for Cyrillic (Russia, Ukraine, Bulgaria, etc.). Automatic recognition of file code page was added to viewers.
  • Added the Hot Path bar. It provides another way to access Hot Paths.
  • Added the Drives toolbar which contains all logical drives. Clicking on this toolbar allows you to change drive in panel.
  • Added the Middle toolbar (placed between panels) which can contain all buttons available for the Top toolbar.


Main Window Components

The Main Windows includes the following:

  • Menu Bar
  • Top Toolbar
  • Plugin Bar
  • User Menu Bar
  • Hot Path Bar
  • Drive Bar
  • Middle Toolbar
  • Panel
  • Split Bar
  • Command Line
  • Bottom Toolbar
  • Window Menu
  • Minimize, Maximize, and Close Buttons


Menu Bar

A menu bar is a bar at the top of the active window that displays the names of all the menus that are available in that window at any given time.

To choose the command associated with a menu item, the user points to that item, then clicks the mouse button. The system then closes the drop-down menu.

To use the keyboard to access drop-down menus, the press the ALT (or F10) key to activate the menu bar. When an alphanumeric key is pressed while the Alt key is hold, or after the Alt key is released, the system displays the drop-down menu whose access key matches the alphanumeric key pressed.


Top Toolbar

The Top toolbar contains the most commonly used menu commands.

You can:
  • Click a toolbar button once to carry out the action represented by that button.
  • Rest mouse pointer on a toolbar button to see description of the button and hotkey (if any).
  • Right-click on the toolbar and then click Customize Toolbar to customize toolbar buttons.
  • Drag the toolbar to another location.

See Also

Bottom Toolbar
Middle Toolbar
Customizing Toolbars
Setting Visibility of Window Components


Plugin Bar

The Plugin bar contains plugins with the Menu Extension function (see the Menu Extension section in Using Plugins). Showing the plugin icon (button) in the Plugin bar is optional, see the Show plugin icon in Plugin bar check box in the Plugins Manager dialog box.

You can:
  • Click a plugin button to open the context menu with plugin commands.
  • Rest mouse pointer on a plugin button to see the name of the plugin.
  • Right-click on the bar and then click Customize Toolbar to open the Plugins Manager dialog box.
  • Drag the bar to another location.

See Also

Setting Visibility of Window Components


User Menu Bar

The User Menu bar contains items from User Menu. User Menu bar is intended for quick access to these commands. Only icon, or icons and text labels can be displayed.

You can:
  • Click a toolbar button once to carry out the action represented by corresponding menu item.
  • Drag the toolbar to another location.
  • Drag file to the User Menu bar to add new item.
  • Drag file or directory to the User Menu bar button to execute this command with dragged parameter.
  • Right-click on the toolbar and then click Customize Toolbar to customize toolbar buttons or click Text labels to switch displaying of text labels behind icons.

See Also

Setting Visibility of Window Components


Hot Path Bar

The Hot Path bar contains all defined Hot Paths, see Using Hot Paths for details.

You can:
  • Click a Hot Path button to change directory in the active panel to the Hot Path.
  • Rest mouse pointer on a Hot Path button to see its path.
  • Right-click on the bar and then click Customize Toolbar to open the Configuration/Hot Paths dialog box.
  • Drag the bar to another location.

See Also

Setting Visibility of Window Components


Drive Bar

The Drive bar contains all available local and network (mapped) drives, the Documents item, the Network item, and the list of plugin file systems. You can choose if you want to display the Drive bar only for the active panel or for both panels (see Two Drive Bars item in Options/Show menu). You can drag the Drive bar to another location.

Local Drives and Network Drives

Click on one of these items to change the current directory to the last visited (or root) directory on chosen drive. Rest mouse pointer on a drive button to see drive information (the volume label, the drive type, the free space on the drive, and the network path in UNC format). Right-click on a drive button to see context menu for the drive root directory. You can select which drives are visible and separate groups of drives, see Configuration/Change Drive Menu and Drive Bar.

The Documents Item

Click on this item to change the current directory to the Documents folder. Note that this item is optional - see Documents check box in Configuration/Change Drive Menu and Drive Bar.

The Network Item

Click on this item to change the current directory to a shared directory on a computer on the network. Note that this item is optional - see the Network check box in Configuration/Change Drive Menu and Drive Bar.

The List of Plugin File Systems

Use one of these items to open plugin file system in panel. If you don't find some plugin file system in this list, find appropriate plugin in the Plugins Manager dialog box and set the Show FS item in Change Drive menu and Drive bar check box. See Opening Plugin File Systems for details.

See Also

Setting Visibility of Window Components


Middle Toolbar

The Middle toolbar contains the most commonly used menu commands.

You can:
  • Click a toolbar button once to carry out the action represented by that button.
  • Rest mouse pointer on a toolbar button to see description of the button and hotkey (if any).
  • Right-click on the toolbar and then click Customize Toolbar to customize toolbar buttons.
  • Drag the toolbar to another location.

See Also

Top Toolbar
Bottom Toolbar
Customizing Toolbars
Setting Visibility of Window Components


Split Bar

A main window is divided into two separate viewing areas, which are called left and right panel. The Split bar defines the edge between the panels.

You can:
  • Drag the Split bar to the desired position. Panel widths will be adjusted. Pressing the Escape key cancels the drag mode.
  • Double-click on the Split bar for the same widths of panels.
  • Right-click on the Split bar and then click the desired ratio of panel widths.

See Also

Main Window Components
Panel Components


Panel Components

The Panel includes the following:

  • Directory Line
  • Header Line
  • Working Area
  • Information Line

Panel displays a collection of items (files and directories). Panel can display content in six different types of views. See Selecting Current View for details.


Directory Line

The Directory line is a horizontal bar at the top of a panel. See what can be displayed in the Directory line:

Panel Toolbar

The Panel toolbar contains the most commonly used menu commands connected with panel. You can right-click change drive button to display context menu for the current directory.

Current Directory

The Current Directory title text identifies the directory being viewed in the panel. Click part of the path to change the current directory. Right-click the path to assign hot path or copy path to the clipboard. You can drag path to the Command line or to the other Directory line. You can also drop a directory (it can be text dragged e.g. from text editor or a real directory dragged e.g. from Windows Explorer) to the Directory line to change the directory in the panel.

Filter Icon

This icon ( filter) is displayed whenever some files or directories existing in the current directory are not shown in panel. It can be any combination of following reasons: you are using a filter or you have hidden some selected files or directories (see Limiting the Files and Directories to Display) or you don't want to see hidden and system files (see Hide files and directories with hidden or system attribute in Configuration/Panels). Click this icon to open context menu from which you can suppress described reasons and so display all existing files and directories.

List of Working Directories

Appears as arrow between Current Directory and Free Space. Click this arrow to open List of Working Directories.

Free Space

Displays amount of free space on current disk. When clicked, Drive Information dialog will be opened.

Maximize/Restore Panel

Panel can be maximized (other panel is minimized at the same time) to provide more space for seeing your files and directories. See Maximizing and Restoring Panel for details. This button is optional, see Show maximize/restore button in Directory line in Configuration/Appearance.


Header Line

Header line displays a heading above columns in the panel in detailed mode.
You can:
  • Click the Header line button to sort panel items according to clicked item. Click the item again to reverse the sort order. Only some of the columns can be sorted.
  • Drag the Header line divisions that separate header parts to set the width of each column. Drag operation is not available when column is in Automatic Column Width; the width of the column will fit the maximal size of the column entries.
  • Right-click on the Header line item then click the Automatic Column Width or Smart Column Mode (only on the Name column) to choose the mode of the appropriate column. See Configuration/Views for more information.

See Also

Main Window Components
Panel Components


Working Area

Each item in a panel can be either normal or selected. One of the items has rectangle around the name (focus) and we call this item focused.

When directory is opened, all items are in the normal state and first item is focused. See Selecting Files and Directories for selecting items and Focusing Item for changing focus position.

For compatibility with old-school file managers, Altap Salamander supports Full row select (see Configuration/Appearance). If you don't use this option, only icon and file name in the working area are mouse sensitive. When you want to focus item, you must point cursor above the icon or filename.


Information Line

Information line is a special area at the bottom of the panel, that displays information about the focused item or selected items.

You can:
  • Customize displayed information in Options/Configuration/Appearance/Content of Information line.
  • Click some information to copy this text to the clipboard.
  • Drag some information to copy this text to the Command line.

See Also

Main Window Components
Panel Components


Command Line

The Command Line is horizontal bar below the panels. It is intended for executing entered commands and is divided into three parts: the current directory, the edit box, and the commands history button. The current directory is dependent on the active panel.

See Also

Working with Command Line
Activating Command Line


Bottom Toolbar

The Bottom toolbar contains buttons that are corresponds to F1 to F12 keys on the keyboard. Buttons on the Bottom Toolbar have different functions when you use them in combination with keys such as Ctrl, Alt, and Shift on a keyboard — just as the keys on the keyboard have different functions when you press them in combination with Ctrl, Alt, or Shift.

You can:
  • Click a toolbar button once to carry out the action represented by that button.
  • Press the Ctrl, Alt, and Shift keys to modify toolbar context.
  • Rest mouse pointer on a toolbar button to see description of the button.

See Also

Top Toolbar
Customizing Toolbars
Setting Visibility of Window Components


Window Menu

The Window menu contains the following commands:

  • Restore: when the window is maximized, this command restores it to its original size,
  • Move: allows to move window using only the Arrows keys,
  • Size: allows to resize window using only the Arrows keys,
  • Minimize (Shift+Escape): minimizes the window,
  • Maximize (the Ctrl+Shift+F11 key): maximizes the window,
  • Close: exits Altap Salamander.

You can find this menu in the upper left corner of the main window (click on the application icon).

See Also

Main Window Components


Minimize, Maximize, and Close Buttons

Use these buttons to minimize, maximize (or restore if already maximized), or close the main window. You can find these buttons in the upper right corner of the main window, see Main Window Components.


Activating Panel

There are two panels in Altap Salamander. One of them is always active. The active panel is highlighted and receives keyboard input. If you want to know how the active panel looks like, see a screenshot with description in chapter Main Window Components.

To activate other (inactive) panel use the Tab key.

You can activate panel also using a mouse. Just click to its working area (see Panel Components for details).


Focusing Item

The panel can contain any number of items (files and directories) in a list. If the list contains some items, one of these items is focused. The focused item is highlighted in the active panel (see Working Area of Panel for details). The focused item in inactive panel is not highlighted, but when the panel becomes active, it is highlighted.

You can change focus in the list of items (choose another item to be focused). It can be done using mouse or keyboard. With mouse you can just click the item you want to focus. The keyboard shortcuts are summarized in the following table.

The Keyboard Shortcuts:

Use | To
Arrows | Focus item in the specified direction from the currently focused item.
Home | Focus the first item.
End | Focus the last item.
Ctrl+Home | Focus the first file.
Page Up | Focus the item up one page from the currently focused item.
Page Down | Focus the item down one page from the currently focused item.
Alt+Down arrow key | Focus next selected item (from the currently focused item).
Alt+Up arrow key | Focus previous selected item (from the currently focused item).


Activating Command Line

The Command Line can be visible all the time or only when you activate it (see Setting Visibility of Window Components). If you want to know how the Command Line looks like, see a screenshot with description in chapter Main Window Components.

To activate the Command Line from the panel use the Ctrl+Tab key. To return back to the panel use the same key or the Escape key.

You can activate the Command Line also using a mouse. In this case the Command Line must be visible all the time. If it is, use click to activate it.

See Also

Working with Command Line

Group Policy Restrictions


Selecting Current View

Currently we offer six types of views: brief, detailed, icons, thumbnails, tiles, and types. The brief view shows only icons and names. The detailed view shows icons, names, DOS names, sizes, types, last write date&time, and attributes. The icons view shows bigger icons (32 x 32 pixels) and names. The thumbnails view shows thumbnails (small previews of pictures, drawings, and documents, the size of thumbnails can be set on Configuration/Appearance) and names. The tiles view shows even bigger icons (48 x 48 pixels in Windows XP and later, 32 x 32 on prior versions of Windows), names, sizes, and last write date&time. The types view is detailed view with visible types column.

You can change parameters of detailed and types views and define your own detailed views, see Configuration/Views (menu: Options/Configuration/Views).

To change view in the left panel use menu Left - menu items Brief, Detailed, Icons, Thumbnails, Tiles, Types, and names of your own views (if any). To change view in the right panel use menu Right (same items as in menu Left).

You can also use the Alt+2 key (brief view), the Alt+3 key (detailed view), the Alt+4 key (icons view), the Alt+5 key (thumbnails view), the Alt+6 key (tiles view) the Alt+7 key (types view), the Alt+8 key (first of your own views), ..., the Alt+0 key (last of you own views).

To change view using mouse hold the Alt key and rotate the Mouse Wheel.

To change the view in the panel you can also use the Views button on the Top, Middle, or panel toolbar.

See Also

Keyboard Shortcuts

Mouse Shortcuts


Choosing Visible Columns

If you want to show or hide some of displayed columns, you need to change the view in the panel. There are six standard views and if none of them fit your needs, you can change view parameters or define your own view. For details on views and their managing see Selecting Current View.


Setting Column Width

The detailed and types views and your own detailed views can contain any of standard columns - name, extension, DOS name, size, type, last write date, last write time, and attributes. Each column in each view in each panel has its own width. The column width can be of three types - automatic, automatic in smart mode, or fixed.

The column with automatic width changes its width according to the currently longest value in column (all values in columns are fully visible).

The automatic column width in smart mode can be set only to name column and differs from automatic width in trying to minimize horizontal scrolling in panel. It should eliminate hiding of other columns behind panel right edge in case of one very long name in panel (when name column with automatic width is wider than panel). It means that name column can be narrowed (longest names in column may be truncated) to make all other columns visible.

The column with fixed width has one specified width for all possible values, so some longer values may be truncated.

You can set type of column width in right-click context menu on the column in the Header line of panel - item Automatic Column Width (selected = automatic width, cleared = fixed width) and item Smart Column Mode (selected = automatic width in smart mode, cleared = automatic or fixed width). You can also toggle Smart Mode by clicking on the Smart Mode button on Top or Middle toolbar or on Left and Right panel toolbars.

To change the width of the column with fixed width use mouse drag on right side of the column in the Header line. If you want to set column width in pixels, see Configuration/Views (menu: Options/Configuration/Views).

See Also

Selecting Current View


Setting Visibility of Window Components

The design of Altap Salamander can be customized by setting visibility of window components: the Top toolbar, the Plugin bar, the User Menu bar, the Hot Path bar, the Drive bar, the two Drive bars, the Middle toolbar, the Command line, and the Bottom toolbar. You can also lock the toolbars and show/hide text labels in the User Menu bar. If you want to know how window components look like, see a screenshot with description in chapter Main Window Components.

All described commands can be found in menu Options/Show.


Setting Visibility of Panel Components

You can customize the design of the left or right panel by setting visibility of its components (the Directory line, the Header line, and the Information line). If you want to know how panel components look like, see a screenshot with description in chapter Panel Components.

To set visibility of left panel components use three menu items in menu Left/Show. To set visibility of right panel components use three menu items in menu Right/Show.


Setting Panel Width

In between of left and right panels is the Split bar. If you want to know how the Split bar looks like, see a screenshot with description in chapter Main Window Components. You can change position of the Split bar to enlarge one panel at the expense of other panel.

You can change position of the Split bar using mouse drag. To start it press (and hold) left mouse button on the Split bar. The Split bar has also right-click context menu with percentage proportions of left and right panel widths (20/80, ..., 50/50, ..., 80/20). To set panel widths to be equal use mouse double-click on the Split bar.


Maximizing and Restoring Panel

Panel can be maximized (other panel is minimized at the same time) to provide more space for seeing your files and directories. It is especially useful when viewing your images in thumbnails view mode. When panel is maximized, you can simply restore its original size.

To maximize or restore panel:

  • Menu: Left/Maximize/Restore for left panel or Right/Maximize/Restore for right panel.
  • Shortcut key: Ctrl+F11.
  • Use the Maximize/Restore Panel button in the Directory Line.


Swapping Panels

Swapping panels allows you to swap the contents of the active and inactive panels.

To swap left and right panels:

Menu: | Left/Swap or Right/Swap.
Shortcut key: | Ctrl+U


Setting Window Always on Top

If you want to have the main window of Altap Salamander always above nearly all other application's windows, select the menu item Always on Top from main window's window menu (click on icon in upper left corner of Altap Salamander's main window or use the Alt+Space key). When this item is selected, the main window becomes a top-level window and can be overlapped only by other top-level windows.

To toggle Window Always on Top option:

Menu: | Options/Always on Top
Window menu: | Always on Top


Common Shortcut Keys

The following table lists the common shortcut keys.

Key | Meaning
Alt+Escape | Switches to the next application.
Alt+Tab | Switches to the next application.
Alt+Shift+Tab | Switches to the previous application. The user must press and hold down Alt+Shift while pressing Tab.
Alt+F4 | Closes an application or a window.
Alt+Space | Opens the window menu for the application's main window.
F10 | Go to menu mode.
Ctrl+Escape | Switches to the Start menu.
Print Screen | Copies an image on the screen onto the clipboard.
Alt+Print Screen | Copies an image in the active window onto the clipboard.


Changing Directory

The panel displays the list of files and directories from its current directory. Current directories of left and right panels are independent, so you can view two unrelated directories at the same time. The current directory is specified by its full disk, archive, or plugin file system path which is displayed in the Directory Line.

We will present ways of changing the current directory in the panel.

Changing Directory Relatively to the Current Directory

Function | Shortcut | Note
Enter Focused Directory | Enter, double-click, or Ctrl+Page Down | Changes the current directory to focused (or double-clicked) directory.
Back (in directories history) | Alt+Left Arrow | Changes the current directory to the previous directory (the directory which was the current directory before change to actual current directory).
Forward (in directories history) | Alt+Right Arrow | Undoes the Back function. Changes the current directory to the next directory.
Go to parent directory | Backspace or Ctrl+Page Up | Changes the current directory to the parent directory (or stays in the root directory).
Go to root directory | Shift+Backspace or Ctrl+\ | Changes the current directory to the root directory.
Go to shorten path | Click | Click on the shorten path in the Directory Line. The shorten paths are highlighted as you move mouse pointer over path components.

Other Ways of Changing Directory

To Change the Current Directory to | Use | Note
a directory placed on some other local or network drive, the Documents folder, a shared directory on a computer on the network (the Network item), a directory on some plugin file system, a directory opened in other panel, or a directory defined as a Hot Path | Left/Change Drive (Alt+F1) or Right/Change Drive (Alt+F2) | Opens the Change Drive menu for left or right panel.
a directory placed on some other local or network drive, the Documents folder, a shared directory on a computer on the network (the Network item), or a directory on some plugin file system | Click | Click in the Drive Bar.
the last visited (or root) directory of local or network drive | Shift+drive letters | E.g. the Shift+C key for drive "C:".
a specified disk, archive, or plugin file system path | Commands/Change Directory (Shift+F7) | Uses Change Directory dialog box and works with full or relative disk paths, archive paths, and plugin file system paths specified by user.
a shared directory on a computer on the network | Ctrl+` or Ctrl+, | Uses the Network item from the Change Drive menu.
a directory opened in other panel | Left or Right/Go To/Path from Other Panel (Ctrl+.) | This command is useful for changing directory of panel to be the same as directory displayed in other panel.
a disk, archive, or plugin file system path specified by text on clipboard | Edit/Paste (Ctrl+V) | Works with full or relative disk paths, archive paths, and plugin file system paths from clipboard.
a disk, archive, or plugin file system path specified by dropped text or directory | Drag & Drop | Drag text or directory to the Directory Line. Works with full or relative disk paths, archive paths, and plugin file system paths. You can also drag text from the Directory line of other panel.


Changing Directory in Other Panel

You can change directory in other (inactive) panel to focused directory in active panel. You can also locate file focused in active panel in other (inactive) panel.

To change directory or locate file in other panel:

  1. Focus the directory or the file in active panel.
  2. Change directory or locate file in other panel:
    Shortcut key: Ctrl+Shift+Left/Right Arrow key - use the arrow in the direction to other panel to activate other panel (the arrow in opposite direction does not activate other panel)
    Toolbar: Choose the Focus Name in Other Panel button on the Top or Middle toolbar - it activates other panel.
    Choose the Open Name in Other Panel button on the Top or Middle toolbar - it does not activate other panel.


Change Drive Menu

Use Change Drive commands from Left and Right menus to open the Change Drive menu. The Change Drive menu allows you to change the current directory in the panel. The Change Drive menu contains:
  • local drives (floppy disk drives, CD-ROM drives, hard disk drives, etc.),
  • network drives,
  • opened plugin file systems,
  • the Documents item,
  • the Network item,
  • the list of plugin file systems,
  • the As Other Panel item,
  • and the list of Hot Paths.

Local Drives and Network Drives

Use one of these items to change the current directory to the last visited (or root) directory on chosen drive. You can use drive letters as keyboard shortcuts for drives in menu (these letters are underlined in menu). Note that menu contains types of floppy disk drives (5.25", 3.5", or 8"), labels of hard disk drives and CD-ROM drives, free space on hard disk drives, and network paths of network drives. You can select which drives are visible and separate groups of drives, see Configuration/Change Drive Menu and Drive Bar.

Opened Plugin File Systems

Use one of these items to change the current directory to the last visited directory in chosen opened plugin file system (e.g. connections to some FTP servers or SCP/SFTP servers). Opened plugin file system from other panel is disabled because it cannot be opened also in active panel at the same time.

The Documents Item

Use this item to change the current directory to the Documents folder. Note that this item is optional - see Documents check box in Configuration/Change Drive Menu and Drive Bar.

The Network Item

Use this item to change the current directory to a shared directory on a computer on the network. Note that this item is optional - see the Network check box in Configuration/Change Drive Menu and Drive Bar.

The List of Plugin File Systems

Use one of these items to open plugin file system in panel. If you don't find some plugin file system in this list, find appropriate plugin in the Plugins Manager dialog box and set the Show FS item in Change Drive menu and Drive bar check box. See Opening Plugin File Systems for details.

The As Other Panel Item

Use this item to change the current directory to the current directory of other panel. Note that this item is optional - see As Other Panel check box in Configuration/Change Drive Menu and Drive Bar.

The List of Hot Paths

Use one of these items to change the current directory to the chosen Hot Path. For details on Hot Paths, see Using Hot Paths.

Location

Menu: | Left/Change Drive for the left panel and Right/Change Drive for the right panel.
Shortcut key: | The Alt+F1 key for the left panel and the Alt+F2 key for the right panel.
Toolbar: | Choose the Change Drive button on the Panel toolbar contained in the Directory line of the panel.

See Also

Changing Directory
Configuration/Change Drive Menu and Drive Bar
Group Policy Restrictions


Using Hot Paths

Hot Paths are used for quick access to frequently visited directories. You can define up to 30 Hot Paths. Each defined Hot Path has its friendly name and can access local, network, or UNC path, path to an archive, or path to a plugin file system. First ten Hot Paths could be accessed with keyboard shortcuts.

To define new Hot Path:

Menu: | Open Configuration/Hot Path dialog box. Select Hot Path position in Defined Hot Paths list. Enter name for new Hot Path. In the text box Path type path for new Hot Path. Choose the OK button.
Shortcut key: | In the active panel open directory you want to set as Hot Path. Press Ctrl+Shift+number key, where number is 0 to 9. Or press Ctrl+Shift+= to add the current directory to Hot Paths. It works only if some Hot Path on position 11..30 is free.
Mouse: | In the panel open directory you want to set as Hot Path. Right-click current directory in Directory line and select Assign Hot Path. Then choose Hot Path position you want to assign into. Or choose New Hot Path command to add the current directory to Hot Paths. It works only if some Hot Path on position 11..30 is free.

To access defined Hot Path:

Menu: | Open Left or Right menu, select Go To and choose the Hot Path you want to go to.
Change drive menu: | Defined Hot Paths are listed in the Change Drive Menu. You can choose which of defined Hot Paths should be listed in the Change Drive menu (see Configuration/Hot Path).
Shortcut key: | Press Ctrl+number key, where number is 0 to 9 (or Shift+number key if check box Use Shift+number for go to Hot Path in Configuration/Panels is selected), to change the current directory to the chosen Hot Path. If you want to see the list of all defined Hot Paths, press Shift+F9.
Toolbar: | Choose the Go To Hot Path button (with drop-down arrow) on the Top or Middle toolbar and choose the Hot Path you want to go to.

See Also

Changing Directory
Hot Paths configuration dialog box


Opening Directory You've Worked In Recently

List of working directories provides easy way to access directories you've worked in recently. To open recent directory open list of working directories and choose the directory you want to go to.

To open history list:

Menu: | Commands/List of Working Directories
Shortcut key: | Alt+F12
Mouse: | In the Directory line press drop-down arrow between current directory and free space.

See Also

Directory Line
Opening File You've Used Recently


Restoring Network Connections

If some network connection is not accessible during the logon operation, the system temporarily disables this connection. To restore such a network connection, just change the drive to the appropriate disabled network volume with Alt+F1 or Alt+F2 key. If the network volume becomes inaccessible during work, and you'll try to access it, it may take a long time to the system to recognize this error. If this occurs, you can press Escape key to continue with the Altap Salamander (waiting for the system error runs in a separate thread).


Sorting Panel Contents

When you first start Altap Salamander, panel contents is listed alphabetically, with directories first, followed by filenames. You can sort the files and directories by name, extension, size, the date when the file or directory was last modified, or attributes. Sorting files and directories affects only the panel content. Sorting order is stored in Altap Salamander configuration.

Files and directories ("items") can be sorted in ascending or descending order. To reverse the sorting order, choose again the same sorting command.

To sort panel content:

Menu: | From Left or Right menu select Sort By submenu and choose required sort criteria.
Shortcut key: | Press Ctrl+F3 to sort by name, Ctrl+F4 to sort by extension, Ctrl+F5 to sort by date, and Ctrl+F6 to sort by size
Mouse: | To sort items by name, extension, size, date, or attributes, click the appropriate column heading above the items list. See Header Line. This option is available only when panel is switched to the detailed mode.
Toolbar: | Choose the appropriate sorting button in the Top or Middle toolbar or in the Left and Right panel toolbars.

Remarks

You can customize sorting in Configuration/Panel, see the Sorting section.

See Also

Header Line


Selecting Files and Directories

Almost all file and directory operations (e.g. copying, moving, and deleting) work with chosen subset of files and directories from active (source) panel. We talk about this subset as about selected files and directories.

The list of files and directories in the working area of panel can contain three types of items - focused item, selected items, and normal items (see Working Area of Panel for details). When we talk about selected files and directories, we mean:

  • all selected items (if any) in the list,
  • or the focused item, if there are no selected items.

We will present here only ways of selecting items in the list (ways of focusing item are described in Focusing Item).

Selecting Files and Directories Using the Keyboard

Function | Shortcuts | Note
Select or unselect focused item | Insert or Space | Changes selection of focused item (from unselected to selected and vice versa). The Space key also calculates directory size if it is used to select directory.
Select all | Edit/Select All (Ctrl+A or Ctrl+Num Plus) |
Unselect all | Edit/Unselect All (Ctrl+D or Ctrl+Num Minus) |
Select using masks | Edit/Select (Num Plus or Ctrl+=) | Uses Select dialog box. Works with files and optionally also with directories, see check box Include directories to select/unselect operations in Configuration/Panels. For details on masks see File Masks.
Unselect using masks | Edit/Unselect (Num Minus or Ctrl+-) | Uses Unselect dialog box. Works with files and optionally also with directories, see check box Include directories to select/unselect operations in Configuration/Panels. For details on masks see File Masks.
Invert selection | Edit/Invert Selection (Num Multiply) or Ctrl+Num Multiply | The Ctrl+Num Multiply key works with files and directories. The Num Multiply key works with files and optionally also with directories, see check box Include directories to select/unselect operations in Configuration/Panels.
Restore Selection | Edit/Restore Selection (Ctrl+W) | Restores selection used for previous operation (selection is usually canceled when operation starts). It allows you to easily use another operation for the same files and directories.
Incremental selecting and unselecting | Shift+Arrows, Shift+Home, Shift+End, Shift+PageUp, Shift+PageDown | Selects or unselects items as you change (move) focused item - it works with all items between original and new focused items. It selects items if the original focused item is unselected and unselects items otherwise. To understand what the keys do, forget their Shift modifier and see Focusing Item.
Select all with the same extension | Edit/Advanced/Select Same Extensions (Shift+Num Plus) | Name parts can differ.
Unselect all with the same extension | Edit/Advanced/Unselect Same Extensions (Shift+Num Minus) | Name parts can differ.
Select all with the same name part | Edit/Advanced/Select Same Names (Ctrl+Shift+Num Plus) | Extensions can differ.
Unselect all with the same name part | Edit/Advanced/Unselect Same Names (Ctrl+Shift+Num Minus) | Extensions can differ.

Selecting Files and Directories Using a Mouse

There are two modes of using mouse in Altap Salamander - classic and single-click modes, see check box Single-click to open an item in Configuration/Appearance. We present three tables with functions - for both modes, for classic mode, and for single-click mode.

Functions available in both modes of using mouse:

Function | Shortcuts | Note
Select or unselect items in the box | Drag or Right Drag optionally with Shift or Ctrl modifier keys | Selects or unselects items as you drag the box over them. To start this action, you must press (and hold) left or right (no difference) mouse button behind items in the working area of panel. It defines the first corner of the box (the opposite one is dragged by mouse pointer). If you start dragging without any modifier key, the current selection will be canceled. If you press (and hold) the Shift or Ctrl modifier key, the current selection will be kept. With the Shift modifier key all items in the box will be selected. With the Ctrl modifier key all selected items in the box will be unselected and vice versa.
Incremental selecting and unselecting | Ctrl+Right Drag or Right Drag | Selects or unselects items as you drag mouse pointer over them. To start this action, you must press (and hold) right mouse button (and the Ctrl modifier key) on item. It selects items if this item is unselected and unselects items otherwise. Use the Ctrl modifier key if you have selected check box Right-click to open shortcut menu in Configuration/Panels. If you place mouse pointer behind the border of working area of panel, the list of items in panel will scroll and so allow you to select/unselect also items which are currently not visible.

Functions available in classic mode of using mouse:

Function | Shortcuts | Note
Select or unselect clicked item | Ctrl+Click | Changes selection of clicked item (from unselected to selected and vice versa).
Select or unselect interval of items | Shift+Click | Selects or unselects items when you click item which is not focused - it works with all items between original and new focused items. It selects items if the original focused item is unselected and unselects items otherwise.

Functions available in single-click mode of using mouse:

Function | Shortcuts | Note
Select or unselect item | Ctrl+rest pointer on item | Changes selection of item on which you rest mouse pointer (from unselected to selected and vice versa). It works only on item that is not under mouse pointer (selecting/unselecting must be preceded by moving mouse pointer to the item).
Select or unselect interval of items | Shift+rest pointer on item | Selects or unselects items when you rest mouse pointer on item which is not focused - it works with all items between original and new focused items. It selects items if the original focused item is unselected and unselects items otherwise.

See Also

Working Area of Panel
Focusing Item
File Masks
Select dialog box
Unselect dialog box


Quick Searching File or Directory Name

You can quickly find any desired name in the list of directories and files. Just start typing a name, and the first name with the typed prefix will be focused. You can extend this prefix with Right arrow key, and on the contrary you can clip this prefix with Left arrow key or Backspace key. To focus the next or previous name with the same prefix, use Down or Up arrow key. To leave quick search mode, use Escape key.

While Altap Salamander is in quick search mode, following keys are used for walking through files and directories which matches quick search mask: Up, Down, Page Up, Page Down, Home, End, Shift+Up, Shift+Down, Shift+Page Up, Shift+Page Down, Shift+Home, Shift+End, Alt+Up, Alt+Down, Alt+Home, and Alt+End. Keys with Shift modifier select or unselect files and directories and keys with Alt modifier walk only through selected files and directories. See Main Window Keyboard Shortcuts.

Advanced Usage

When you type slash (/), backslash (\), or less than (<) character, it will substitute any part of name (similar to '*' in file masks). Trailing dot (.) character is ignored when name has no extension. Examples:

When you type | It will find names | Corresponding file mask
/le | file.txt, less.exe, bmp.rle, etc. | *le*
pro/.htm | promote.html, prototype.htm, professional.htm, etc. | pro*.htm*
/.htm | any.htm, page.htm, index.html, etc. | *.htm*
/g. | flag, flag.txt, etc. Note: it will not find name pic.jpg. | *g.*

Note for German users: you can use the same key in English and German keyboard layout, because backslash (\) and less than (<) characters have the same functionality in quick search mode.

Remarks

When check box Redirect typing from panel to Command line in Configuration/Panels is checked, use Alt+letter to enter to quick search mode.


Copying Files and Directories

You can copy files and directories from any local or network path to a destination directory on any local or network path, in the archive, or in the plugin file system. It is possible to copy files in both directions. Copying between archives and plugin file systems is not supported, please use some temporary directory to complete such operations (e.g. copy from the archive to this temporary directory and then from it to another archive or plugin file system). When you copy a directory, all the contained files and subdirectories are copied too.

Copying files and directories using Copy command

  1. Select the files and directories you want to copy.
  2. Open Copy dialog box:
    Menu: Files/Copy...
    Shortcut key: F5
    Toolbar: Choose the Copy button on the Top, Middle, or Bottom toolbar.
  3. In the Copy to box, specify the destination directory.
  4. If you want to specify some options (see Copy dialog box), click the Options button.
  5. Choose the OK button.

Copying files and directories using drag and drop

Select the files and directories you want to copy. Make sure the place you want to drag files and directories to is visible. When you drag a selection to its new location, watch the mouse cursor shape. If it contains the plus sign, it means you are copying files and directories. If it contains the link (shortcut) sign, it means you are creating shortcuts of files and directories. If it does not contain any sign, you are moving files and directories. You can change this action by pressing (and holding) Shift (for moving), Ctrl (for copying), and Shift+Ctrl (for creating shortcuts) keys. While dragging you can move mouse pointer near the edge of the panel for scrolling panel contents.

Copying files and directories using clipboard

  1. Select the files and directories (they can be also from the archive) you want to copy.
  2. Choose copy to clipboard command:
    Menu: Edit/Copy
    Context menu: Right-click selected files and directories and select Copy.
    Shortcut key: Ctrl+C or Ctrl+Insert
    Toolbar: Choose the Clipboard Copy button on the Top or Middle toolbar.
  3. Open the directory (it can be also in the archive or plugin file system) where you want to put the copy.
  4. Choose paste from clipboard command:
    Menu: Edit/Paste
    Context menu: Right-click destination directory and select Paste.
    Shortcut key: Ctrl+V or Shift+Insert
    Toolbar: Choose the Clipboard Paste button on the Top or Middle toolbar.

See Using Clipboard to Perform File and Directory Operations for details.

Remarks

On drives formatted to use the Windows NT file system (NTFS), you must have permissions to move or copy a file or directory.

When you copy or move files or directories to a FAT disk, permissions are discarded. See the Preserve owners and permissions (not inherited) on NTFS drives option in the Copy dialog box for details on moving between NTFS disks.

See Also

Selecting Files and Directories
Moving or Renaming Files and Directories
Using Clipboard to Perform File and Directory Operations
Copy dialog box


Moving or Renaming Files and Directories

You can move files and directories from any local or network path to a destination directory on any local or network path, in the archive, or in the plugin file system. It is possible to move files in both directions except archives (move from the archive to the disk is not supported, you can use Copy operation followed by Delete operation instead of it). Moving between archives and plugin file systems is not supported, please use some temporary directory to complete such operations (e.g. move from the plugin file system to this temporary directory and then from it to another plugin file system or archive). When you move a directory, all the contained files and subdirectories are moved too.

Moving or renaming files and directories using Move/Rename command

  1. Select files and directories you want to move.

  2. Open Move/Rename dialog box:
    Menu: Files/Move/Rename...
    Shortcut key: F6
    Toolbar: Choose the Move/Rename button on the Top, Middle, or Bottom toolbar.
  3. In the Move to box, specify the destination directory.
  4. If you want to specify some options (see Move/Rename dialog box), click the Options button.
  5. Choose the OK button.

Moving files and directories using drag and drop

Select the files and directories you want to move. Make sure the place you want to drag files and directories to is visible. When you drag a selection to its new location, watch the mouse cursor shape. If it contains the plus sign, it means you are copying files and directories. If it contains the link (shortcut) sign, it means you are creating shortcuts of files and directories. If it does not contain any sign, you are moving files and directories. You can change this action by pressing (and holding) Shift (for moving), Ctrl (for copying), and Shift+Ctrl (for creating shortcuts) keys. While dragging you can move mouse pointer near the edge of the panel for scrolling panel contents.

Moving files and directories using clipboard

  1. Select the files and directories you want to move.
  2. Choose cut to clipboard command:
    Menu: Edit/Cut
    Context menu: Right-click selected files and directories and select Cut.
    Shortcut key: Ctrl+X
    Toolbar: Choose the Clipboard Cut button on the Top or Middle toolbar.
  3. Open the directory (it can be also in the archive or plugin file system) where you want to put selected files and directories.
  4. Choose paste from clipboard command:
    Menu: Edit/Paste
    Context menu: Right-click destination directory and select Paste.
    Shortcut key: Ctrl+V or Shift+Insert
    Toolbar: Choose the Clipboard Paste button on the Top or Middle toolbar.

See Using Clipboard to Perform File and Directory Operations for details.

Remarks

On drives formatted to use the Windows NT file system (NTFS), you must have permissions to move or copy a file or directory.

When you copy or move files or directories to a FAT disk, permissions are discarded. See the Preserve owners and permissions (not inherited) on NTFS drives option in the Move/Rename dialog box for details on moving between NTFS disks.

See Also

Selecting Files and Directories
Copying Files and Directories
Using Clipboard to Perform File and Directory Operations
Move/Rename dialog box


Deleting Files and Directories

When you delete a directory, all of its subdirectories and files are deleted.

To delete a file or directory:

  1. Select the files and directories you want to delete.
  2. Choose Delete command:
    Menu: Files/Delete...
    Context menu: Right-click selected files and directories and choose Delete.
    Shortcut key: F8 or Delete
    Toolbar: Choose the Delete button on the Top, Middle, or Bottom toolbar.

Files and directories may be either removed from your disk as soon as you delete them or may be stored in the Recycle Bin. See Configuration/Recycle Bin.

If you use F8 or Delete key with Shift modifier key, you will invert (flip) usage of Recycle Bin (if Delete key doesn't send files to Recycle Bin, Shift+Delete key does and vice versa).

Remarks

On drives formatted to use the Windows NT file system (NTFS), you must have permission to delete a file or directory.

See Also

Confirmations


Creating a Directory

You can create a directory by using the Create Directory command. After you create a directory, you can copy files and directories to it from other locations by using the Move/Rename and Copy commands.

To create a directory:

  1. In the panel open the directory in which you want the new directory to appear.
  2. Open the Create Directory dialog box:
    Menu: Commands/Create Directory...
    Shortcut key: F7
    Toolbar: Choose the Create Directory button on the Top, Middle, or Bottom toolbar.
  3. In the Directory Name box, type a name for the new directory. You can also create more directories at once (e.g. if you enter C:\a\b\c and C:\a does not exist, three directories will be created).
  4. Choose the OK button.

See Also

Create Directory dialog box


Viewing File

This command is intended to display file or document content. Distinct viewers can be associated with different file extensions (e.g. text viewer for *.txt and bitmap viewer for *.bmp). See Viewers configuration. Two distinct viewers can be associated with one extension - Viewer and Alternate Viewer (e.g. you can view *.htm file either in Internet Explorer Viewer or in Internal Viewer).

To view a file content:

  1. Focus the file you want to view.
  2. Choose View or Alternate View command:
    Menu: Files/View or Files/Alternate View
    Shortcut key: F3 or Alt+F3
    Toolbar: Choose the View button on the Top, Middle, or Bottom toolbar.

To view a file content using not associated viewer:

  1. Focus the file you want to view.
  2. Choose a viewer from View With submenu (it contains all viewers from Viewers configuration):
    Menu: Files/View With
    Shortcut key: Ctrl+Shift+F3

See Also

Viewers configuration
Editing File


Editing File

This command is intended to edit file or document content. Distinct editors can be associated with different file extensions (e.g. text editor for *.txt and bitmap editor for *.bmp). See Editors configuration.

To edit a file content:

  1. Focus the file you want to edit.
  2. Choose Edit command:
    Menu: Files/Edit
    Shortcut key: F4
    Toolbar: Choose the Edit button on the Top, Middle, or Bottom toolbar.

To edit a file content using not associated editor:

  1. Focus the file you want to edit.
  2. Choose an editor from Edit With submenu (it contains all editors from Editors configuration):
    Menu: Files/Edit With
    Shortcut key: Ctrl+Shift+F4

To create and edit a new file:

  1. Open the directory in which you want the new file to appear.
  2. Open the Edit New File dialog box:
    Menu: Files/Edit New File
    Shortcut key: Shift+F4
    Toolbar: Choose the Edit New File button on the Top, Middle, or Bottom toolbar.

See Also

Editors configuration
Edit New File dialog box
Viewing File


Opening Archive Files

You can simply open and browse archive files in panels as if they were normal directories. Just focus archive file and press the Enter key or double-click mouse on archive file. Also see Changing Directory for other ways of opening (changing directory to) archive file, mainly: Commands/Change Directory (Shift+F7) and Edit/Paste (Ctrl+V).

Once you have opened archive file you can work with files and directories in it. Just focus or select them and use Open, View, Edit, Copy (both directions - pack and unpack), Move (it works like pack and delete), Delete, Copy to and Paste from clipboard (both directions - pack and unpack), Compare Directories, Calculate Directory Sizes, and other commands (search menu for enabled commands). You can also use commands from context menu (use right mouse click or Shift+F10).

The View, Edit, and Open commands unpack focused file from archive to temporary directory. This unpacked file is opened in Viewer, Editor, or using system associations (note: if you want to start application from archive file, you need to unpack whole archive to prevent problems with missing DLL libraries and other application files). When you change path out of archive file in panel, Salamander detects if unpacked files in temporary directory has been changed (this applies only to Edit and Open commands) and if yes, it offers you archive update (to pack changed files back to archive file).

See Also

Packing Files and Directories
Unpacking Archive File


Packing Files and Directories

This command is intended to pack selected files and directories into the archive. When you pack a directory, all the files and subdirectories in it are packed.

To pack files and directories:

  1. Select the files and directories you want to pack.
  2. Open the Pack dialog box:
    Menu: Files/Pack...
    Shortcut key: Alt+F5
    Toolbar: Choose the Pack button on the Top, Middle, or Bottom toolbar.
  3. In the Pack to archive box, type the name of the archive you want to create. If you type a filename without including a path, the archive will appear in the current directory.
  4. In the Packer box, select the type of archive you want to create.
  5. Choose the OK button.

See Also

Selecting Files and Directories
Opening Archive Files
Unpacking Archive File
Pack dialog box


Unpacking Archive File

Altap Salamander allows you to extract files and directories from an archive file. When you choose Unpack command, the files are extracted from the focused archive file and copied into the destination directory.

To unpack archive file:

  1. Focus the archive file you want to extract.
  2. Open the Unpack dialog box:
    Menu: Files/Unpack...
    Shortcut key: Alt+F9 or Alt+F6
    Toolbar: Choose the Unpack button on the Top, Middle, or Bottom toolbar.
  3. In the Unpack archive to box, specify the destination drive or directory.
    If you type dot (.), the extracted files and directories will appear in the current directory.
  4. Choose the OK button.

See Also

Selecting Files and Directories
Opening Archive Files
Packing Files and Directories
Unpack dialog box


Finding Files and Directories

You can search for files and directories using various criteria for name, size, date & time, attributes, containing text, etc. After searching, you can work with found files and directories (view, edit, copy, move, delete them, etc.)

To search for files and directories:

  1. Open the directory in which you want to start the search in the panel.
  2. Open the Find dialog box:
    Menu: Commands/Find Files and Directories...
    Shortcut key: Alt+F7 or Ctrl+F
    Toolbar: Choose the Find Files and Directories button on the Top, Middle, or Bottom toolbar.
  3. In the Named box, type the name of the searched file or directory. Use file masks to search for a group of files or directories with similar names or extensions. Important note: when you specify mask without asterisk (*), question mark (?), and point (.), you will find all files and directories whose names are containing this mask (e.g. when you specify "dog", you will find "dogs.txt", "hotdog.jpg", etc.), you can prevent this by adding point (.) to the end of such mask (e.g. when you specify "dog.", you will find only "dog").
  4. Specify directories in which you want to start the search in the Look in box. This box is preset to the current directory in panel. Use the Add button to browse for another directory and add it to the Look in box or to add all local or network drives to this box.
  5. Tick the Search subdirectories box if you want to search also in subdirectories of directories specified in the Look in box.
  6. If you are searching for files containing some text, tick the Search file content box and specify the searched text in Containing field. See the Find dialog box for details on searching options.
  7. If you need to specify additional criteria for file size, attributes, or date & time, click on the Advanced button to open the Advanced Options dialog box.
  8. You may want to ignore some directories (exclude them from search). For example System Volume Information in root directories or directory with your temporary files. Specify such directories in the Ignore Directory List dialog box. Open it from menu Options/Ignore Directory List (the Ctrl+G key) in the Find dialog box.
  9. All errors which occur during search and all ignored directories are added to the Find Log dialog box. Tick the Show Error Messages After Finding item in the Options menu if you want to see this log when search is finished and some error occurred. Use the Show Find Log (the Ctrl+L key) item from the Commands menu or the Find Log button on the right side of the Found Items listview header to show this log manually.
  10. Choose the Find Now button to start searching.

Remarks

Altap Salamander displays the progress of the search. You can work with Altap Salamander while the search continues in the background. You can open another Find dialog box and begin new search simultaneously.

Searched files and directories are displayed in the Found Items listview. Click on columns headers to sort this list by name, size, path, or time. Or use sort commands from the View menu.

When you find some files and directories, you can work with them. Go to the Found Items listview and use Files menu commands:

  • Open (the Enter key): open the focused file or directory,
  • Open All Selected (the Shift+Enter key): open all selected files and directories,
  • Focus (the Space key): focus the focused file or directory in the active panel (and switch to this panel),
  • Hide (the Ctrl+H key): hide selected files or directories from the Found Items listview,
  • Hide Duplicate Names (the Ctrl+Shift+H key): some items can be found several times (see the Append to Found Items command below), hide redundant items from the Found Items listview,
  • View (the F3 key), View With (the Ctrl+Shift+F3 key), Alternate View (the Alt+F3 key): view the focused file,
  • Edit (the F4 key) and Edit With (the Ctrl+Shift+F4 key): edit the focused file,
  • Delete (the F8 or Delete key): delete (send to the Recycle Bin) selected files and directories,
  • User Menu (the F9 key): open the User Menu for selected files and directories,
  • Properties (the Alt+Enter key): open the Properties dialog box for selected files and directories.

You can use drag and drop to copy or move found files and directories from the Found Items listview to any desired location. Another option is to use the clipboard, you can Cut or Copy (see menu Edit) found files and directories from the Found Items listview to the clipboard and later Paste them anywhere you need.

If you need to pick name of some found file or directory, use one of the following commands from menu Edit:

  • Copy Path + Name as Text (the Alt+Insert key): copy a full path to a focused file or directory to the clipboard,
  • Copy Name as Text (the Alt+Shift+Insert key): copy a focused file or directory name to the clipboard,
  • Copy Path as Text (the Ctrl+Alt+Insert key): copy a focused file or directory path to the clipboard,
  • Copy UNC Path + Name as Text (the Ctrl+Shift+Insert key): copy a UNC path to a focused file or directory to the clipboard.

In some special situations you may appreciate that you can search in already found files (values in the Named and Look in boxes are ignored). Use the Refine - Intersect with Found Items (the Ctrl+I key) command from the Commands menu or from the drop-down menu on the Find Now button to keep only found files and directories which fulfill criteria given in the Find dialog box. For example, you can find all files containing a word "car" (using the Find Now command) and then refine found files only to files containing a word "John" (using the Refine - Intersect with Found Items command), so you will get all files containing both words. Similarly you can use the Refine - Subtract from Found Items (the Ctrl+S key) command to hide found files and directories which fulfill criteria given in the Find dialog box. If used in previous example, the result will be all files containing "car" but not containing "John".

Another special command is Append to Found Items (the Ctrl+W key) in the Commands menu or in the drop-down menu on the Find Now button. The only difference when compared with the Find Now command is that it does not clear the Found Items listview before searching. It allows you to simply merge search results. When using this command, you may find some files or directories several times. Use the Hide Duplicate Names command to remove such redundant items.

Duplicate files can be found in the Find dialog box. See Finding Duplicate Files for details.

You can save current settings in Find dialog box using the Add Current (the Ctrl+N key) command from the Options menu. It opens the Settings Manager dialog box. You can use this settings next time, just choose its name from the Options menu. To view or remove these settings, use the Manage (the Ctrl+M key) command from the Options menu.

See Also

Find dialog box
Advanced Options dialog box
Ignore Directory List dialog box
Find Log dialog box
Finding Duplicate Files
Setting Manager dialog box
Group Policy Restrictions


Starting Application or Opening Document

You can use Altap Salamander to start your applications. You can start an application by opening a program file or document file from the panel, Command Line, or User Menu. Program files almost always have a .EXE, .COM, .PIF, .CMD or .BAT filename extension. Document files are associated with applications and are represented by special icons in the panel.

To start application or open document:

Using panel: | Focus the filename in the panel and press Enter, or double-click filename, or open context menu (right-click or Shift+F10) and choose Open.
Using Command line: | Type filename to the Command line and press Enter. See Working with Command Line.
Using User Menu: | You can place frequently opened documents or application to the User Menu. See Using User Menu.

To open document with particular application, drag the document filename onto the application. Application may be filename in the panel, button in the User Menu Bar, or icon on the Windows desktop.

See Also

Working with Command Line
Using User Menu


Opening Plugin File Systems

You can easily open (connect to) plugin file system in the Change Drive Menu and in the Drive Bar. If you don't find some file system in this menu/bar, find appropriate plugin in the Plugins Manager dialog box and set the Show FS item in Change Drive menu and Drive bar check box. Also see Changing Directory for other ways of opening (changing directory to) plugin file system, mainly: Commands/Change Directory (Shift+F7) and Edit/Paste (Ctrl+V).

When you open file system in panel, you can work with files and directories in it. Just focus or select them and use View, Copy and Move (it works in both directions - from/to other panel), Delete, Copy to and Paste from clipboard, Compare Directories, and other commands (search menu for enabled commands). You can also use commands from context menu (use right mouse click or Shift+F10).

The View command copies focused file from plugin file system to temporary directory. This file is then opened in Viewer. Plugin can use cache for such files so if you try to view the file second time, it's just displayed from temporary directory (to get the recent version of file, use Refresh).


Emailing Files

This command helps you to send files as email attachment.

To email files:

  1. Select files you want to send.
  2. Choose Email command:
    Menu: Files/Email...
    Shortcut key: Ctrl+E
    Toolbar: Choose the Email button on the Top or Middle toolbar.
  3. Choose the Yes button.

See Also

Selecting Files and Directories


Saving and Loading Selection

Saving selection allows to use the selection again in the same directory or in a different directory. The selection is saved to a selection memory (only for use inside Salamander) or to the clipboard (it is saved as plain text, so you can use it in text editors, etc.). The saved selection can be used in both panels.

When you want to use a previously saved selection, you can load the selection into the panel. The current selection in panel can be canceled or kept. If you want to keep it, you can add, subtract, or make intersection with the loaded selection.

To save selection:

Menu: | Edit/Advanced/Save Selection
Shortcut key: | Ctrl+Shift+F5

To load selection:

Menu: | Edit/Advanced/Load Selection
Shortcut key: | Ctrl+Shift+F6

Remarks

These commands are handy if you want to make a couple of operations (e.g. convert character set or line ends, change case of names, and pack to archive) on chosen subset of files and directories (each operation removes selection, so you need to restore selection before next operation, see also Restore Selection in Selecting Files and Directories). You can use these commands also when you compare two directories and need to select same files and directories in both panels (e.g. to compare their total sizes or to see if they all exist in both panels - if not, numbers of selected items in panels will be different).

See Also

Save Selection dialog box
Load Selection dialog box
Selecting Files and Directories


Using Clipboard to Perform File and Directory Operations

You can use Copy, Cut, and Paste commands from the Edit menu to copy or move selected files and directories to any directory. The copied or cut items remain on the clipboard until you cut or copy anything else to the clipboard (it overwrites items on the clipboard). The cut items are removed from the clipboard when you paste them (files and directories are moved). Files and directories are not stored in the clipboard directly; only references to them are stored.

Packing to and unpacking from archives and copying and moving from disk to plugin file system using Cut, Copy, and Paste commands are also supported.

You can use Copy, Cut, and Paste commands in different applications. For example, you can Copy files to the clipboard in Windows Explorer and Paste them to the archive opened in panel of Altap Salamander (and vice versa).

Once you have copied items on the clipboard you will see no change since the Paste operation will not affect selected files and directories. When the Cut command is used, icons of selected items will become ghosted. Moving these files and directories is delayed until the Paste command is invoked. When another Copy or Cut command follows instead of the Paste command, ghosted items will be reverted to the normal state.

To copy files and directories

  1. Select files and directories you want to copy.
  2. Choose the Copy command from the Edit menu.
  3. Open the directory where you want to put the copy.
  4. Choose the Paste command from the Edit menu.

To move files and directories

  1. Select files and directories you want to move.
  2. Choose the Cut command from the Edit menu.
  3. Open the directory where you want to put selected items.
  4. Choose the Paste command from the Edit menu.

To duplicate files and directories

  1. Select files and directories you want to duplicate.
  2. Choose the Copy command from the Edit menu.
  3. Choose the Paste command from the Edit menu.

To create shortcuts to files and directories

  1. Select files and directories you want to create shortcuts to.
  2. Choose the Copy command from the Edit menu.
  3. Open the directory you want to put the shortcuts.
  4. Choose the Paste Shortcut command from the Edit menu.

Location

Copy to the Clipboard:

Menu: | Edit/Copy
Context menu: | Right-click selected files and directories and select Copy.
Shortcut key: | Ctrl+C or Ctrl+Insert
Toolbar: | Choose the Clipboard Copy button on the Top or Middle toolbar.

Cut to the Clipboard:

Menu: | Edit/Cut
Context menu: | Right-click selected files and directories and select Cut.
Shortcut key: | Ctrl+X
Toolbar: | Choose the Clipboard Cut button on the Top or Middle toolbar.

Paste from the Clipboard:

Menu: | Edit/Paste
Context menu: | Right-click destination directory and select Paste.
Shortcut key: | Ctrl+V or Shift+Insert
Toolbar: | Choose the Clipboard Paste button on the Top or Middle toolbar.

Paste Shortcut from the Clipboard:

Menu: | Edit/Paste Shortcut
Shortcut key: | Ctrl+S

See Also

Copying File or Directory Name to Clipboard


Copying File or Directory Name to Clipboard

You can use Altap Salamander to copy the focused filename as text. You can then paste the filename into another application or text box in the dialog box. This can save you the time of retyping the filename, and minimize possibility of making errors in typing the name of the file.

To copy full path to focused file or directory to the clipboard:

Menu: | Edit/Copy Path + Name as Text
Shortcut key: | Alt+Insert

To copy focused file or directory name to the clipboard:

Menu: | Edit/Copy Name as Text
Shortcut key: | Alt+Shift+Insert

To copy current path in panel to the clipboard:

Menu: | Edit/Copy Path as Text
Shortcut key: | Ctrl+Alt+Insert

To copy UNC path to focused file or directory to the clipboard:

Menu: | Edit/Copy UNC Path + Name as Text
Shortcut key: | Ctrl+Shift+Insert

See Also

Using Clipboard to Perform File and Directory Operations


Opening File You've Used Recently

List of opened files provides easy way to access files you've recently opened, viewed, or edited. To open the recent file, open history list and choose the desired filename.

To open history list:

Menu: | Commands/List of Opened Files
Shortcut key: | Alt+F11

See Also

Opening Directory You've Worked In Recently


Changing the Name of File or Directory

This command allows you to quickly rename single file or directory.

To rename the file or directory:

  1. Focus the file or directory you want to rename.
  2. Open the Quick Rename dialog box.
    Menu: Files/Quick Rename...
    Context menu: Right-click file or directory and choose Rename.
    Shortcut key: F2
    Toolbar: Choose the Quick Rename button on the Top, Middle, or Bottom toolbar.
  3. In the Rename to box of the Quick Rename dialog box, type the new name.
  4. Choose the OK button.

Remarks

You can also rename the file or directory directly in the panel when you click it when it is already focused. If you need to focus it first, wait a moment between two clicks or you will double-click the item and it causes opening of the file or directory. See Rename by slowly clicking the name twice option in Configuration/Panels.

See Also

Quick Rename dialog box
Moving or Renaming Files and Directories


Changing Attributes of Files and Directories

This command allows you to change file and directory attributes such as read only, archive, hidden, system, compressed, and encrypted. You can also change date and time of last modification, creation, and last access to the file or directory. Attributes are part of the directory information the operation system maintains for each file and directory. This information helps the operating system identify a file or directory and controls the kinds of tasks you can perform with the file or directory.

To change attributes of files and directories:

  1. Select the files and directories whose attributes or dates and times you want to set.
  2. Open the Change Attributes dialog box:
    Menu: Files/Change Attributes...
    Shortcut key: Ctrl+F2
    Toolbar: Choose the Change Attributes button on the Top, Middle, or Bottom toolbar.
  3. Select or clear the check boxes for the attribute settings.

    When you select more than one item, check boxes appear in the third state if the attribute for the items is not set alike.

  4. Select the check boxes for dates and times you want to set and enter their values.
  5. Select the Include subdirectories check box if you want to change also attributes or dates and times of files and directories contained in selected directories.
  6. Choose the OK button.

See Also

Selecting Files and Directories
Change Attributes dialog box
File and Directory Attributes


Compressing and Encrypting of Files and Directories

You can compress or encrypt files and directories on NTFS volumes (see NTFS section in File Systems). It's not possible to combine compressing and encrypting. So if you compress encrypted file, the result will be compressed but not encrypted file (and vice versa). Use the following commands:

  • NTFS Compress (it is also on Top and Middle toolbars): compress selected files and directories,
  • NTFS Uncompress (it is also on Top and Middle toolbars): uncompress selected files and directories,
  • NTFS Encrypt: encrypt selected files and directories,
  • NTFS Decrypt: decrypt selected files and directories.

All described commands are available in menu Files/NTFS Commands. It's also possible to compress and encrypt files and directories by setting or clearing of Compressed and Encrypted attributes using the Change Attributes command.

See Also

Selecting Files and Directories


Changing Name Case of Files and Directories

This command allows you to change name case of the selected files and directories to lower, upper, partially mixed (the name part in mixed case, the extension in lower case), or mixed case. It is possible to choose if the name case should be changed in whole name, only in the name part, or only in extension. This command can be optionally applied also to all files and directories contained within selected directories.

Types of Name Case:

Name Case Type | From | To
Lower case | mY docuMENT.tXt | my document.txt
Upper case | mY docuMENT.tXt | MY DOCUMENT.TXT
Partially mixed case (name in mixed, extension in lower) | mY docuMENT.tXt | My Document.txt
Mixed case | mY docuMENT.tXt | My Document.Txt

To change name case:

  1. Select the files and directories you want to change.
  2. Open the Change Case dialog box:
    Menu: Files/Change Case...
    Shortcut key: Ctrl+F7
    Toolbar: Choose the Change Case button on the Top, Middle, or Bottom toolbar.
  3. Select desired name case.
  4. Select which parts of file name should be changed.
  5. Specify if to include files and directories contained in selected directories.
  6. Choose the OK button.

Remarks

This command is handy if you need to unify style of file and directory names or if you need to transfer files and directories from a case-insensitive file system to a case-sensitive file system.

See Also

Selecting Files and Directories
Change Case dialog box


Converting Contents of Text Files

This command allows you to convert the contents of text files including change of character coding and end of line characters.

To convert the contents of files:

  1. Select the files and directories you want to convert.
  2. Open the Convert dialog box:
    Menu: Files/Convert...
    Shortcut key: Ctrl+K
    Toolbar: Choose the Convert button on the Top or Middle toolbar.
  3. Use file masks to specify what files should be converted.
  4. Select the current and required character coding and requested end of lines for converted files.
  5. Specify if to include files contained in selected directories.
  6. Choose the OK button.

See Also

Selecting Files and Directories
Convert dialog box
Text Files Coding and End of Line Characters


Calculating Occupied Space

This command allows you to calculate space occupied by files and directories. You can also estimate the needed space on disk with the given cluster size.

To calculate the occupied space or estimate the needed space:

  1. Select the files and directories whose occupied space you want to calculate.
  2. Open the Calculate Occupied Space dialog box:
    Menu: Commands/Calculating Occupied Space
    Shortcut key: Alt+F10
    Toolbar: Choose the Calculating Occupied Space button on the Bottom toolbar.
  3. If you want to estimate the needed space, specify the cluster size.

See Also

Calculate Occupied Space dialog box
Selecting Files and Directories
Calculating Directory Sizes


Calculating Directory Sizes

This command allows you to calculate total sizes of files and subdirectories contained in the directories. This command applies to all directories in the active panel. Current selection is ignored. Calculated sizes will be displayed in the Size column in the panel. It may be handy if you need to search biggest subdirectories. When sizes are calculated, you can sort the panel contents by Size.

Use the Space key for selecting and calculating size of single directory.

To calculate directory sizes:

Menu: | Commands/Calculate Directory Sizes
Shortcut key: | Ctrl+Shift+F10
Toolbar: | Choose the Calculate Directory Sizes button on the Bottom toolbar.

See Also

Calculating Occupied Space


Comparing Directories

This command allows you to compare contents of current directories in the left and the right panel. After comparing, files and directories that are not present in the other panel, files that are newer or bigger, files with different attributes or content, and directories containing different files or directories will be selected in both panels.

To compare directories contents:

  1. Open the directories you want to compare in the left and right panel.
  2. Open the Compare Directories dialog box:
    Menu: Commands/Compare Directories
    Shortcut key: Ctrl+F10
    Toolbar: Choose the Compare Directories button on the Top, Middle, or Bottom toolbar.
  3. Select compare criteria, see the Compare Directories dialog box for details.
  4. Choose the OK button.

See Also

Compare Directories dialog box
Changing Directory


Making List of Files and Directories

This command allows you to save the list of selected files and directories into the text file, to the clipboard, or to open it in the Internal Viewer.

To make the list:

  1. Select the files and directories you want to list.
  2. Open the Make File List dialog box:
    Menu: Commands/Make File List...
    Shortcut key: Ctrl+M
  3. Specify the format of the list in the Line field.
  4. Choose the destination for the resulting list. If you want to save it to the file, enter its filename to the File field. Moreover you can specify what to do if the file already exists - if to overwrite it or append the list to its end.
  5. Choose the OK button.

See Also

Selecting Files and Directories
Make File List dialog box


Opening Properties of Files and Directories

This command allows you to open Properties dialog box for selected files and directories.

To open Properties dialog box:

  1. Select the files and directories whose properties you want to change.
  2. Open the Properties dialog box:
    Menu: Files/Properties
    Context menu: Right-click selected files and directories and select Properties.
    Shortcut key: Alt+Enter
    Toolbar: Choose the Properties button on the Top or Middle toolbar.

See Also

Selecting Files and Directories


Creating New Object

This command allows you to create a new object (folder, shortcut, various document files, etc). Altap Salamander set focus on just created object and you can easily work with it, e.g. open it.

To create a new object:

  1. Open the directory in which you want the new object to appear.
  2. From Files menu select New and choose object type you want to create.

See Also

Starting Application or Opening Document


Finding Duplicate Files

Duplicate files can be found in the Find dialog box. You can choose what criteria must two files fulfill to be considered as duplicates. It can be any combination of following criteria: the same name, the same size, and the same content. Found duplicate files are displayed in the Found Items list. Items with the same background color are duplicates.

To find duplicate files:

  1. Open the directory from which you want to start the search.
  2. Open the Find dialog box:
    Menu: Commands/Find Files and Directories...
    Shortcut key: Alt+F7 or Ctrl+F
    Toolbar: Choose the Find Files and Directories button on the Top, Middle, or Bottom toolbar.
  3. Specify the search parameters (mainly Named and Look in) to find all files among which you want to find duplicates. See Finding Files and Directories for details on these search parameters.
  4. Open the Find Duplicate Files dialog box:
    Find menu: Commands/Find Duplicate Files...
    Shortcut key: Ctrl+D
    Drop-down menu on the Find Now button: Find Duplicate Files...
  5. Specify what criteria must two files fulfill to be considered as duplicates.
  6. Choose the OK button.

See Also

Finding Files and Directories
Find dialog box
Find Duplicate Files dialog box


Finding Shortcut or Link Target

This command allows you to find a target of a focused shortcut (.lnk file) or link (junction point or symbolic link). If the shortcut or link target is a file, it will be focused in the current panel. If the shortcut or link target is a directory, the path in the current panel will change to this directory.

To find a shortcut or a link target:

  1. Focus a shortcut (.lnk file) or a link (it has icon with link overlay) in the panel.
  2. From the Commands menu select Go to Shortcut or Link Target (the Ctrl+T key) or click on the Go to Shortcut or Link Target button on the Top or Middle toolbar. For the shortcut of a directory you can also use the Enter key or double-click.


Displaying Shared Directories

Shared directories are important when you need to share your files with others on the network. Users from other computers are able to connect to your shared directories (if they have proper access rights), see Connecting to and Disconnecting from a Network Drive for details.

To display shared directories:

  • Open the Shared Directories dialog box:
    Menu: Commands/Shared Directories...
    Shortcut key: Ctrl+Shift+F9
    Toolbar: Choose the Shared Directories button on the Top or Middle toolbar.
  • You can also stop sharing of directory and find shared directory from this dialog box.

Remarks

To start sharing use Sharing tab in Properties dialog of directory you want to share, see Opening Properties of Files and Directories for details.

See Also

Shared Directories dialog box
Connecting to and Disconnecting from a Network Drive
Opening Properties of Files and Directories


Limiting the Files and Directories to Display

You can hide some files and directories in the panel. It can make the work much easier because you can focus only on important files and directories (all others can be hidden). You have two options how to do it: define a filter or hide selected (or unselected) names. The filter affects only files. Only files matching the filter mask will be displayed, all others will be hidden. The filter is persistent, so you can change directory in panel and the filter is still active. On the contrary, when you hide selected (or unselected) files, it's applied only to the current directory. So if you change directory in the panel, you will see all names again.

To define a filter for files displayed in the panel:

  1. Open the Filter dialog box:
    Menu: Choose Left/Filter... for the left panel or Right/Filter... for the right panel.
    Shortcut key: Ctrl+F12
    Toolbar: Choose the Filter button on the Top, Middle, or panel toolbar.
  2. In the Filter dialog box, use the Use filter box to limit displayed files to files matching specified file masks.

    Select Do not use filter button to display all filenames.

  3. Choose the OK button.
  4. You can stop using the filter also by clicking on the filter icon ( Filter) in the Directory Line and choosing Do Not Use Filter from displayed context menu.

To hide selected (or unselected) files and directories displayed in the panel:

  1. Select files and directories which you want to hide (or which should remain visible).
  2. Use the Hide Selected Names (or Hide Unselected Names) command from menu Edit/Advanced or Top or Middle toolbar.
  3. If you want to see all names again, use the Show Hidden Names command from menu Edit/Advanced or Top or Middle toolbar. Or click on the filter icon ( Filter) in the Directory Line and choose Show Hidden Names from displayed context menu.

See Also

Filter dialog box


Highlighting Groups of Files and Directories

When you are browsing directories, you may appreciate if some files and directories are displayed in different colors (highlighted). For example, you can highlight all ZIP archives (*.zip files).

To create a rule for highlighting:

  1. In the Options menu, select Configuration, and then choose the Colors dialog box.
  2. In the Masks Priority Lists select the last empty row.
  3. Type a filename or use file masks to specify a group of files and directories you want to highlight.
  4. Press the Enter key.
  5. Select or clear the check boxes for the attributes of the filename or group you want to highlight.

    Keep the check box in the third state if the attribute is not significant for you.

  6. Use buttons on the right side to choose colors for the highlight.
  7. Choose the OK button.

See Also

Colors dialog box
File and Directory Attributes


Refreshing Panel

Altap Salamander automatically updates open panels. For example, when you save a new file from an application, Altap Salamander displays the new filename immediately. Sometimes Altap Salamander cannot complete an update when, for example, you are using network directories or you have changed floppy disks. You can update the active panel manually when this occurs.

To manually update a panel:

Menu: | Choose Left/Refresh for the left panel or Right/Refresh for the right panel.
Shortcut key: | Ctrl+F9 or Ctrl+R
Toolbar: | Choose the Refresh button on the Top, Middle, or Bottom toolbar.


Rereading Associations

If the system associations were changed, Altap Salamander should automatically refresh cached associations. It may not work on some older Windows versions, in this case you can use the Reread Associations command from the Commands menu. You can also do this by restarting Altap Salamander.


Using User Menu

User Menu allows you to execute external programs or open documents. See Customizing User Menu for details.

To open User Menu:

Menu: | Commands/User Menu
Shortcut key: | F9
Toolbar: | Choose the User Menu button on the Top, Middle, or Bottom toolbar.
User Menu bar: | Choose the required item on the User Menu bar. You can also drag & drop a file as an argument to the User Menu command (drop the file on the item on the User Menu bar).

See Also

Customizing User Menu
User Menu dialog box


Introduction to Internal Viewer

The aim of the Internal Viewer is to display any file as fast as possible in Text or Hex view mode. It reads only parts of the file which are displayed or used for calculation of vertical scroll limit. It means that you can view 200 GB file with the same speed as 200 KB file (assuming that it will display the same part of both files).

You can use the Internal Viewer to: view a file content as text (the Text view mode) or as hexadecimal values (the Hex view mode); search for text or match regular expressions; copy blocks of text to the clipboard or to disk; convert text to chosen code page; and other tasks.


Finding Text

You can search in the file opened in the viewer. See the following commands:

  • Find (the Ctrl+F key): opens the Find dialog box where you can specify the text you are searching for and search options,
  • Find Next (the Ctrl+N key): repeat searching,
  • Find Previous (the Ctrl+P key): repeat searching but in the opposite direction.

You can find all described commands in viewer menu Search.

When you are opening Internal Viewer from the Find dialog, you may appreciate the following option: Set Find in the Internal Viewer to search grepped text from the Find Files dialog in the Configuration/Internal Viewer.

See Also

Find dialog box


Copying Text to Clipboard

You can copy selected text from viewer to the clipboard. If you are using some conversion (see Converting Text), text is copied after this conversion.

When Auto-Copy Selection to Clipboard in the Options menu in the viewer is checked and you select some text, the selected text will be automatically copied to the clipboard.

To copy selected text to the clipboard:

  1. Select text you want to copy to the clipboard. See Selecting Text for details.
  2. Copy selected text to the clipboard:
    Viewer menu: Edit/Copy
    Viewer shortcut key: Ctrl+C
    Viewer context menu: Copy

See Also

Selecting Text


Selecting Text

You can select a block of text using mouse. Just press (and hold) the left mouse button to define the beginning of the block and drag mouse pointer to move the end of the block. Release left mouse button to define the end of the block. While dragging you can move the mouse pointer near the edge of the view for scrolling the view. You can also scroll the view using keyboard while dragging: try Home, End, Page Down, and Page Up, and also arrows, Ctrl+Left, and Ctrl+Right keys.

Click the left mouse button to cancel the selected block. Double-click a word to select the whole word (a word contains alphanumeric characters and underscore (_) characters). Press (and hold) the Ctrl key and double-click a line to select the whole line.

You can extend the selected block by mouse or keyboard. Just press (and hold) Shift key and click the left mouse button to define the new end of the block. You can also drag mouse pointer to move the end of the block. Or press (and hold) Shift key and use arrows to move the end of the block in Text mode. Moreover you can use Home, End, Ctrl+Home, and Ctrl+End keys while holding Shift key to move the end of the block to begin or end of the line in Text mode or begin or end of the file in both Text and Hex modes.

If you need to select all text in the file currently opened in the viewer, use the Select All (the Ctrl+A key) command from the Edit menu or right-click context menu in the viewer.


Changing View Mode

The file content can be displayed as text (the Text view mode) or as hexadecimal values (the Hex view mode) in the viewer. The viewer can autodetect text files and display them as text while all other (binary) files are displayed as hexadecimal values. You can prevent possible autodetection problems by forcing Text or Hex view mode for specified files (see Force Text mode for files and Force Hex mode for files options in Configuration/Internal Viewer).

Use the following commands:

  • Auto-Select: if checked, the viewer tries to autodetect if the file contains only text and should be displayed in the Text view mode (if not, it is displayed in the Hex view mode),
  • Hex (the Ctrl+H or F4 key) and Text (the Ctrl+T or F5 key): currently used view mode is checked, you can also change the view mode by selecting one of these items,
  • Set as Default: use this command to set the current view mode as default for all future viewing (it also turns off Auto-Select).

Remarks

In the Text view mode, the file content is divided to text lines. You can choose what types of line endings should be accepted, see Line Ends option in the Configuration/Internal Viewer.

In the Hex view mode, the file content is divided to 16 bytes long lines. The first displayed number is line offset (in hexadecimal number). The line content (up to 16 bytes) follows, first as hexadecimal values and then also as text.


Opening Previous or Next File from Panel or Find Window

When you have more files in one directory in panel or found files list in the Find window, you can use the View command for the first of them and then view all others in the same viewer window one by one using following commands:

  • Previous (the Backspace key): open the previous file,
  • Next (the Space key): open the next file,
  • Previous Selected (the Ctrl+Backspace key): open the previous selected file,
  • Next Selected (the Ctrl+Space key): open the next selected file,
  • First (the Shift+Backspace key): open the first file,
  • Last (the Shift+Space key): open the last file.

Note: all these commands work only until you change the content of the panel or Find window from which you opened the viewer.

You can find all described commands in viewer submenu: File/Other Files.


Drag & Drop

You can copy selected text from viewer to any application (e.g. Mozilla Firefox, Microsoft Word) using drag & drop. If you are using some conversion (see Converting Text), text is copied after this conversion.

To copy selected text using drag & drop:

  1. Select text you want to copy. See Selecting Text for details.
  2. Move mouse pointer to a selected text, press (and hold) the left mouse button, drag mouse pointer to a place where you want to copy selected text to, and then release mouse button to finish operation.

See Also

Selecting Text


Text Wrapping

The viewer can display long text lines as single lines (you need to scroll to the right and to the left to read such long lines) or as more lines (long line is wrapped into several lines to avoid horizontal scrolling).

To turn text wrapping on/off:

Viewer menu: | View/Wrap
Viewer shortcut key: | Ctrl+W


Converting Text

Files can contain text in various code pages. If you want to see text readable, you may need to convert it to ANSI code page (it depends on current regional settings). The viewer supports these conversions by the following commands:

  • Auto-Select: if checked, the viewer tries to autodetect needed conversion.
  • Don't Convert, custom conversions (they are defined in CONVERT directory in Altap Salamander installation), OEM-ANSI, and ANSI-OEM: currently used conversion is checked (Don't Convert is checked if no conversion is used), you can choose any conversion from the list.
  • Set as Default: use this command to set the current conversion as default for all future viewing (it also turns off Auto-Select).
  • Next (the F8 key): try to use next conversion from menu (you can try to go through all conversions to find the one in which text is best readable).
  • Previous (the Shift+F8 key): try to use previous conversion from menu.

You can find all described commands in viewer menu Convert.


Copying Text to File

You can copy selected text (or the whole file opened in the viewer if no selection) from viewer to a file. If you are using some conversion (see Converting Text), text is copied after this conversion.

To copy selected text (or whole file if no selection) to a file:

  1. Select text you want to copy to a file. Or do not select anything if you want to copy whole file. See Selecting Text for details.
  2. Copy text to a file:
    Viewer menu: Edit/Copy to File...
    Viewer shortcut key: Ctrl+S
    Viewer context menu: Copy to...

See Also

Selecting Text


Viewing in Full Screen

Use this command to maximize the viewer window. If the viewer window is already maximized, use this command to restore it to its original size and position.

To maximize/restore the viewer window:

Viewer menu: | View/Full Screen
Viewer shortcut key: | F11


Opening File

Use this command to open another file in the current viewer.

Note: it is usually simpler to close the current viewer window (the Escape key), find another file in panel or in the Find window, and open it in the viewer (the F3 key).

To open file:

  1. Open the Open dialog box:
    Viewer menu: File/Open...
    Viewer shortcut key: Ctrl+O
  2. Select the file.
  3. Click the Open button.

See Also

Opening Previous or Next File from Panel or Find Window


Reloading File

Use this command to reload the file (refresh data in the viewer).

To reload data from the file:

Viewer menu: | File/Refresh
Viewer shortcut key: | Ctrl+R


Formatting Disk

Formatting prepares a floppy or fixed disk so that information can be stored on it and retrieved from it. When you format a disk, operating system removes all the information from it, writes new directory information to it, and checks for unusable portions called bad sectors.

Caution You cannot recover information on a disk that has been accidentally formatted.

To format a disk open Change drive menu (Alt+F1) and select the drive you want to format. Open context menu (right-click or Shift+F10) and choose Format.

See Also

File Systems


Labeling Disk

You can assign or change a label for a disk.

To assign or change a volume label

  1. In the panel open the disk you want to label.
  2. Open the Drive Information dialog box:
    Menu: Commands/Drive Information...
    Shortcut key: Ctrl+F1
    Mouse: Click the Size item in the Directory Line.
    Toolbar: Choose the Drive Information button on the Top, Middle, or Bottom toolbar.
  3. In the Volume name box, type the label for the disk.

    Labels on NTFS disks can contain up to 32 characters. Labels on FAT and HPFS disks can contain up to 11 characters.

  4. Choose the OK button.

See Also

Drive Information dialog box
File Systems


Displaying Drive Information

You can obtain information about drive such as used and free space, file system type, disk geometry, and serial number.

To display drive information

  1. Open the drive you want to display information for in the panel.
  2. Open the Drive Information dialog box:
    Menu: Commands/Drive Information...
    Shortcut key: Ctrl+F1
    Mouse: Click the Size item in the Directory Line.
    Toolbar: Choose the Drive Information button on the Top, Middle, or Bottom toolbar.

See Also

Drive Information dialog box
File Systems


Connecting to and Disconnecting from a Network Drive

You can use Altap Salamander to connect to and disconnect from network drives. Once you have connected to a network drive, you can specify whether or not to reconnect to the drive each time you log on to Windows.

Use the Disconnect command also to close currently opened plugin file systems. You can select more connections or plugin file systems and so disconnect them all at once.

Important If you are logged on as a member of the Administrators, Server Operators, or Backup Operators groups, you can connect to a computer's administrative root shares, for example \\SERVER\C$. Administrative shares are not displayed by the Shared Directories box in the Connect Network Drive dialog box.

To connect to a network drive

Menu: | Commands/Connect Network Drive...
Shortcut key: | F11
Toolbar: | Choose the Connect Network Drive button on the Top, Middle, or Bottom toolbar.

To disconnect from a network drive or close currently opened plugin file system:

Menu: | Commands/Disconnect...
Shortcut key: | F12
Toolbar: | Choose the Disconnect button on the Top, Middle, or Bottom toolbar.

See Also

Group Policy Restrictions


Setting Files and Directories Permissions

You can set directory and file permissions only on drives formatted to use the Windows NT file system (NTFS). Only files or directories permissions can be set at one time.

To change permissions:

  1. Select the files or directories which permissions you want to change.
  2. Choose the Permissions command:
    Menu: Files/Security
    Shortcut key: Ctrl+P
    Toolbar: Choose the Security button on the Top or Middle toolbar.


Managing Plugins

You can add, remove, and configure plugins in the Altap Salamander. See Plugins Concepts for more information on plugins. To manage plugins use the Plugins Manager dialog box. All actions, such as adding or removing plugins, apply only to the Altap Salamander configuration. No plugin file will be affected or removed from your disk. If you remove plugin, you can add it back again later.

To add a new plugin:

  1. Open the Plugins Manager dialog box: in the Plugins menu choose Plugins Manager.
  2. Choose the Add button.
  3. Find the plugin file (*.SPL) you want to Add and click the OK button.

To remove an installed plugin:

  1. Open the Plugins Manager dialog box: in the Plugins menu choose Plugins Manager.
  2. In the Installed Plugins list, select the plugin you want to remove.
  3. Choose the Remove button.

To configure an installed plugin:

  1. Open the Plugins Manager dialog box: in the Plugins menu choose Plugins Manager.
  2. In the Installed Plugins list, select the plugin you want to configure.
  3. Choose the Configure button.

See Also

Plugins Manager dialog box


Using Plugins

Every plugin consists of one or more plugin functions. We have following plugin functions: file viewer, archiver, menu extension, thumbnail loader, and file system. You can see the list of supported functions in the plugin in the Plugins Manager dialog box. See how to use different plugin functions in following sections.

Each plugin has its own help which is available in Plugins section of this help (see Contents tab). You can find there details on purpose, using, configuring, and keyboard shortcuts of all plugins.

File Viewer

This function adds an ability to display content of a file.

See Viewing File for details about using viewers.

Every plugin with the file viewer function adds its file type associations into Viewers configuration, you can find there what file types are supported.

Archiver

Archiver function includes packing, listing, unpacking, and deleting from archive files.

See Opening Archive Files, Packing Files and Directories, and Unpacking Archive File for details about using archivers.

Some plugins support only unpacking - in such cases you can install additional archiver software and use it as external archiver (see External Archivers Locations configuration for supported types of archivers).

Every plugin with the archiver function adds its archive file type associations into Archives Associations in Panels configuration, Packers in Pack Dialog Box configuration, and Unpackers in Unpack Dialog Box configuration, you can find there what archive file types are supported.

Menu Extension

Plugin with this function adds commands to the Plugins menu. To separate commands added by different plugins Salamander creates submenu with the name of plugin for each such plugin.

To make repeated use of plugin menu command easier we have added the Last Command (the Ctrl+I key) item to the Plugins menu (just below Plugins Manager). This item always changes to the last used plugin menu command.

You can assign keyboard shortcut to any plugin menu command, see the Keyboard button in the Plugins Manager dialog box.

Thumbnail Loader

When you use Thumbnails view mode in panel (see Selecting Current View), you can see thumbnail (small picture, preview) for each displayed file. Plugin with thumbnail loader function can supply thumbnails for many types of files, see the line Thumbnails in the Plugins Manager dialog box.

File System

This function makes possible to communicate with various servers, services, and devices (e.g. FTP servers, SCP servers, Windows Registry, and Windows Mobile devices) as if they were local file systems. It means you can use e.g. the Copy command for downloading files from and uploading files to FTP/SCP servers, the View command for viewing files from FTP/SCP servers, etc.

See Opening Plugin File Systems for details about using plugin file systems.

See Also

Managing Plugins
Configuring Plugins


Configuring Plugins

Some plugins have configuration dialogs where you can customize their behavior. You can configure all these plugins from menu Options/Plugin Configuration. You can also use the Plugins Manager dialog box, see the Configure button.

Loading and Saving Configuration

Plugin's configuration is stored together with Salamander's configuration in the registry (see Configuring Altap Salamander).

Plugin reads its configuration from the registry on its load (when you first use the plugin). Plugin saves its configuration to the registry when you unload it (see the Plugins Manager dialog box, the Unload button) or when it's unloaded on exit of Salamander (only if Save configuration on exit is checked in Configuration/General). If you want to save all loaded plugins' configuration, you can also use command Options/Save Configuration (it saves also Salamander's configuration).

Remarks

Plugins configuration is stored in the Windows Registry: 'HKEY_CURRENT_USER\Software\Altap\Altap Salamander X\Plugins Configuration\PLUGIN-NAME', where X is Altap Salamander version and PLUGIN-NAME is name of plugin.

See Also

Configuring Altap Salamander


Configuring Altap Salamander

Configuration contains settings from Configuration dialog, main window position, panel widths and current directories, and other options. To configure Altap Salamander, open Options menu and choose Configuration. Then select required dialog box in the tree box. Change options you want to configure and click the OK button.

Saving the configuration

To save configuration to the registry use command Options/Save Configuration. By default, configuration is saved automatically when you are closing Altap Salamander. To change this behavior, open General configuration page and clear the Save configuration on exit check box.

Exporting the configuration

You can export Altap Salamander's configuration to the file. Choose the Options/Export Configuration command. If you save the configuration to a file named config.reg and place this file to installation directory (near salamand.exe) or in Vista or later rather in application data directory (typically C:\Users\<user>\AppData\Roaming\Altap\Altap Salamander), that configuration will be imported from this file to the registry before loading Altap Salamander's configuration from the registry.

The configuration file is a simple text document; you can easily edit it with any text editor. Administrators can change this file to suit their needs, then place it in a network installation of Salamander, and Salamander is then ready to use in network environment.

When exporting configuration, you can choose if you want to add clearing of registry key with configuration (it takes place before importing keys and values). Use this option if you want to use exported configuration file to fully replace current configuration in registry. If you just want to change some values and leave the rest of the current configuration in registry without change, clear this option. All keys and values from the file overwrite current values in registry. If you delete some values from the configuration file, you'll avoid overwriting the users' values (users will have their own values - it's useful for window positions, and other not-important-stuff).

Importing the configuration

You can import Altap Salamander's configuration from the file. To get such file, see previous section about exporting configuration. You can import configuration from other computer or just return to previously exported configuration to undo some unwanted changes.

Importing the configuration is quite simple. Just find the file with configuration and open it (use Enter key or double-click on it). It should be opened in Registry Editor. When it shows question if you want to add information from the file to registry, you should close all running instances of Altap Salamander. It will prevent overwriting of newly imported configuration by automatic save of configuration on exit of Altap Salamander. When there is no running Altap Salamander, press Yes in Registry Editor question message box. Then it will import the configuration from the file to registry.

Remarks

Altap Salamander's configuration is stored in the Windows Registry: 'HKEY_CURRENT_USER\Software\Altap\Altap Salamander X', where X is Altap Salamander's version.


Setting User's Skill Level

You can reduce number of items in menu according to your current skill level to simplify work with Altap Salamander. To set user's skill level, use command Options/User's Skill Level. See the User's Skill Level dialog box for details.

See also

User's Skill Level dialog box


Customizing Toolbars

Use the Customize Toolbar dialog box to add, remove, and rearrange the buttons on the toolbars. To customize toolbar, open Options menu, select Customize, and choose toolbar you want to customize.

To add a button to the toolbar:

In the Available Toolbar Buttons box, click the button or separator you want to add, and then click Add.

Note: You can add a separator to divide toolbar buttons into groups. A separator is displayed as a line on the toolbar.

To remove a button from the toolbar:

In the Current Toolbar Buttons box, click the button or separator you want to remove, click Remove, and then click Close.

To change the order of the buttons on the toolbar:

In the Current Toolbar Buttons box, click the button or separator you want to move, click Move Up or Move Down until the item is in the appropriate position, and then click Close.

To Restore the default buttons toolbar configuration:

Click Reset, and then click Close.

See also

Customize Toolbar dialog box


Customizing Plugin Bar

Use command Plugins/Plugins Manager to open the Plugins Manager dialog box. Find plugin whose icon you want to add or remove from Plugin bar and focus its name in Installed plugins list. Use the Show PLUGIN-NAME icon in Plugin bar check box (where PLUGIN-NAME is name of plugin).

See also

Plugins Manager dialog box


Customizing User Menu

The User Menu allows you to execute external programs or open documents. The User Menu is list of individual commands ("items") you have defined. Each item contains an item name and executed command. Moreover, icon, additional arguments, initial directory, and executing flags can be specified.

You can use additional arguments to specify command-line arguments that are passed to the application each time you start it. For example you can use $(FullName) to pass the filenames of selected files (one User Menu command is executed for each selected file). See the List of Variables below for details.

To add new command to the User Menu:

  1. In the Options menu, select Configuration..., and then choose the User Menu dialog box.
  2. In the Menu Contents select the last empty row.
  3. Type the name of the created item.
  4. Press the Enter key.
  5. In the Command box, type path and filename of the file you want to execute.
  6. Choose the OK button.

Advanced Features

The User Menu supports executing of utilities for comparing/merging of files and directories. You can use special variables in the Arguments box (see the List of Variables below for details) to pass two files or two directories to the compare/merge utility. For example, enter "$(FileOrDirToCompareLeft)" "$(FileOrDirToCompareRight)" to the Arguments box and two full names of two files/directories specified in panels will be used as arguments for the compare/merge utility (specify its .exe file in the Command box). See the following list to learn how to specify two files/directories for the compare/merge utility directly in panels:

  1. select both files/directories in one panel,
  2. select first file/directory in left panel and then select second file/directory in right panel,
  3. select first file/directory and then focus the second file/directory in one panel,
  4. select first file/directory in left panel and then focus second file/directory in right panel (and vice versa),
  5. if you have files/directories with the same name in both panels, focus first file/directory in one panel and second file/directory with the same name will be taken from opposite panel.

The list of selected files and directories can be used in command arguments in the User Menu. In this case only one User Menu command is executed for all selected files and directories. See $(ListOfSelectedNames) and $(ListOfSelectedNames) variables in the List of Variables below.

List of Variables

All variables are available from context menus on buttons on the right sides of the Command, Arguments, and Initial directory boxes.

The User Menu command is executed for each selected file and directory or for the focused file or directory (if there is no selection). The file or directory for which is executed the User Menu command is called the current file or directory in the following table. Exception from this rule: if you use variables for compare/merge utilities or lists of selected files and directories, only one User Menu command is executed for all selected files and directories.

Variable | Description
$(WinDir) | Full path of the Windows directory (e.g. C:\Windows\).
$(SysDir) | Full path of the system directory (e.g. C:\Windows\system32\).
$(SalDir) | Full path of the Altap Salamander directory (e.g. C:\Program Files\Altap Salamander 2.5\).
$[ENV_VAR] | Value of environment variable (replace ENV_VAR by the environment variable name).
$(FullName) | Full name of the current file or directory (e.g. C:\Program Files\Outlook Express).
$(Drive) | Drive of the current file or directory (e.g. C:, D:, or \\server\share).
$(Path) | Path of the current file or directory (e.g. \Windows\system32\).
$(Name) | Name of the current file or directory (e.g. file.txt).
$(NamePart) | Name part of the current file or directory (e.g. file if filename is file.txt).
$(ExtPart) | Extension of the current file or directory (e.g. txt if filename is file.txt).
$(FullPath) | Full path of the current file or directory (e.g. C:\Windows\system32\).
$(DOSFullName) | Full DOS name (8.3 naming convention) of the current file or directory (e.g. C:\DOCUME~1\ALLUSE~1\APPLIC~1).
$(DOSPath) | DOS path (8.3 naming convention) of the current file or directory (e.g. \DOCUME~1\ALLUSE~1\).
$(DOSName) | DOS name (8.3 naming convention) of the current file or directory (e.g. APPLIC~1).
$(DOSNamePart) | DOS name part (8.3 naming convention) of the current file or directory (e.g. MYFIRS~1 if filename is my first document.html).
$(DOSExtPart) | DOS extension (8.3 naming convention) of the current file or directory (e.g. HTM if filename is my first document.html).
$(DOSFullPath) | Full DOS path (8.3 naming convention) of the current file or directory (e.g. C:\DOCUME~1\ALLUSE~1\).
$(DOSWinDir) | Full DOS path (8.3 naming convention) of the Windows directory (e.g. C:\Windows\).
$(DOSSysDir) | Full DOS path (8.3 naming convention) of the system directory (e.g. C:\Windows\system32\).
$(FullPathInactive) | Full path opened in the inactive (target) panel (e.g. C:\Windows\system32\).
$(FullPathLeft) | Full path opened in the left panel (e.g. C:\Windows\system32\).
$(FullPathRight) | Full path opened in the right panel (e.g. C:\Windows\system32\).
$(FileToCompareLeft) | Full name of the first file to compare/merge (e.g. C:\file1.txt). If both files are not from the same panel, the file from the left panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(FileToCompareRight) | Full name of the second file to compare/merge (e.g. C:\file2.txt). If both files are not from the same panel, the file from the right panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(DirToCompareLeft) | Full name of the first directory to compare/merge (e.g. C:\dir1). If both directories are not from the same panel, the directory from the left panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(DirToCompareRight) | Full name of the second directory to compare/merge (e.g. C:\dir2). If both directories are not from the same panel, the directory from the right panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(FileOrDirToCompareLeft) | Full name of the first file or directory to compare/merge (e.g. C:\file1.txt). If both files or directories are not from the same panel, the file or directory from the left panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(FileOrDirToCompareRight) | Full name of the second file or directory to compare/merge (e.g. C:\file2.txt). If both files or directories are not from the same panel, the file or directory from the right panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(FileToCompareActive) | Full name of the first file to compare/merge (e.g. C:\file1.txt). If both files are not from the same panel, the file from the active (source) panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(FileToCompareInactive) | Full name of the second file to compare/merge (e.g. C:\file2.txt). If both files are not from the same panel, the file from the inactive (target) panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(DirToCompareActive) | Full name of the first directory to compare/merge (e.g. C:\dir1). If both directories are not from the same panel, the directory from the active (source) panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(DirToCompareInactive) | Full name of the second directory to compare/merge (e.g. C:\dir2). If both directories are not from the same panel, the directory from the inactive (target) panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(FileOrDirToCompareActive) | Full name of the first file or directory to compare/merge (e.g. C:\file1.txt). If both files or directories are not from the same panel, the file or directory from the active (source) panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(FileOrDirToCompareInactive) | Full name of the second file or directory to compare/merge (e.g. C:\file2.txt). If both files or directories are not from the same panel, the file or directory from the inactive (target) panel is used. See the Advanced Features section above for details on executing of utilities for comparing/merging of files and directories.
$(ListOfSelectedNames) | The list of selected files and directories from the active (source) panel. Names are separated by space character. Names containing spaces are surrounded by double quotes (e.g. dir1 file.txt "my first document.html"). The order of names in the list is the same as in the panel or Find window. The maximum length of the list is 32771 characters (see Command Line Length Limits later on this page for limits overview).
$(ListOfSelectedFullNames) | The list of full names of selected files and directories from the active (source) panel. Full names are separated by space character. Full names containing spaces are surrounded by double quotes (e.g. C:\test\dir1 C:\test\file.txt "C:\test\my first document.html"). The order of names in the list is the same as in the panel or Find window. The maximum length of the list is 32771 characters (see Command Line Length Limits later on this page for limits overview).

Command Line Length Limits

The maximal length of command with arguments depends on Windows version and if you are executing command through shell or not (see Execute through shell check box in User Menu dialog box).

Maximal length of command with arguments when executing through system command shell (more precisely using batch file):

Windows Version | Maximal Length
Windows 2000 | 2041
Windows XP | 8185
Windows Vista | 8191
Windows 7 | 8191

Maximal length of command with arguments when executing directly (not through system command shell):

Windows Version | Maximal Length
Windows 2000 | 2080
Windows XP | 2080
Windows Vista | 2080
Windows 7 | 32764

Remarks

When User Menu Bar is visible, you can add new User Menu item using drag & drop operation. Simply drag the application or document to the User Menu bar.

See also

Using User Menu
User Menu dialog box
User Menu Bar


Archivers Autoconfiguration

You can let Altap Salamander to find external archivers on your disks.

To configure external archivers:

  1. Open the Archivers Autoconfiguration dialog box: open the Options menu and choose Archivers Autoconfiguration.
  2. Choose the Start button.
  3. Wait until searching is finished.
  4. In the Available archivers box, check the archivers you want to add to the configuration.
  5. Choose the OK button.

See also

Archivers Autoconfiguration dialog box


Working with Command Line

When the Command line became active, you can type any command for the system shell, and then execute it with the Enter key. To insert the focused file or directory name from the panel to such command, use following shortcut keys:

Press | To
Ctrl+Enter | Insert the name of the focused file or directory in the active panel.
Ctrl+Shift+Enter | Insert the DOS name of the focused file or directory in the active panel.
Ctrl+Space | Insert the full name of the current directory in the active panel.
Ctrl+Shift+Space | Insert the DOS name of the current directory in the active panel.
Ctrl+[ | Insert the full name of the current directory in the left panel.
Ctrl+Shift+[ | Insert the DOS name of the current directory in the left panel.
Ctrl+] | Insert the full name of the current directory in the right panel.
Ctrl+Shift+] | Insert the DOS name of the current directory in the right panel.

On the General page in the Configuration dialog, you can choose if the system command shell window should be closed after execution of the command (Close shell window after command execution). If you execute the command with Alt+Enter key, this setting for the command will be inverted.

The last thirty executed commands are stored in a Command line history. Use Ctrl+Up and Ctrl+Down keys to scroll in this history. If the Command line is active, and you need to switch to some other directory or execute some file in the panel, use Shift+Enter key or Enter key if Command line is empty (e.g. there is nothing to execute).

Command Line Length Limits

The maximal length of command with arguments depends on Windows version. Altap Salamander executes commands through system command shell. It depends on COMSPEC environment variable, usually it is cmd.exe or command.com. See maximal lengths in the following table.

Windows Version | Maximal Length
Windows 2000 | 4096
Windows XP | 8192
Windows XP x64 | 8156 (for COMSPEC=C:\Windows\system32\cmd.exe; longer COMSPEC, shorter limit)
Windows Vista | 8156 (for COMSPEC=C:\Windows\system32\cmd.exe; longer COMSPEC, shorter limit)
Windows 7 | 8156 (for COMSPEC=C:\Windows\system32\cmd.exe; longer COMSPEC, shorter limit)

See Also

Command Line
Activating Command Line
Group Policy Restrictions


Opening System Folder

You can open special folders like Computer, Recycle Bin, Control Panel, or Network directly from Salamander using the submenu Open Folder from the menu Commands.

You can also open current directory in the Windows Explorer. Use the Shift+F3 key, the Commands/Open Folder/Active Folder command, or the Open Active Folder button on the Top or Middle toolbar.


Opening Command Shell

You can open command shell window for current directory.

To open the command shell window:

Menu: | Commands/Command Shell
Shortcut key: | Num / or Ctrl+/
Toolbar: | Choose the Command Shell button on the Top or Middle toolbar.

Remarks

UNC paths are not supported in the command shell. If you open command shell on the UNC path, Windows directory will be used as current path.

See also

Group Policy Restrictions


Using Password Manager

Altap Salamander can protect sensitive information like FTP or WinSCP passwords by strong AES cipher. In order to protect such sensitive information you need to set a Master Password. When a Master Password is not set, stored passwords can be easily displayed in dialog boxes or decrypted by malicious software that have infiltrated your computer.

If you set the Master Password, each new instance of Altap Salamander will ask you to enter the Master Password the first time it needs to access protected information. Later you can change or remove the Master Password. If you remove the Master Password, sensitive information will not be protected anymore.

To set the Master Password:

  1. Open Options/Configuration/Security dialog box.
  2. Set the Use Master Password option and choose your Master Password. IMPORTANT: If you forget your Master Password, we will not be able to recover it, all protected sensitive information like FTP or WinSCP passwords will be lost.

To change the Master Password:

  1. Open Options/Configuration/Security dialog box.
  2. Click the Change Master Password button.
  3. Enter current and new Master Password.

To remove the Master Password:

  1. Open Options/Configuration/Security dialog box.
  2. Clear the Use Master Password option and enter current Master Password.

To enter the Master Password:

  1. Altap Salamander will ask you to enter the Master Password when it needs to access protected information.

Note: Avoid weak Master Passwords. Good passwords have at least six characters and contain both lowercase and uppercase letters, numbers and special characters, such as delimiters, symbols, letters with accent, etc.

See Also

Configuration/Security
Change Master Password dialog box
Enter Master Password dialog box
Remove Master Password dialog box


Displaying About Dialog Boxes

The About dialog box displays such information as the application's or plugin's name and version, copyright information.


Accessing Help

There are many ways to access Help for answers to questions about Altap Salamander and for information about keywords. Descriptions of a few of the most common and useful ways of accessing Help follows.

  • Press F1 to display help on a topic associated with the currently opened window or dialog box.
  • Press Shift+F1 in Altap Salamander's main window. The mouse cursor changes to the help cursor, and you can select any visible object in the user interface, such as a menu item, toolbar button, or window. This opens Help on a topic that describes the selected item.
  • Open Help menu from Altap Salamander main window. Select on of the following items: Contents, Index, Search, and Keyboard Shortcuts.
  • Click Help button in dialog box to display help on a topic associated with the currently opened dialog box.

Tips

To switch between your application and Help window, press Alt+Tab or use the Windows taskbar. If you leave Help active, you can immediately return to the last topic you were viewing.


Using Altap Salamander Task List

Altap Salamander Task List is intended to control execution of all running Altap Salamander tasks (version 2.52 or later). The most important feature is possibility to break a not-responding task (do it from some responding Altap Salamander task). The break should invoke the Bug Report dialog in a target task, so you can send us the Bug Report about "hung" Altap Salamander. This should help us to remove such bugs.

To break a not-responding (frozen) Altap Salamander task:

  1. Start a new Altap Salamander task.
  2. Open the Altap Salamander Task List dialog box: Help/Task List.
  3. In the List of running Altap Salamander tasks box select the not-responding task.

    Note Current task has "current process" appendix.

  4. Choose the Break button.
  5. The break should invoke the Bug Report dialog in the selected task.
  6. Activate the Bug Report dialog box and send us the Bug Report about "hung" Altap Salamander.

See Also

Altap Salamander Task List dialog box


Starting Altap Salamander with Parameters

Altap Salamander supports command line parameters specifying directories to be opened, configuration file to be imported, etc.

Syntax

SALAMAND.EXE [-L directory] [-R directory] [-A directory] [-C reg_file] [-I icon_index] [-T title_prefix] [-O] [-P panel_index]

Parameter | Description
-L path | Specifies the path for the left panel. It works with full or relative disk paths, archive paths, and plugin file system paths.
-R path | Specifies the path for the right panel. It works with full or relative disk paths, archive paths, and plugin file system paths.
-A path | Specifies the path for the active panel. It works with full or relative disk paths, archive paths, and plugin file system paths. This parameter is ignored when -L or -R parameter is specified.
-C reg_file | Specifies the exported configuration that will be imported to the registry before loading configuration from the registry. If you do not specify full path to the configuration file, it is searched in the installation directory and in Vista or later also in application data directory (typically C:\Users\<user>\AppData\Roaming\Altap\Altap Salamander)
-I icon_index | Specifies the icon color that will be used for main window. 0 means DEFAULT icon, 1 means RED icon, 2 means GREEN icon, and 3 means BLUE icon. You can also change the icon color in configuration of main window.
-T title_prefix | Specifies the text prefix displayed in the title bar of main window. To suppress text prefix use the "" parameter. You can also change the prefix in configuration of main window.
-O | Salamander will behave as when Allow only one instance of Salamander at one time option is checked. The option value in configuration will not be affected.
-P panel_index | Specifies the panel that will be activated. 0 means DEFAULT panel, 1 means LEFT panel amd 2 means RIGHT panel.

Examples

  • To open Altap Salamander with "C:\Program Files" directory in the left panel:

    salamand.exe -L "C:\Program Files"

  • To open Altap Salamander with personal configuration stored in myconfig.reg:

    salamand.exe -C "myconfig.reg"

  • To open Altap Salamander with red icon and ADMIN prefix in the title bar:

    salamand.exe -I 1 -T "ADMIN"


Exiting Altap Salamander

To quit Altap Salamander double-click the Window menu box (the icon in the upper left corner of the main window) or from the Files menu, choose the Exit command.


Appearance configuration

Altap Salamander: Dialog Boxes: Configuration

Appearance

Allows you to change the appearance of Altap Salamander.

Dialog Box Options

Full row select (Detailed and Brief modes only)
When an item in the panel is focused, the entire item is highlighted. In the detailed mode are all item columns highlighted. In the brief mode is entire item column width highlighted. Highlighted part of item is sensitive for the mouse operations. When this check box is cleared, only item name is highlighted and sensitive for the mouse operations.
Highlight focused row (Detailed modes only)
When an item in the panel is focused, the entire item is highlighted. But only item name is sensitive for the mouse operations.
Single-click to open an item (point to select)
Specifies that you want to open items by single-clicking them, just as you would click a link on a Web page. To select item without opening it, rest your pointer on it.
Show icon tincture in panel (system/hidden/selected/focused items)
Specifies whether the items icon in the panel should be colored for special states of the item (such as system/hidden/selected/focused items). In this way colored items are better distinguished from other normal items.
Show panel caption in Directory line
Specifies whether to show the panel caption in the Directory line. With the panel caption displayed, you can easy distinguish active and inactive panel.
Show maximize/restore button in Directory line
Specifies whether to show the maximize/restore button on the right side of the Directory line. You can easily maximize/restore panel by clicking this button.
Panel Font
Click Font button to change the font you want to use in the panels.
Content of Information Line
Specifies content of Information line. Order of values can be specified.
Thumbnails
Specifies the size of thumbnails in panels (in Thumbnails mode).


Archivers configuration

Altap Salamander: Dialog Boxes: Configuration

Archivers

Allows you to change the behavior of the archivers.

Dialog Box Options

Use simple icons in archives
When checked, only the simple symbols instead of default icons provided by the system will be shown in archives.
Pack to other panel
When checked, default destination directory for created archive will be set to the target (inactive) panel instead of the source (active) panel.
Unpack to other panel
When checked, default destination directory for unpacked archive will be set to target (inactive) panel instead of the source (active) panel.
Unpack to subdirectory named by archive
When checked, default destination directory will be ended with the name of the unpacked archive; otherwise destination directory will be set only to active or inactive panel in accordance to the Unpack to other panel check box.


Archives Associations in Panels configuration

Altap Salamander: Dialog Boxes: Configuration

Archives Associations in Panels

Allows you to associate extensions to the archivers.

Dialog Box Options

File Extensions
Displays a list of extensions associated with archivers. More extensions can be associated with one archiver. Extensions are separated by semi-colon (;), character '#' stands for any digit ('0' ... '9').
List and Unpack
Displays the archiver name associated to the selected extensions in File Extensions. This archiver will be used for listing and unpacking of archive.
Delete and Pack
Displays the archiver name associated to the selected extensions in File Extensions. This archiver will be used for deleting files from archive and packing files into archive.


Change Drive Menu and Drive Bar configuration

Altap Salamander: Dialog Boxes: Configuration

Change Drive Menu and Drive Bar

Customize the Change Drive Menu and the Drive Bar on this page.

Dialog Box Options

Select drives that should be visible
Selected drives will be visible in the Change Drive menu and the Drive bar. Click on drive letter to change its selection. You can also use arrow keys to move in drive letters and the Space key to change focused drive letter selection.
Select drives that should be followed by separator
Selected drives will be followed by separator in the Change Drive menu and the Drive bar. Click on drive letter to change its selection. You can also use arrow keys to move in drive letters and the Space key to change focused drive letter selection.
Documents
When checked, the Documents item will be visible in the Change Drive menu and the Drive bar.
Cloud Storage Services
When checked, items for installed cloud storage services will be visible in the Change Drive menu and the Drive bar. Use these items to access local folders of these services. Currently supported services are Google Drive, Dropbox, and Microsoft OneDrive.
Network
When checked, the Network item will be visible in the Change Drive menu and the Drive bar.
Note: if this check box is disabled, the Network item is replaced by the Network plugin (to change visibility of its FS item go to Plugins Manager).
As Other Panel
When checked, the As Other Panel item will be visible in the Change Drive menu. Note: this item does not appear in the Drive bar.

See Also

Change Drive Menu
Drive Bar


Colors configuration

Altap Salamander: Dialog Boxes: Configuration

Colors

Allows you to modify colors of Altap Salamander environment and manage rules for highlighting of files and directories in panels.

Dialog Box Options

Scheme
Lists the available color schemas you can choose for the Altap Salamander environment. Custom scheme is available for user-defined colors.
Item
Lists the available color items you can change. Use buttons on the right for choosing another color.
Additional Rules for Highlighting of Files and Directories in Panels
Lists all the highlighting rules you have defined. More masks separated with semi-colon (;) can be specified. Masks are processed from top to down.
When name agrees to mask, check attributes
Specifies condition, when file or directory is colored. Use buttons on the right for choosing item color in the panel. See File and Directory Attributes for meaning of individual check boxes.


Confirmations configuration

Altap Salamander: Dialog Boxes: Configuration

Confirmations

Specifies whether confirmation messages are displayed.

Dialog Box Options

File or directory delete
Clear this check box if you don't want to receive a confirmation message before deleting files.
Non-empty directory delete
Clear this check box if you don't want to receive a confirmation message before deleting non-empty directory. When you delete a directory, all the files and directories within it are deleted.
File overwrite
Clear this check box if you don't want to receive a confirmation message before replacing a file. It is recommended that you leave this option selected so that you don't inadvertently write over files you want to keep.
System or hidden file delete
Clear this check box if you don't want to receive a confirmation message before deleting system and hidden files.
System or hidden directory delete
Clear this check box if you don't want to receive a confirmation message before deleting system and hidden directories.
System or hidden file overwrite
Clear this check box if you don't want to receive a confirmation message before replacing system and hidden files.
Directories merge
Clear this check box if you don't want to receive a confirmation message before merging a directory (which you copy or move) with the existing directory (in the target directory).
NTFS compress or uncompress
Clear this check box if you don't want to receive a confirmation message before compressing or uncompressing files on NTFS drive.
NTFS encrypt or decrypt
Clear this check box if you don't want to receive a confirmation message before encrypting or decrypting files on NTFS drive.
Drag and Drop operations
When checked, all drag and drop operations will be confirmed using preceding context menu.
User Menu: always show dialog with names to compare
This applies to User Menu command which uses variables for files or directories compare (First File to Compare, Second File to Compare, etc.). When checked, the dialog with names to compare will be displayed even if both names were specified in panel. Otherwise, this dialog is displayed only if you have to specify at least one name for compare.
Compare Directories: ignored differences of exactly 1 or 2 hours
When checked and the Compare Directories command detects pairs of files with time differences of exactly one or two hours, and these differences should be ignored, it ignores them, but it also shows a note about how many pairs of files have such time differences. Otherwise, this note is not displayed. See Compare Directories: ignore time differences of exactly one or two hours check box in Configuration/General.
Compare Directories: found differences of exactly 1 or 2 hours
When checked and the Compare Directories command detects pairs of files with time differences of exactly one or two hours, and these differences should not be ignored, it informs you that you can change settings to ignore them (to bypass DST related file time shifts). Otherwise, this hint is not displayed. See Compare Directories: ignore time differences of exactly one or two hours check box in Configuration/General.
Archive is about to close... (only if editing files from archive)
Clear this check box if you don't want to receive a confirmation message before closing archive from which files were edited or opened (files may be changed).
Do you want to close Find?
Clear this check box if you don't want to receive a confirmation message before closing Find window (see Finding Files and Directories).
Do you want to stop searching?
Clear this check box if you don't want to receive a confirmation message before stopping of searching in Find window (see Finding Files and Directories).
Do you want to create target path?
Clear this check box if you don't want to receive a confirmation message before creating specified non-existing target path in Copy/Move operation.
Do you want to turn on Always on Top?
Clear this check box if you don't want to receive a confirmation message before turning on Always on Top (see Setting Window Always on Top).
Do you want to close Altap Salamander?
Clear this check box if you don't want to receive a confirmation message before closing Altap Salamander application.
Do you want to Email selected files?
Clear this check box if you don't want to receive a confirmation message before sending selected files by email (see Emailing Files).
Do you want to add files into existing archive?
Clear this check box if you don't want to receive a confirmation message before adding files to an existing archive. When checked, you can choose if to add files to existing archive or create a new archive (overwrite the existing archive).
The directory doesn't exist. Do you want to create it?
Clear this check box if you don't want to receive a confirmation message before creating of a directory in which some operation should be done (but which is not existing). This happens when creating a directory structure in Create Directory command (e.g. creating C:\a\b if c:\a does not exist)


Drives configuration

Altap Salamander: Dialog Boxes: Configuration

Drives

Specifies how Altap Salamander reads icons and catches refresh events.

Dialog Box Options

Use automatic refresh
When checked, refresh of panel depends on change notifications from Windows. Otherwise refreshing of panel will be forced after each panel operation and main window activation (when you return from other application). Monitoring of change notifications is overall better option.
Use simple icons
When checked, only the simple symbols instead of default icons provided by the system will be shown in the panels. This is useful for slow-speed media such as floppy disks, where obtaining default icons can slow down browsing.
Network drives: Use automatic refresh
When checked, panels are refreshed when they receive change notifications from Windows (you will see all changes on network drive made from other computer). But always they are also refreshed after each panel operation and main window activation (this can be suppressed, see next option). This is because some network drives (e.g. Samba on Linux, unfortunately it's not possible to distinguish it from common Windows network drive) do not send change notifications properly, so panel contents were not updated properly.
Network drives: Do not refresh on activation of Salamander
When checked, network drives are not refreshed on main window activation (when you return from other application). On some network drives (e.g. Samba on Linux) you will have to refresh panel content manually if you turn on this option.
If path in panel is inaccessible, go to
Specify the path where to go if path in panel becomes inaccessible (you remove medium from CD/DVD drive, the network is not available, USB stick is unplugged, etc.).


Editors configuration

Altap Salamander: Dialog Boxes: Configuration

Editors

Allows you to associate file extensions to the external editor.

Dialog Box Options

File masks priority list
Lists all of extensions associated to the editors. More extensions separated with semi-colon (;) can be associated to the editor.
Command
Specifies path to the external program used for editing file.
Arguments
Specifies parameters passed to the external editor.
Initial directory
Specifies initial directory used for the external editor.

See also

Group Policy Restrictions


External Archivers Locations configuration

Altap Salamander: Dialog Boxes: Configuration

External Archivers Locations

Allows you to assign external archiver file name to the variables used in Altap Salamander archivers configuration.

Dialog Box Options

External Archivers
Displays a list of external archivers supported by Altap Salamander.
List and Unpack
Displays the external archiver file name assigned to the selected variable in External Archivers. This archiver will be used for listing and unpacking content of archive.
Delete and Pack
Displays the external archiver file name assigned to the selected variable in External Archivers. This archiver will be used for deleting files from archive and packing files into archive. If selected archiver supports all operations (listing, unpacking, deleting, and packing), Delete and Pack box will be disabled. Otherwise different file name of external archiver must be assigned.

Note

Use Options/Archivers Autoconfiguration to search for installed external archivers on your machine.


General configuration

Altap Salamander: Dialog Boxes: Configuration

General

Allows you to change the general behavior of the Altap Salamander.

Dialog Box Options

Save configuration on exit
When checked, configuration will be saved on Altap Salamander exit. Configuration contains settings from Configuration dialog, main window position, panel widths and current directories, and other options.
Clear read-only attribute when copying from CD-ROM
Files on CD-ROM have read-only attribute set. This check box allows clear this attribute during the copy operation. This is useful for further processing of these files.
Allow only one instance of Salamander at one time
When checked, only one instance if Altap Salamander can run. If you try to start another instance of Altap Salamander, the running instance will be activated instead.
Use speaker beep to announce finishing of work in inactive window
Allows you to be notified that operation in inactive window is done.
Close shell window after command execution (in Command line)
When checked, command shell will be closed after execution of command in the Command line. If you execute the command with Alt+Enter key, this setting for the command will be inverted.
Compare Directories: ignore time differences up to
When checked, Compare Directories command will compare files with the specified time toleration. Use this option to bypass different time accuracy on various file systems. See File Times for details.
Compare Directories: ignore time differences of exactly one or two hours
When checked, Compare Directories command will ignore time differences of exactly one or two hours. Such differences can appear because of DST (Daylight Saving Time) and different ways of storing time informations on various file systems. For example NTFS uses UTC (after adjusting clocks due to DST all times on NTFS seems to be shifted because of adjusted conversion of UTC to local time) and FAT32 uses values in local time zone (there are no shifts due to DST because no conversion to local time is needed). See File Times for details.
Open files through salopen.exe (it bypasses shell extensions errors)
When checked, execution of files in the panel will be carried through small program salopen.exe. This option can be useful when directories where you have opened files could not be possible to delete.
Select also filename extension in Quick Rename and Pack commands
When checked, whole name including extension will be initially selected when entering new filename in the Quick Rename or Pack dialog boxes. Otherwise, only name part will be selected. You can use the Ctrl+A keyboard shortcut to select all.
Select also filename extension in Edit New File command
When checked, whole name including extension will be initially selected when entering new filename in the Edit New File dialog box. Otherwise, only name part will be selected. You can use the Ctrl+A keyboard shortcut to select all.
Use fast directory move on Novell Netware
When checked and you are moving directory in scope of one Novell Netware drive, Salamander moves this directory just by renaming it directly to the target path (it is fast but not always working). Otherwise, Salamander renames only files, all necessary directories are created on target path and after moving contained files deleted in source directory (it can be much slower but always working). We recommend you to try turn on this option and turn it off only when moving of directories in scope of one Novell Netware drive fails.
Copy files: use faster asynchronous algorithm on network (Windows 7 and later)
When checked and you are copying files to or from network drive, Salamander uses asynchronous copy algorithm which is faster then conventional one (111 MB/s on GLAN instead of 86 MB/s). This advanced algorithm is available only on Windows 7 and later. Otherwise, Salamander copies files using conventional algorithm. This option affects also moving of files in case you are not moving in scope of one volume (then it is just rename, not copy and delete). Asynchronous copy algorithm is also optimized for network drives accessible via VPN (Virtual Private Network). It uses smaller blocks (size depends on current copy speed), so progress is smoother and you can cancel operation instantly.
Keep environment variables updated to system values
When checked, Salamander reads system environment variables on start and when system environment variables are changed. Values of environment variables inherited from parent process are overwritten by values from system. Variables which do not exist in system remain untouched. Uncheck this option to use inherited environment variables in running Salamander and all processes started from it.


History configuration

Altap Salamander: Dialog Boxes: Configuration

History

Specify if recently used values (history) should be stored in the registry as a part of Altap Salamander and plugins configuration.

Dialog Box Options

Save history
When checked, recently used values (history) will be stored in the registry as a part of Altap Salamander and plugins configuration.
Save List of Working Directories
When checked, the list of working directories (see List of Working Directories) will be stored in the registry as a part of Altap Salamander configuration.
Enable Command line history
When checked, recently used commands from the Command Line will be kept in Command line history (you can access them using the button with down arrow on the right side of the Command line). If your commands contain passwords or other sensitive data, it's recommended to turn this option off.
Save Command line history
Has sense only if Enable Command line history box is checked. When checked, Command line history will be stored in the registry as a part of Altap Salamander configuration.
Clear History...
Clears all history related data from memory. If you want to clear them also from the registry (configuration), you need to save configuration after using this command.


Hot Paths configuration

Altap Salamander: Dialog Boxes: Configuration

Hot Paths

Allows you to manage Hot Paths used for accessing frequently visited directories.

Dialog Box Options

Defined Hot Paths
Lists all the Hot path names you have defined. Checked Hot paths will be displayed in the Change Drive menu.
Path
Specifies directory path for selected Hot path. It can be path to disk, archive, or plugin file system. It is possible to use symbolic variables such as $(WinDir), $(SysDir), and $(SalDir) that will be expanded to Windows directory, System directory, and Salamander directory. It is also possible to enter $[ENV_VAR] to expand environment variable ENV_VAR. In case you want to enter character $ into path, you need to enter it twice.
Open this page when Hot Path is assigned from panel
When checked, this configuration dialog will be opened when Hot path is defined from the panel (use Ctrl+Shift+number to assign Hot path).


Security configuration

Altap Salamander: Dialog Boxes: Configuration

Security

Allows you to change security settings of Altap Salamander.

Dialog Box Options

Use Master Password
Set this option to set the Master Password or clear this option to remove the Master Password.
Change Master Password
Click this button to change or remove the Master Password.

See Also

Using Password Manager


Icon Overlays configuration

Altap Salamander: Dialog Boxes: Configuration

Icon Overlays

Specifies which icon overlays are displayed in panels. Icon overlays are small images placed at the lower-left corner of the file icon (e.g. small arrow which represents that file is a shortcut).

Dialog Box Options

Display custom icon overlays (provided by shell extensions)
When checked, all checked icon overlay handlers from the Custom Icon Overlay Handlers list are used (their icon overlays are displayed in panels). Otherwise, no icon overlay handler is used.
Custom Icon Overlay Handlers
Contains a list of all available custom icon overlay handlers. Clear check boxes of handlers which should not be used (their icon overlays will not be displayed in panels). This list is disabled when the Display custom icon overlays box is not checked.


Internal Viewer configuration

Altap Salamander: Dialog Boxes: Configuration

Internal Viewer

Allows you to change the appearance and behavior of the Altap Salamander Internal Viewer.

Dialog Box Options

Line Ends
Each row in the text view contains one line of text ended by some of the defined line ends. You can choose which line ends should be used. See Text Files Coding and End of Line Characters. When check box from group is checked, corresponding end of line character will be used.
Window position - Save on close
When selected, window position of the Internal Viewer will be saved when the window is closed. When new Internal Viewer windows is opened, last position and size will be used.
Window position - Set to position of Salamander's main window
When selected, Internal Viewer window will open in the same size and position as main window of Altap Salamander.
Set Find in the Internal Viewer to search grepped text from the Find Files dialog
When checked and you open the Internal Viewer from the Find dialog, the Find command (the Ctrl+F or F3 key) in viewer is preset to search for the same text as Find dialog (see field Containing). This is useful for viewing content of found files. In Find dialog you press the F3 key and the Internal Viewer will be opened. In the Internal Viewer you press the F3 key again and the first occurrence of found text is displayed.
Tab Size
Type the number of spaces to view instead of tab stop character.
Force Text mode for files
All files matching specified file masks will be displayed in Text mode.
Force Hex mode for files
All files matching specified file masks will be displayed in Hex mode.
Font
Click Font button to change the font you want to use in the Internal Viewer window.
Colors
Allows you specify colors of normal and selected text in the Internal Viewer window.


Keyboard configuration

Altap Salamander: Dialog Boxes: Configuration

Keyboard

Keyboard shortcuts cannot be changed in this version of Altap Salamander. You can assign keyboard shortcut to any plugin menu command, see the Keyboard button in the Plugins Manager dialog box. See the list of Keyboard Shortcuts.


Main Window configuration

Altap Salamander: Dialog Boxes: Configuration

Main Window

Settings related to appearance of Main Window.

Dialog Box Options

Show splash screen at startup
When checked, the splash screen with Altap Salamander logo and version is displayed when starting Altap Salamander.
Show icon of Altap Salamander in the Status area of Taskbar
When Altap Salamander is minimized, the taskbar button is removed from the taskbar. Instead, an icon is displayed in the status area of the taskbar, near the clock. A click on this icon restores Altap Salamander window.
Display current path in main window title as
When checked, the current path in active panel will be displayed in the main window title. You can choose if it should be shortened or shown as full path or if you want to display only directory name.
Custom text prefix in main window title
When checked, the specified text will be used as a prefix in the main window title bar. You can use it for example to differentiate instance of Altap Salamander started "As Administrator". This option can be overridden using command line parameters.
Icon color
It is possible to choose different icon color for the main window. It is intended for situations when the color of the default icon conflicts with icons of other applications or when you need to distinguish between more instances of Altap Salamander (for example one of them can be started "As Administrator"). This option can be overridden using command line parameters.
Note: to change the color of the shortcut icon on your Desktop or in the Start menu, right-click it, choose the Properties command and click the Change Icon button.


Packers in Pack Dialog Box configuration

Altap Salamander: Dialog Boxes: Configuration

Packers in Pack Dialog Box

Allows you to manage packers used for Pack command.

Dialog Box Options

Name
Displays a list of all packers used for Pack command. You can reorder names according to your most often used packers.
Pack with
Packer used for selected packer name. It can be either external program or plugin.
Default extension
Extension used when new archive is created with Pack command.
Pack to archive
When external program is used for packing, Command specifies file name of used external archiver. Using of variable from External Archivers Locations is recommended when packer is known in Altap Salamander. Arguments are parameters passed to the external program.
Pack to archive and then delete from disk
When external program is used for packing and deleting files may be supported, Command specifies file name of used external archiver. Using of variable from External Archivers Locations is recommended. Arguments are parameters passed to the external program.
Support long names
Check this check box when external archiver supports long file names. Otherwise clear this check box and Altap Salamander prepares MS-DOS 8.3 file names.
Need List of Files in ANSI Charset
Check this check box if external program used for packing and deleting files requires list of files in ANSI charset (some Win32 archivers). Clear this box if it requires list of files in OEM charset.


Panels configuration

Altap Salamander: Dialog Boxes: Configuration

Panels

Customize appearance and behavior of panels in this page.

Dialog Box Options

Hide files and directories with hidden or system attribute (Ctrl+H)
Select this check box to hide hidden and system files in the panel. When checked and current directory contains these files or directories, symbol for filter ( filter) appears in the Directory line.
Include directories to select/unselect operations
This option affect operations Select using masks, Unselect using masks, and Invert selection. See Selecting Files and Directories.
Show names
Allows you to specify how to display names of files and directories.
Show sizes
Allows you to specify how to display sizes of files and directories.
Keyboard
Redirect typing from panel to Command line (hold ALT for Quick Search)
When checked, typing will be redirected from panel to the Command line; for Quick search you must use Alt+letter. Otherwise typing in panel evokes Quick search. This option is provided only for compatibility with Norton Commander. Non conservative users should clear this check box. Quick search is very frequently used function and should be easily accessible.
Use Shift+number for go to Hot Path (it conflicts with national keyboard layouts)
When checked, Shift+number is used for go to Hot path command. Otherwise Ctrl+number must be used for go to Hot path command.
Mouse
Right-click to open context menu (hold CTRL to select/unselect)
When checked, context menu appears on right-click in the panel; Ctrl+right-click will perform select/unselect operations. Otherwise right-click performs select/unselect operations and Ctrl+right-click brings context menu. See Selecting Files and Directories. This option is provided only for compatibility with Norton Commander. Non conservative users should select this check box. Context menu on right-click is standard behavior in the Windows.
Rename by slowly clicking the name twice
When checked, you can rename files and directories directly in panel when you click on a focused name. If the name is not focused, click the first time to focus it, wait a moment (to prevent opening file or directory by double-click) and then click the second time to rename it.
Cancel drag&drop operations shorter than X ms
When checked, drag and drop operations will be canceled if they are finished in shorter time then the value specified in the box. It should prevent users from unwanted drag and drop operations.
Sorting
Sort strings with respect to Regional Settings
When checked, names in the panel will be sorted with respect to Regional settings (e.g. "ha" is less then "ch" in the Czech regional setting), otherwise standard ASCII table will be used for sorting.
Use numerical sort for numbers contained in strings
When checked, it tries to detect numbers in names and sort according to the values of such numbers. E.g. when this is turned on, you will see 2.txt followed by 10.txt (2 is less than 10), if turned off, you'll see 10.txt followed by 2.txt (character '1' precedes '2').
Sort by Time order: newer items on top
When checked and items in panel are sorted by time, items will be sorted in descending order (newer items on top).
Sort by Time: sort directories by name
When checked and items in panel are sorted by time, directories will be sorted by name (only files are sorted by time).
Treat directories as if have extensions (also show extensions in Ext column)
When checked, directories will be sorted as if they have extensions (normally extensions do not exist in directories names). Moreover directories extensions will be displayed in separated Ext column (show this column in Configuration/Views). If you want to see the difference, sort panel by extension.


Language configuration

Altap Salamander: Dialog Boxes: Configuration

Language

Select a language for Altap Salamander and choose code page conversion tables.

Dialog Box Options

Language
Click on this button to select the language for Altap Salamander.
Code page conversion tables
Allows you to choose code page conversion tables (it depends on a region where you live).


Recycle Bin configuration

Altap Salamander: Dialog Boxes: Configuration

Recycle Bin

Specifies how you want to delete files and directories.

Dialog Box Options

Move all deleted files and directories to the Recycle Bin
All files and directories you delete are send to the Recycle Bin. They are not removed from your hard disk until you empty the Recycle Bin or until their total size is bigger than maximum size of Recycle Bin (usually 10% of drive size). Deleting with this option may be faster (files and directories are not deleted but only moved to other location on the same drive).

Altap Salamander delete confirmations will be ignored. To set confirmations on delete and maximum size of Recycle Bin, open Properties from right-click context menu in the Recycle Bin icon on your desktop.

Remove files and directories immediately when deleted
Files and directories will be removed from your disk as soon as you delete them. After delete operation will be beyond recovery. But you can still use some undelete utility to try to recover deleted files, e.g. the Undelete plugin. If you want to delete files irreversibly, you need to use some shredding (wiping) utility, e.g. the Encrypt & Decrypt plugin.
Move following files to the Recycle Bin, delete others permanently
All files and directories matching specified file masks are send to the Recycle Bin. All others are removed from your disk immediately. See previous two options for details.


Unpackers in Unpack Dialog Box configuration

Altap Salamander: Dialog Boxes: Configuration

Unpackers in Unpack Dialog Box

Allows you to manage unpackers used for Unpack command.

Dialog Box Options

Name
Displays a list of all unpackers used for Unpack command.
Unpack with
Unpacker used for selected unpacker name. It can be either external program or plugin.
File masks
File masks used to choose unpacker for selected archive when Unpack command is used. You can use also wildcard character '#' in these file masks. It stands for any digit ('0' ... '9').
Unpack archive
When external program is used for unpacking, Command specifies file name of used external archiver. Using of variable from External Archivers Locations is recommended when unpacker is known in Altap Salamander. Arguments are parameters passed to the external program.
Support long names
Check this check box when external archiver supports long file names. Otherwise clear this check box and Altap Salamander prepares MS-DOS 8.3 file names.
Need List of Files in ANSI Charset
Check this check box if external program used for unpacking files requires list of files in ANSI charset (some Win32 archivers). Clear this box if it requires list of files in OEM charset.


User Menu configuration

Altap Salamander: Dialog Boxes: Configuration

User Menu

Allows you to manage User Menu commands used for executing external programs.

Dialog Box Options

Menu Contents
Lists all the User Menu commands you have defined. Placing an ampersand (&) before a letter in the menu item text makes the letter an accelerator key.
Submenu
When checked, the current command becomes a start of a submenu. The name of the command is used as the name for this submenu. All commands between current command and Submenu End command (it's added automatically) will be placed in the submenu. Submenus can be nested, so you can create any structure of the User Menu. To move existing menu command to the submenu: focus this command and use buttons with arrows in Menu Contents toolbar or the Alt+Up and Down Arrows keys.
Separator
When checked, name of command will be ignored and item signify separator in the User Menu and in the User Menu bar.
Change Icon
Icon associated with command. You can change this icon by clicking Change Icon button.
Command
Specifies path to the executed external program.
Arguments
Specifies additional arguments for the external program each time you start it. The maximal length of command with arguments depends on Windows version and if you are executing command through shell or not (see Execute through shell check box later on this page). See Customizing User Menu for limits overview.
Initial directory
Specifies the working directory used for the external program.
Execute through shell
When checked, command is executed through system command shell. The executing through the system shell is useful for console-oriented applications with some interesting output and for execution queues (pipes, redirected input and output, etc.) Otherwise is command executed directly from Altap Salamander as a new process. The direct execution is good for windowed applications.
Open shell window
When checked, specifies that the command shell window will be opened when command is executed.
Close shell window
When checked, specifies that the command shell window associated with the tool will close when you close the executed program.
Show item in User Menu bar
When checked, User Menu command is shown in the User Menu bar.

See Also

Customizing User Menu
Using User Menu
User Menu Bar


Viewers configuration

Altap Salamander: Dialog Boxes: Configuration

Viewers

Allows you to associate file extensions to the viewer plugins or external viewers.

Dialog Box Options

File masks priority list
Lists all of extensions associated to the viewers. More extensions separated with semi-colon (;) can be associated to the viewer.
Associated viewer
Viewer associated with the selected extensions. It can be external viewer, Internal Viewer (text/hex), or plugin.
Command
Specifies path to the external program used for displaying file content.
Arguments
Specifies parameters passed to the external viewer.
Initial directory
Specifies initial directory used for the external viewer.

See also

Group Policy Restrictions


Views configuration

Altap Salamander: Dialog Boxes: Configuration

Views

Allows you to define content of the Altap Salamander panels.

Dialog Box Options

Defined Views
Lists all of defined views. Details of selected view are displayed in the rest of this dialog. You can rename (the F2 key), delete (the Delete key), and change position (the Alt+Down or Up Arrow key) of views in this list. Use toolbar above list or keyboard shortcuts.
Available Columns
Contains list of all columns in the selected view. Check the columns you want to see. This list is disabled when no named view is selected or type of selected view is not detailed.
Fixed column width in left/right panel
Only for detailed views. When checked, fixed width of selected column in left/right panel can be set (usually it's set by dragging column right edge in the Header line). Otherwise it will be automatically calculated to fit the longest value in the column. You can change the column to fixed/automatic width also using Automatic Column Width item in right-click context menu on column header in the Header line.
Set smart mode: Left/Right panel
Only for detailed views. When checked and the Name column has not fixed width (previous option must be turned off), it tries to narrow the Name column (if needed) to reduce horizontal scrolling in panel. It helps in situations when you have few files with very long names which cause that other columns are displayed far on the right side (often behind panel right edge, so you must scroll to the right to see values in these columns). You can turn on/off smart mode using the Ctrl+N key in panel. Or using Smart Column Mode item in right-click context menu on Name column header in the Header line.


Advanced Options dialog box

Altap Salamander: Dialog Boxes: Find

Advanced Options

Use this dialog box to specify advanced search options.

Dialog Box Options

Attributes
Each attribute is represented by one check box with the following meaning:
checkbox Items with this attribute will be found.
checkbox Items without this attribute will be found.
checkbox Ignore this attribute.
File size
Allows you to specify the range for the size of the file you're looking for.
Date and Time
Allows you to find files and directories that were modified in specified time period.
Reset
Sets all advanced options to be ignored.

See Also

Finding Files and Directories


Find dialog box

Altap Salamander: Dialog Boxes: Find

Find

Use this dialog box to search for files or directories on your computer or network drives.

Dialog Box Options

Named
Type the file or directory name in this box. Use file masks to specify a group of files or directories. Use the drop-down list to select previous search masks. Important note: when you specify mask without asterisk (*), question mark (?), and point (.), you will find all files and directories whose names are containing this mask (e.g. when you specify "dog", you will find "dogs.txt", "hotdog.jpg", etc.), you can prevent this by adding point (.) to the end of such mask (e.g. when you specify "dog.", you will find only "dog").
Find Now
This button starts the search. Pressing Escape or the Stop button can interrupt it. Click on the right side of this button to open context menu with other commands.
Look in
This box contains directories in which you want to start the search. More starting directories can be specified using semi-colon (;) as a separator. Use the drop-down list to select previously used starting directories.
Add
Displays the context menu, where you can select from the three commands. The Browse command allows you to locate and add desired directory to the Look in box. The Add Local Drives command inserts all local drives to the Look in box. The Add Local and Network Drives command inserts all local and network (mapped) drives to the Look in box.
Search subdirectories
Select this check box if you want to search all subdirectories of the directories listed in the Look in box.
Search file content
When checked and the Containing box is not empty, the file content will be searched.
Containing
Type some text which should be contained in a file. If you don't know a file's name, you may be able to find the file by typing some of its contents. You can specify four additional options: HEX-mode, Case sensitive, Whole words, and Regular expression. Use the drop-down list to select previous search strings.
HEX-mode
Hexadecimal mode will be used to set character by character in hexadecimal numbers. You can also input normal text in the hexadecimal mode, but it must be quoted using double quotes. So if you set '01 02 "text" 00', it will be a pattern with 7 characters, 2+4+1.
Case sensitive
When selected, it searches for strings that match the Containing string exactly. Otherwise, it searches ignoring case of characters (lower and upper characters are equal).
Whole words
When selected, the found string must be preceded and followed by a space, tab, or punctuation character or the start or end of a line. Otherwise, the search finds any matching string, whether it is a fragment of a larger string or not.
Regular expression
When checked, type regular expression to the Containing box. The regular expressions are powerful, you can use them to find text which have specified attributes. These attributes are for example "pattern begins at the beginning of line", "pattern ends at the end of line", "pattern starts with some prefix and ends with some suffix", "pattern is one word from a set of words", or "pattern contains only characters from some character sequence (e.g. numbers)".
Advanced
Opens the Advanced Options dialog box where you can specify advanced search criteria.
Found Items
Contains a list of found files and directories. Click on columns headers to sort this list by name, size, path, or time. Or use sort commands from the View menu.

See Also

Finding Files and Directories


Find Duplicate Files dialog box

Altap Salamander: Dialog Boxes: Find

Find Duplicate Files

Use this dialog box to specify what criteria must two files fulfill to be considered as duplicates. It can be any combination of following criteria: the same name, the same size, and the same content.

Dialog Box Options

Find files with the same
Name
When checked, names of two compared files must be the same. Names are compared case insensitively, so lower and upper case characters are equal.
Size
When checked, sizes of two compared files must be the same.
Content
When checked, contents of two compared files must be the same.

See Also

Finding Duplicate Files


Find Log dialog box

Altap Salamander: Dialog Boxes: Find

Find Log

All errors which occur during searching for files and directories and all ignored directories are displayed in this dialog box.

Dialog Box Options

Messages generated during searching
Contains a list of errors and ignored directories.
Focus
Use this button to focus the file or directory connected with the error or the ignored directory in the active panel.
Ignore
Use this button to add the directory connected with the error to the list of ignored directories (see the Ignore Directory List dialog box for details).

See Also

Finding Files and Directories


Ignore Directory List dialog box

Altap Salamander: Dialog Boxes: Find

Ignore Directory List

Use this dialog box to specify directories which should be ignored when searching for files and directories. Directories in which you start the search cannot be ignored.

Dialog Box Options

Directories to skip during search
Contains a list of ignored directories. You can enter a relative name of directory (e.g. Local Settings\Temporary Internet Files), name of directory in the root path (e.g. \System Volume Information), or absolute path to directory (e.g. C:\TEMP). To add new item focus the empty item (at the bottom) and start typing or press the Insert key or click the New button in the toolbar. To modify item click on the focused item or press the F2 key or click the Modify button in the toolbar. To delete item press the Delete key or click the Delete button in the toolbar.
Reset
Sets ignored directories to default values.

See Also

Finding Files and Directories


Settings Manager dialog box

Altap Salamander: Dialog Boxes: Find

Settings Manager

Use this dialog box to manage stored search settings.

Dialog Box Options

Setting Names
Contains a list of the stored search settings.
Load this setting when the Find dialog is opened
Allows you to specify settings which is loaded whenever the Find dialog box is opened.
Add Current
Adds current settings to the list.

See Also

Finding Files and Directories


Find (Internal Viewer) dialog box

Altap Salamander: Dialog Boxes: Internal Viewer

Find

Use this dialog box to specify a string to search for, as well as options to use when searching for text in a document.

Dialog Box Options

Find
Provides a space for you to specify the search text, regular expression, or the hexadecimal value to match. Type the text or expression in the Find box. Use the drop-down list to select previous search strings. If you use regular expressions, be sure the Regular Expression check box is selected. If you use hexadecimal value, be sure the HEX-mode check box is selected.
HEX-mode
Hexadecimal mode will be used to set character by character in hexadecimal numbers. You can also input normal text in the hexadecimal mode, but it must be quoted using double quotes. So if you set '01 02 "text" 00', it will be a pattern with 7 characters, 2+4+1.
Search forward
When selected, indicates that the direction of the search will be from the current view position to the end of the file.
Search backward
When selected, indicates that the direction of the search will be from the current view position to the beginning of the file.
Whole words
When selected, finds text strings that match the Find string and are preceded and followed by a space, tab, or punctuation character, or are at the start or end of a line. Otherwise, the search finds any matching string, whether it is a fragment of a larger string or not.
Case sensitive
When selected, searches for text strings that match the case of the characters in the Find string exactly. Otherwise, the search finds strings with either uppercase or lowercase characters that match the characters in the Find string.
Regular expression
When checked, type regular expression to the Find box. The regular expressions are much more powerful then the simple text expressions, you can use them to find texts, which have specified attributes. These attributes are for example "pattern begins at the beginning of line", "pattern ends at the end of line", "pattern starts with some prefix and ends with some suffix", "pattern is one word from a set of words", or "pattern contains only characters from some character sequence (e.g. numbers)".


Go To Offset (Internal Viewer) dialog box

Altap Salamander: Dialog Boxes: Internal Viewer

Go To Offset

Use this dialog box to specify the offset from file beginning which you want to see in viewer.

Dialog Box Options

HEX
Select this check box to specify the offset as hexadecimal value. Otherwise, specify the offset as decimal value.


Change Master Password dialog box

Altap Salamander: Dialog Boxes: Password Manager

Enter Master Password

Use this dialog box to enter the Master Password so protected information can be accessed.

See Also

Using Password Manager


Change Master Password dialog box

Altap Salamander: Dialog Boxes: Password Manager

Change Master Password

Use this dialog box to set, change, or remove a Master Password for Altap Salamander Password Manager.

Dialog Box Options

Current password
If a Master Password is already set, you will need to enter it to this field in order to change or remove the Master Password.
Enter new password
Enter new Master Password to set or change it. Leave this field clear to remove Master Password.
Re-enter password
Enter the new Master Password again to this field to confirm.

See Also

Using Password Manager


Change Master Password dialog box

Altap Salamander: Dialog Boxes: Password Manager

Remove Master Password

Use this dialog box to remove the Master Password. Current Master Password must be entered in order to remove it.

See Also

Using Password Manager


Altap Salamander Task List dialog box

Altap Salamander: Dialog Boxes

Altap Salamander Task List

Use this dialog to break or terminate a not-responding Altap Salamander task.

Dialog Box Options

List of running Altap Salamander tasks
Contains a list of all Altap Salamander tasks. Current task has "current process" appendix.
Highlight
Flash main window of selected Altap Salamander task.
Break
Breaks selected Altap Salamander task and invokes its Bug Report dialog.
Terminate
Terminates selected Altap Salamander task.
Refresh
Refresh list of running Altap Salamander tasks

See Also

Using Altap Salamander Task List


Archive Update dialog box

Altap Salamander: Dialog Boxes

Archive Update

Use this dialog box to update modified files from archive.

Dialog Box Options

Updated Files
Displays a list of files that were modified.
Update All
All modified files will be packed to archive.
Ignore All
Archive will be closed without updating modified files. Modified files will be lost.
Copy Selected To...
Allows you to copy selected files to a chosen directory.
Ignore Selected
Selected files will be excluded from the list.


Archivers Autoconfiguration dialog box

Altap Salamander: Dialog Boxes

Archivers Autoconfiguration

Use this dialog box to find external archivers on you drives.

Dialog Box Options

Available archivers
Displays a list of the packers that are to be searched on your machine.
Add/Remove custom (un)packers
When selected, not only archives association in panels will be modified, but also packers will be removed from and added to the list of packers in the pack and unpack dialog boxes. When not selected, this list of custom archivers remains unmodified.
Drives
Opens a dialog allowing to specify which drives will be searched for archivers.
Start
Begin searching of external archivers.

See Also

Archivers Autoconfiguration
Searched drives specification


Archivers Autoconfiguration Drives specification dialog

Altap Salamander: Dialog Boxes

Archivers Autoconfiguration Drives

Use this dialog box to specify which drives and directories will be searched for external archivers.

Dialog Box Options

Edit paths to search for external archivers
Displays a list of paths that will be searched for external archivers. You can add, delete, modify and change search order of the paths in this window. Both local and network paths are allowed (in UNC syntax).

See Also

Archivers Autoconfiguration Dialog
Using Archivers Autoconfiguration


Calculate Occupied Space dialog box

Altap Salamander: Dialog Boxes

Calculate Occupied Space

Use this dialog box to see the total size, occupied disk space, and other information about selected files and directories. You can also estimate the needed space on disk with the given cluster size.

Dialog Box Options

Total size
Total size of all selected files and directories (all files in directories).
Occupied disk space
The smallest allocation unit on a disk is a cluster. Each file occupies a disk space which is a multiple of the cluster size. Occupied disk space is total disk size occupied by selected files and directories.
Disk space utilization
It is a ratio between the total size and the occupied disk space.
Total compressed size
When you have compressed files on NTFS volume (see NTFS section in File Systems), you can see here the compressed file size.
Compress ratio
It is a ratio between the total compressed size and the total size.
Estimate needed space
For cluster size
Specify the cluster size of a disk where you want to estimate a space needed for storing all selected files and directories. This value is preset to the cluster size of a disk in the inactive panel.
Estimated space
Estimated space for storing all selected files and directories.
Cluster utilization
It is a ratio between the total size and the estimated space.

See Also

Calculating Occupied Space


Change Attributes dialog box

Altap Salamander: Dialog Boxes

Change Attributes

Use this dialog box to change attributes of selected files and directories.

Dialog Box Options

Set Attributes
Each attribute is represented by one check box with the following meaning:
checkbox Attribute is set for all selected files and directories.
checkbox Attribute is not set for any of the selected files and directories.
checkbox Attribute is set for some, but not all, of the selected files and directories.
To set attribute, select its check box. To clear attribute, clear its check box. If you want to leave attribute as is, set its check box to the third state.
Change Date and Time
Allows you to specify last modification, creation, and last access times and dates of selected files and directories. Use the Set Current button to set the current time and date to ticked boxes with time and date.
Include subdirectories
When checked, operation includes files and directories contained within selected directories.

See Also

Changing Attributes of Files and Directories


Change Case dialog box

Altap Salamander: Dialog Boxes

Change Case

Use this dialog box to change name case of selected files and directories.

Dialog Box Options

Change Case to
Select one of following name case types.
Name Case Type | From | To
Lower case | mY docuMENT.tXt | my document.txt
Upper case | mY docuMENT.tXt | MY DOCUMENT.TXT
Partially mixed case (name in mixed, extension in lower) | mY docuMENT.tXt | My Document.txt
Mixed case | mY docuMENT.tXt | My Document.Txt
Change
Select which parts of file name should be changed.
Include subdirectories
When checked, operation includes files and directories contained within selected directories.

See Also

Changing Name Case of Files and Directories


Choose Directories to Compare dialog box

Altap Salamander: Dialog Boxes

Choose Directories to Compare

Specify directories to compare in this dialog.

Dialog Box Options

Compare directory
Specify the first directory to compare. You can browse for this directory using the button behind this field.
With directory
Specify the second directory to compare. You can browse for this directory using the button behind this field.
Do not display this dialog if you have both names to compare
When checked, this dialog is not displayed when both directories were specified in panels. See Customizing User Menu for details. You can change this option later in Configuration/Confirmations

See Also

Customizing User Menu


Change Directory dialog box

Use this dialog box to change the current directory of the active panel.

Dialog Box Options

Change directory to
Type the name for the directory you want to change to. Name can be entered as full or relative disk path, archive path, or plugin file system path.
Browse Menu (click the button behind the Change directory to field)
Use the Browse item to display the Browse dialog box in which you can select a directory on disk you want to change to. Use the Left/Right Panel Path item to change directory to the directory currently opened in left/right panel. You can also change directory to any Hot Path, use Hot Paths items from this menu.
Send path directly to plugin
If you have plugin file system opened in the active panel, you can select this check box to send the specified path directly to the plugin instead of analyzing this path (e.g. if you have directory "c:\" on your Unix FTP server, you can change path to this directory instead of changing path to root of the C: drive).

See Also

Changing Directory in Panel


Change Icon dialog box

Altap Salamander: Dialog Boxes

Change Icon

Use this dialog box to specify an icon.

Dialog Box Options

File Name
The name for the file containing the icon you want.
Browse
Displays the Browse dialog box so you can select a file containing the icon you want.
Current Icon
Click the icon you want to use.


Choose Files to Compare dialog box

Altap Salamander: Dialog Boxes

Choose Files to Compare

Specify files to compare in this dialog.

Dialog Box Options

Compare file
Specify the first file to compare. You can browse for this file using the button behind this field.
With file
Specify the second file to compare. You can browse for this file using the button behind this field.
Do not display this dialog if you have both names to compare
When checked, this dialog is not displayed when both files were specified in panels. See Customizing User Menu for details. You can change this option later in Configuration/Confirmations

See Also

Customizing User Menu


Code Page Conversion Tables dialog box

Altap Salamander: Dialog Boxes

Code Page Conversion Tables

Choose the code page conversion tables in this dialog box. These tables are used in the Internal Viewer, the Convert command, and in some plugin viewers. It allows you to convert text stored in different than ANSI character coding (e.g. EBCDIC, MAC, or MS-DOS) to ANSI coding which can be properly displayed in Windows.


Compare Directories dialog box

Altap Salamander: Dialog Boxes

Compare Directories

Use this dialog to set criteria for comparing directories in the left and right panels. Comparing starts with canceling selection in both panels and selecting files existing only in one panel.

Dialog Box Options

Compare files with same name by
Size
When checked, bigger files will be selected. Otherwise files are not compared by size.
Date and time
When checked, newer files will be selected. Otherwise files are not compared by time.
Attributes
When checked, files with different attributes will be selected in both panels. Otherwise, files are not compared by attributes.
Content
When checked, files with different contents will be selected in both panels. Otherwise, files are not compared by content.
Subdirectories options
Compare subdirectories
When checked, directories existing only in one panel will be selected and directories with different contents will be selected in both panels. Otherwise directories are ignored. Content of directories is compared using the criteria chosen in this dialog (e.g. file sizes are compared only if Size box is ticked).
Compare attributes of subdirectories
When checked, directories with different attributes will be selected in both panels. Otherwise, directories are not compared by attributes.
Select subdirectories contained only in one panel
When checked, directories existing only in one panel will be selected.
Other options
Ignore files
When checked, files matching the specified file mask will be ignored. If you want to filter files to compare (to ignore all other files), use excluded masks part of file mask (e.g. |*.cpp;*.h will ignore anything except *.cpp;*.h).
Ignore directories
When checked, directories matching the specified file mask will be ignored.

See Also

Comparing Directories


Connect to Network Path dialog box

Altap Salamander: Dialog Boxes

Connect to Network Path

Use this dialog to connect to network path.

Dialog Box Options

User name
Type the account user name.

Note To connect using an account in a different domain, in the User Name box, type the domain name followed by a backslash (\) and the user name for the account, such as: Sales\cristal.

Password
Type the account password.


Convert dialog box

Altap Salamander: Dialog Boxes

Convert

Use this dialog box to change coding or to convert end of line (EOL) characters of selected files.

Dialog Box Options

Convert files
Use file masks to specify what files should be converted.
Change Coding
Select current and required coding of converted files.
Change end of line (EOF) characters
Allows you to change end of line (EOF) characters in selected files.
Include subdirectories
When checked, operation includes files contained within selected directories.

See Also

Converting Contents of Text Files


Copy dialog box

Altap Salamander: Dialog Boxes

Copy

Use this dialog box to copy selected files and directories from the source panel into destination directory.

Dialog Box Options

Copy to
Contains a path to the destination directory. It can be full or relative disk path, archive path, or plugin file system path. This area is initialized with the path to the target panel, but you can change it to any other directory (e.g. you can pack files to archive even if the archive is not opened in the target panel). You can use the operation mask to change copied filenames. Use the drop-down list to select previously used destination directory.
Browse Menu (click the button behind the Copy to field)
Use the Browse item to display the Browse dialog box in which you can select the destination directory. Use the Left/Right Panel Path item to set the destination directory to the directory currently opened in left/right panel. You can also set the destination directory to any Hot Path, use Hot Paths items from this menu.
Options
Use this button to show/hide options for the operation. See these options below. For faster access to these options you can use shortcut keys even when these options are hidden. For example: use Alt+S key to show options and turn on Speed limit (note that shortcut keys for options are underlined when you press Alt key). Use button drop-down menu to save current options as defaults (or to reset options and defaults). Defaults will be used when you open this dialog box next time.
Wait until all other Copy/Move operations are finished
When checked, the operation is paused until all previous Copy/Move operations are finished (or cancelled). Otherwise operation is started immediately. Use this option to process operations in a simple queue. It is recommended to use this option if source or destination directories of operations are on the same disk. If you start all operations simultaneously, the disk must seek among all currently read and written files, it means slow down for all operations.
Overwrite older and skip other existing files without asking
When checked, all older existing files will be overwritten and all other existing files will be skipped (not overwritten) without any prompt. Otherwise you will get the Overwrite prompt in which you can decide if you want to overwrite the file or skip it (see File overwrite in Configuration/Confirmations). Use this option as a simple synchronization of two directories: copy only newer and not existing files.
Speed limit
When checked, files will be copied with the specified speed limit. Set the speed limit in bytes, kilobytes, megabytes, or gigabytes per second (B/s, KB/s, MB/s, or GB/s). Otherwise, files will be copied without speed limit.
Preserve Archive, Compressed, and Encrypted attributes
When checked, the target files and directories will have the same set of Archive, Compressed, and Encrypted attributes as the source files and directories. Otherwise attributes of files and directories moved in scope of one drive (they are just renamed) are not changed and Archive attribute will be added and Compressed and Encrypted attributes will be inherited from the destination directory for all other copied or moved files and directories (except when copying Encrypted files and directories, Encrypted attribute will be kept, so they cannot inherit Compressed attribute, see Compressing and Encrypting of Files and Directories for details).
Preserve owners and permissions (not inherited) on NTFS drives
When checked, owners and permissions (not inherited) are copied from source to destination files and directories on NTFS drives. Otherwise owners and permissions of files and directories moved in scope of one drive (they are just renamed) are not changed and for all other files and directories the default owners and permissions (system sets them when file or directory is created) are used.
Preserve dates and times of directories
When checked, dates and times of directories are copied from source to destination directories. Otherwise dates and times are not set on directories (current time is used).
Ignore alternate data streams (ADS)
When checked, Copy/Move operation does not care for alternate data streams (ADS) of copied/moved files and directories. Otherwise ADS are copied or moved with files and directories as usual. Use this option to remove unwanted ADS from copied files/directories. When you move files in scope of one disk volume, they are just renamed, so ADS will not be removed from them in this case. Use this option also when you know copied/moved files and directories do not contain ADS and you are copying/moving from slow network disk (e.g. from virtual private network - VPN), it can speed up operation drastically, detection of ADS for all copied/moved files/directories is very slow. Two samples of using ADS follows. Internet Explorer stores zone information to ADS of every file downloaded from Internet, so downloaded files can be later identified and some additional warnings can be displayed. Windows Explorer stores summary information for the file (title, subject, author, etc.) to ADS, see Summary tab in Properties.
Only files (prevent creating of empty directories)
When checked, destination directories are created only if they will contain some files. Otherwise all source directories are copied/moved to destination directories.
Files named
When checked, only files matching the specified file mask are copied/moved. Otherwise this option is ignored.
Advanced
Click this button to display the Advanced Options dialog box. You can set advanced options required for copied/moved files. For example, you can copy only files modified during one hour (files not older than one hour). See Only files (prevent creating of empty directories) option above to get rid of empty directories.

See Also

Copying Files and Directories


Create Directory dialog box

Altap Salamander: Dialog Boxes

Create Directory

Use this dialog box to create new directory.

Options

Directory Name
Type the name for the new directory. Name can be entered either as relative path to the current directory or as full path. You can create more directories at once (e.g. if you enter C:\a\b\c and C:\a does not exist, three directories will be created).

See Also

Creating a Directory


Customize Toolbar dialog box

Altap Salamander: Dialog Boxes

Customize Toolbar

Use this dialog box to add, remove, and rearrange the buttons on the toolbar. Most of the commands available on Altap Salamander menus has an equivalent button.

Dialog Box Options

Available toolbar buttons
Displays the buttons that you can add to the toolbar.
Current toolbar buttons
Displays the buttons in the order they appear (from left to right) on the toolbar.
Add ->
Moves the button selected in the Available toolbar buttons list to the Current toolbar buttons list.
<- Remove
Moves the button selected in the Current toolbar buttons list to the Available buttons list.
Close
Closes the dialog, accepting the changes you have made.
Reset
Restores the default set of buttons on the toolbar in the active window.
Move Up
Moves the selected button up one line. On the toolbar, the button shifts left one space.
Move Down
Moves the selected button down one line. On the toolbar, the button shifts right one space.

See Also

Customizing Toolbars


Disconnect dialog box

Altap Salamander: Dialog Boxes

Disconnect

Use this dialog box to disconnect network connections and to close currently opened plugin file systems. You can select more connections or plugin file systems and so disconnect them all at once.


Drive Information dialog box

Altap Salamander: Dialog Boxes

Drive Information

Use this dialog box to display information about drive or to change volume name.

Dialog Box Options

Volume Name
Displays the name of the volume. You can enter another name to set new one. Labels on NTFS disks can contain up to 32 characters. Labels on FAT and HPFS disks can contain up to 11 characters.

See Also

Displaying Drive Information


Edit New File dialog box

Altap Salamander: Dialog Boxes

Edit New File

Use this dialog box to create new file and open it in associated editor.

Dialog Box Options

New File Name:
Type the name for the new file. If you want to create the file in other than current directory, you can type the full path of the new file.
Options (click the button behind the New File Name field)
It is possible to store current filename as default using the Save current file name as default command or return to original filename using the Revert default file name command. Default filename will be used when you open this dialog box next time.

See Also

Editing File


Filter dialog box

Altap Salamander: Dialog Boxes

Filter

Use this dialog box to limit displayed filenames in panel.

Dialog Box Options

Do not use filter
When selected, indicates that all files will be displayed.
Use filter
When selected, type file masks to limit displayed names. Use the drop-down list to select previously used file masks.

See Also

Limiting the Files and Directories to Display


Load Selection dialog box

Altap Salamander: Dialog Boxes

Load Selection

Use this dialog box to load a previously stored selection into the active panel.

Dialog Box Options

Get names from
Selection memory
The selection will be loaded from the selection memory (only for use inside Salamander).
Clipboard
The selection will be loaded from the clipboard (format is simple: one name per line, so you can prepare the selection also in text editor).
Operation
Copy over current selection
The current selection will be canceled before loading the selection.
Add to current selection
The loaded selection will be added to the current selection.
Subtract from current selection
The loaded selection will be subtracted from the current selection.
Intersect with current selection
The resulting selection will be intersection between the loaded selection and the current selection.

See Also

Saving and Loading Selection


Make File List dialog box

Altap Salamander: Dialog Boxes

Make File List

Use this dialog box to create the list of selected files and directories. The list can be saved to a specified file, to the clipboard, or opened in the Internal Viewer. Format of lines in the list can be specified.

Dialog Box Options

Line
Specify the format string for lines of the list. Build the format string from your text and the variables contained in the context menu which can be opened by clicking the button on the right side of the Line field. You can set the width of the variable value to some fixed number of characters or to 'max' (to fit to the longest value). For example: "$(FileName:20)$(TAB)$(FileSize)$(CRLF)" or "$(FileName:max)$(TAB)$(FileSize)$(CRLF)". If you need to write a dollar character ($), type it twice (e.g. "$$30 utility $(FileName)$(CRLF)"). Use the drop-down list to select previously used format string.
Destination: Clipboard, Internal Viewer, File
Choose the destination for the list. If you want to save it to the file, specify here also its filename.
Append to file
When selected and the specified file already exists, output will be appended to the file instead of overwriting it.

See Also

Making List of Files and Directories


Move/Rename dialog box

Altap Salamander: Dialog Boxes

Move/Rename

Use this dialog box to move selected files and directories from the source panel into destination directory.

Dialog Box Options

Move to
Contains a path to the destination directory. It can be full or relative disk path, archive path, or plugin file system path. This area is initialized with the path to the target panel, but you can change it to any other directory (e.g. you can pack files to archive even if the archive is not opened in the target panel). You can use the operation mask to rename processed filenames. Use the drop-down list to select previously used destination directory.
Browse Menu (click the button behind the Move to field)
Use the Browse item to display the Browse dialog box in which you can select the destination directory. Use the Left/Right Panel Path item to set the destination directory to the directory currently opened in left/right panel. You can also set the destination directory to any Hot Path, use Hot Paths items from this menu.
Options
Use this button to show/hide options for the operation. See these options below. For faster access to these options you can use shortcut keys even when these options are hidden. For example: use Alt+S key to show options and turn on Speed limit (note that shortcut keys for options are underlined when you press Alt key). Use button drop-down menu to save current options as defaults (or to reset options and defaults). Defaults will be used when you open this dialog box next time.
Wait until all other Copy/Move operations are finished
When checked, the operation is paused until all previous Copy/Move operations are finished (or cancelled). Otherwise operation is started immediately. Use this option to process operations in a simple queue. It is recommended to use this option if source or destination directories of operations are on the same disk. If you start all operations simultaneously, the disk must seek among all currently read and written files, it means slow down for all operations.
Overwrite older and skip other existing files without asking
When checked, all older existing files will be overwritten and all other existing files will be skipped (not overwritten) without any prompt. Otherwise you will get the Overwrite prompt in which you can decide if you want to overwrite the file or skip it (see File overwrite in Configuration/Confirmations). Use this option as a simple synchronization of two directories: copy only newer and not existing files.
Speed limit
When checked, files will be moved with the specified speed limit. Set the speed limit in bytes, kilobytes, megabytes, or gigabytes per second (B/s, KB/s, MB/s, or GB/s). Otherwise, files will be moved without speed limit.
Preserve Archive, Compressed, and Encrypted attributes
When checked, the target files and directories will have the same set of Archive, Compressed, and Encrypted attributes as the source files and directories. Otherwise attributes of files and directories moved in scope of one drive (they are just renamed) are not changed and Archive attribute will be added and Compressed and Encrypted attributes will be inherited from the destination directory for all other copied or moved files and directories (except when copying Encrypted files and directories, Encrypted attribute will be kept, so they cannot inherit Compressed attribute, see Compressing and Encrypting of Files and Directories for details).
Preserve owners and permissions (not inherited) on NTFS drives
When checked, owners and permissions (not inherited) are copied from source to destination files and directories on NTFS drives. Otherwise owners and permissions of files and directories moved in scope of one drive (they are just renamed) are not changed and for all other files and directories the default owners and permissions (system sets them when file or directory is created) are used.
Preserve dates and times of directories
When checked, dates and times of directories are copied from source to destination directories. Otherwise dates and times are not set on directories (current time is used).
Only files (prevent creating of empty directories)
When checked, destination directories are created only if they will contain some files. Otherwise all source directories are copied/moved to destination directories.
Files named
When checked, only files matching the specified file mask are copied/moved. Otherwise this option is ignored.
Advanced
Click this button to display the Advanced Options dialog box. You can set advanced options required for copied/moved files. For example, you can copy only files modified during one hour (files not older than one hour). See Only files (prevent creating of empty directories) option above to get rid of empty directories.

See Also

Moving or Renaming Files and Directories


Pack dialog box

Altap Salamander: Dialog Boxes

Pack

Use this dialog box to create archive from selected files and directories.

Dialog Box Options

Pack to archive
Enter the location of archive file you want to pack selected files and directories to.
Packer
Specify packer which will be used. You can configure packers in Configuration/Archives/Packers in Pack Dialog.
Delete files from disk after packing to archive
When selected, files will be deleted after packing is successfully done.

See Also

Packing Files and Directories


Plugin Keyboard Shortcuts dialog box

Altap Salamander: Dialog Boxes

Plugin Keyboard Shortcuts

Assign shortcut keys to plugin menu commands (see the Menu Extension section in Using Plugins) in this dialog box.

Dialog Box Options

Menu Items
Contains a list of all plugin menu commands with currently assigned shortcut keys.
Press new shortcut key, Assign
Focus the menu command to which you want to assign new shortcut key. Go to Press new shortcut key box and press that shortcut key. Click the Assign button to assign new shortcut key.
Clear
Focus the menu command to which you want to clear shortcut key. Click the Clear button to clear assigned shortcut key.
Reset
Restores original assignment of shortcut keys for all menu commands of this plugin.


Plugins Manager dialog box

Altap Salamander: Dialog Boxes

Plugins Manager

Use this dialog to install, remove, configure, test, and unload plugins in Altap Salamander. Use the Plugins Manager command from the Plugins menu to open this dialog.

Dialog Box Options

Installed Plugins
Contains a list of all plugins installed in Altap Salamander. You can see plugin's name, if it is loaded in memory, the version of plugin, and plugin's module filename. It is possible to change order of plugins, use the Alt+Up and Down Arrows keys or the Move Item Up/Down buttons on a toolbar in upper right corner of the listview. Order of plugins is used in the Plugins menu, the Change Drive Menu, the Plugin Bar, the Options/Plugin Configuration menu, and the Help/About Plugin menu.
Add
Opens the Add Plugins dialog box where you can install new plugins to Altap Salamander.
Remove
Removes the focused plugin from Altap Salamander. Plugin's files remain on the disk and the plugin can be added to Altap Salamander again whenever you need it.
Configure
Configures the selected plugin. This button is disabled if the focused plugin cannot be configured.
Keyboard
Opens the Plugin Keyboard Shortcuts dialog box where you can assign shortcut keys to plugin menu commands.
Test
Use this button to test if the focused plugin can be loaded.
Test All
Tries to load all plugins.
Unload
Unloads the focused plugin from memory. This button is disabled if the focused plugin is not loaded.
About
Displays the About dialog box for the focused plugin.
Focus
Closes this dialog and focuses the plugin's module file in the active panel.
Show plugin icon in Plugin bar
Menu commands of all plugins with the Menu Extension function (see the Menu Extension section in Using Plugins) can be accessible from the Plugin bar. If you want to show a button for this plugin's menu on the Plugin bar, tick this box.
Show FS item in Change Drive menu and Drive bar
All plugins with the File System function (see the File System section in Using Plugins) can add an item for its file system to the Change Drive menu. Tick this box if you want the item for this plugin's file system in the Change Drive menu.

See Also

Managing Plugins


Quick Rename dialog box

Altap Salamander: Dialog Boxes

Quick Rename

Use this dialog box to rename file or directory.

Options

Rename to
Type a new name for file or directory. You can use the operation mask to reuse some part of the original filename.

See Also

Changing the Name of File or Directory


Save Selection dialog box

Altap Salamander: Dialog Boxes

Save Selection

Use this dialog box to save a current selection in the active panel.

Dialog Box Options

Save selected names to
Selection memory
The selection will be saved to the selection memory (only for use inside Salamander).
Clipboard
The selection will be saved to the clipboard (format is simple: one name per line, so you can use the selection also in text editors, etc.).

See Also

Saving and Loading Selection


Select dialog box

Altap Salamander: Dialog Boxes

Select

Use this dialog box to select a group of files and directories in the active panel.

Dialog Box Options

Select files
Use file masks. Use the drop-down list to select previous select masks.

See Also

Selecting Files and Directories
Unselect Dialog


Set Speed Limit dialog box

Altap Salamander: Dialog Boxes

Set Speed Limit

Use this dialog box to set a speed limit for a running Copy or Move operation. You can open this dialog from the operation progress dialog using Set Speed Limit command from the drop-down menu on the Pause/Resume button.

Dialog Box Options

Do not use speed limit
When selected, indicates that no speed limit will be applied.
Set speed limit
When selected, files will be copied or moved with the specified speed limit. Set the speed limit in bytes, kilobytes, megabytes, or gigabytes per second (B/s, KB/s, MB/s, or GB/s).

See Also

Copy dialog box
Move/Rename dialog box


Shared Directories dialog box

Altap Salamander: Dialog Boxes

Shared Directories

Use this dialog box to see a list of all shared directories, stop sharing, or focus shared directory in the active panel.

Dialog Box Options

List of shared directories
Displays a list of all shared directories (share name, shared path, and comment).
Stop Sharing
Use this button to stop sharing of focused shared directory.
Focus
Use this button to change directory in the active panel to the focused shared directory.
Refresh
Use this button to read all shared directories from system again. It is needed if you change sharing from other application while this dialog is opened.

See Also

Displaying Shared Directories


Unpack dialog box

Altap Salamander: Dialog Boxes

Unpack

Use this dialog box to extract archive to disk.

Dialog Box Options

Unpack archive to
Specify the full or relative path to the destination directory (if it does not exist, it will be created).
Unpacker
Specify unpacker which will be used. For external unpackers, you can choose the version you prefer to use. You can configure unpackers in Configuration/Archives/Unpackers in Unpack Dialog.
Delete archive after unpacking
When selected, archive will be deleted after unpacking is successfully done. If it is multi-volume archive, all its volumes will be deleted.
Unpack files
Specify file names which will be extracted from archive. The default is *.*, it means that all files will be extracted.

See Also

Unpacking Archive File


Unselect dialog box

Altap Salamander: Dialog Boxes

Unselect

Use this dialog box to unselect a group of files and directories in the active panel.

Dialog Box Options

Unselect files
Use file masks. Use the drop-down list to select previous unselect masks.

See Also

Selecting Files and Directories
Select Dialog


User's Skill Level dialog box

Altap Salamander: Dialog Boxes

User's Skill Level

Use this dialog to reduce number of items in menu according to your current skill level to simplify work with Altap Salamander.

Dialog Box Options

Beginning
Set this level if you are starting with Altap Salamander. Menu will contain only the basic commands.
Intermediate
Set this level if you think that you have already learned all basic commands. Menu will contain commands for intermediate users.
Advanced
Set this level if you want to use the full power of Altap Salamander. Menu will contain all commands.

See Also

Setting User's Skill Level


Keyboard Shortcuts

There are many hotkeys defined in Altap Salamander. These can speed up your work with files and directories. You can find all the functions in menu together with associated hotkeys, so you can learn hotkeys just in time of use. Take this list as overview of all hotkeys, not as something you have to know to use Altap Salamander efficiently.

Shortcut keys for plugin commands and windows are mentioned in section Plugins of this help (see Contents tab).

Page Content

Keyboard Shortcuts in Panels
Keyboard Shortcuts in Command Line
Keyboard Shortcuts in Internal Viewer

Panels

Press | To
F1 | Display help contents
F2 | Rename the focused file or directory
F3 | View the focused file
F4 | Edit the focused file
F5 | Copy the selected files and directories
F6 | Move the selected files and directories
F7 | Create the directory in the active panel
F8 | Delete the selected files and directories
F9 | Open the user menu
F10 or Alt | Enter or leave Altap Salamander's menu bar
F11 | Connect the network drive
F12 | Disconnect the network drive
Ctrl+F1 | Display the Drive Information dialog
Ctrl+F2 | Change attributes of the selected files and directories
Ctrl+F3 | Sort files and directories in the active panel by name. Press the key again to reverse sort order.
Ctrl+F4 | Sort files and directories in the active panel by extension. Press the key again to reverse sort order.
Ctrl+F5 | Sort files and directories in the active panel by time. Press the key again to reverse sort order.
Ctrl+F6 | Sort files and directories in the active panel by size. Press the key again to reverse sort order.
Ctrl+F7 | Change case of the selected files and directories
Ctrl+F9 | Refresh the list of files and directories in the active panel
Ctrl+F10 | Compare directories from active and inactive panel
Ctrl+F11 | Maximize/restore the active panel. When you have maximized panel, you can switch to other panel using the Tab key (it will be maximized instead of active panel).
Ctrl+F12 | Choose filter for the active panel
Alt+F1 | Change the drive in the left panel
Alt+F2 | Change the drive in the right panel
Alt+F3 | View the focused file in the alternate viewer
Alt+F4 | Exit Altap Salamander
Alt+F5 | Pack selected files and directories
Alt+F6 | Unpack selected archive
Alt+F7 | Find files
Alt+F9 | Unpack selected archive
Alt+F10 | Calculate space occupied by the selected files and directories
Alt+F11 | Open List of Opened Files
Alt+F12 | Open List of Working Directories
Shift+F1 | Switch to the What Is This? mode (context help)
Shift+F3 | Open current directory in Windows Explorer
Shift+F4 | Edit the new file
Shift+F7 | Change the current directory
Shift+F8 | Delete the selected files and directories, inverts Recycle Bin settings
Shift+F9 | Open Hot Paths menu
Shift+F10 | Open context menu for selected files and directories or item from the Change Drive menu
Ctrl+Shift+F3 | View the focused file with chosen viewer
Ctrl+Shift+F4 | Edit the focused file with chosen editor
Ctrl+Shift+F5 | Save the selected names
Ctrl+Shift+F6 | Load the selected names
Ctrl+Shift+F9 | Display shared directories
Ctrl+Shift+F10 | Calculates directory sizes in active panel
Ctrl+Shift+F11 | Maximize/restore main window of Altap Salamander
Alt+Shift+F10 | Open the context menu for the current directory in active panel
Insert | Select/unselect the focused file or directory in the active panel
Ctrl+Insert | Copy the selected files and directories to the clipboard
Alt+Insert | Insert the full name of the focused file or directory to the clipboard
Alt+Shift+Insert | Insert the name of the focused file or directory to the clipboard
Ctrl+Alt+Insert | Insert the full path of the current directory in active panel
Ctrl+Shift+Insert | Insert the UNC full name of the focused file or directory to the clipboard
Shift+Insert | Paste files and directories from the clipboard to the current directory or change current directory in panel to path (stored as text) from the clipboard
Delete | Delete the selected files and directories
Shift+Delete | Delete the selected files and directories, inverts Recycle Bin settings
Space | Select/unselect the focused file or directory in the active panel and calculate directory size
Alt+Space | Open the window menu of Altap Salamander's main window
Ctrl+Space | Insert the full name of the current directory in the active panel to the Command line
Ctrl+Shift+Space | Insert the DOS name of the current directory in the active panel to the Command line
Backspace | Go to the parent directory in the active panel
Control+Backspace | Go to the root directory (same as Ctrl+\)
Shift+Backspace | Go to the root directory (same as Ctrl+\)
Up | Go to previous file or directory
Down | Go to next file or directory
Left | Go to file or directory on the left side or scroll panel to the left
Right | Go to file or directory on the right side or scroll panel to the right
Shift+Up | Select (if focused item was unselected when Shift was pressed) or unselect focused item and go to previous item
Shift+Down | Select (if focused item was unselected when Shift was pressed) or unselect focused item and go to next item
Shift+Left | Select (if focused item was unselected when Shift was pressed) or unselect all items from focused item to the item on the left side and go to the item on the left side
Shift+Right | Select (if focused item was unselected when Shift was pressed) or unselect all items from focused item to the item on the right side and go to the item on the right side
Alt+Left | Back (in directories history)
Alt+Right | Forward (in directories history)
Alt+Up | Go to previous selected file or directory
Alt+Down | Go to next selected file or directory
Ctrl+Up | Scroll panel up one item (it does not change focus)
Ctrl+Down | Scroll panel down one item (it does not change focus)
Ctrl+Left | Scroll panel to the left (it does not change focus)
Ctrl+Right | Scroll panel to the right (it does not change focus)
Ctrl+Shift+Left/Right | Open the focused directory or archive or locate the focused file in the other panel. Use the arrow in the direction to other panel to activate other panel (the arrow in opposite direction does not activate other panel).
Home | Go to the first file or directory
End | Go to the last file or directory
Ctrl+Home | Go to the first file
Shift+Home | Select (if focused item is unselected) or unselect all items from focused item to the first item and go to the first item
Shift+End | Select (if focused item is unselected) or unselect all items from focused item to the last item and go to the last item
Alt+Home | Go to the first selected file or directory
Alt+End | Go to the last selected file or directory
Page Up | Go up one page
Page Down | Go down one page
Shift+Page Up | Select (if focused item was unselected when Shift was pressed) or unselect all items from focused item to the item up one page and go up one page
Shift+Page Down | Select (if focused item was unselected when Shift was pressed) or unselect all items from focused item to the item down one page and go down one page
Ctrl+Page Up | Go to the parent directory
Ctrl+Page Down | Go to focused directory or archive
Enter | Execute focused file or go to focused directory or archive
Ctrl+Enter | Insert the name of the focused file or directory to the Command line
Ctrl+Shift+Enter | Insert the DOS name of the focused file or directory to the Command line
Alt+Enter | Show properties of the focused file or directory
Tab | Switch to the inactive panel
Ctrl+Tab | Switch to/from the Command line
Shift+Escape | Minimize the main window of Altap Salamander
Num + | Select files (and optionally also directories) in the active panel
Ctrl+= (+) | Select files (and optionally also directories) in the active panel
Ctrl+Num + | Select all files and directories in the active panel
Num - | Unselect files (and optionally also directories) in the active panel
Ctrl+- | Unselect files (and optionally also directories) in the active panel
Ctrl+Num - | Unselect all files and directories in the active panel
Num * | Invert the selection on files (and optionally also on directories) in the active panel
Ctrl+Num * | Invert the selection on all files and directories in the active panel
Num / | Open a Command Shell window
Ctrl+/ | Open a Command Shell window
Ctrl+\ | Go to the root directory (same as Shift+Backspace)
Shift+Num + | Select files which have the same extension as focused file
Shift+Num - | Unselect files which have the same extension as focused file
Ctrl+Shift+Num + | Select files which have the same name part as focused file
Ctrl+Shift+Num - | Unselect files which have the same name part as focused file
Ctrl+[ | Insert the full name of the current directory in the left panel to the Command line
Ctrl+Shift+[ | Insert the DOS name of the current directory in the left panel to the Command line
Ctrl+] | Insert the full name of the current directory in the right panel to the Command line
Ctrl+Shift+] | Insert the DOS name of the current directory in the right panel to the Command line
Alt+0..9 | Change current view mode in the active panel
Ctrl+Shift+0..9 | Define Hot Path number 0..9 to the current directory
Ctrl+0..9 or Shift+0..9 | Change the directory in the active panel to Hot Path number 0..9
Ctrl+Alt+0..9 or Shift+Alt+0..9 | Change the directory in the another panel to Hot Path number 0..9
Ctrl+Shift+= (+) | Add the current directory to Hot Paths. It works only if some Hot Path on position 11..30 is free.
Shift+A..Z | Change the drive in the active panel to drive A:..Z:
A..Z | Quick Search
Alt+A..Z | Open submenu from the Altap Salamander menu, see the underlined characters in the menu bar
Ctrl+A | Select all files and directories
Ctrl+C | Copy the selected files and directories to the clipboard
Ctrl+D | Unselect all files and directories
Ctrl+E | Send the selected files and directories as email attachment
Ctrl+F | Find files
Ctrl+G | Change the current directory
Ctrl+H | Turn on/off displaying of hidden and system files and directories
Ctrl+I | Repeat the last plugin command (from Plugins menu)
Ctrl+K | Convert contents of selected (text) files: change character coding and end of lines
Ctrl+L | Display the Drive Information dialog
Ctrl+M | Make File List dialog
Ctrl+N | Turn on/off the smart mode for the Name column's width (see the Set smart mode: Left/Right panel option in Configuration/Views)
Ctrl+O | Security / Owner
Ctrl+P | Security / Permissions
Ctrl+Q | Calculate space occupied by the selected files and directories
Ctrl+R | Refresh the active panel
Ctrl+S | Paste Shortcut
Ctrl+T | Go to the target of the focused shortcut (.lnk file)
Ctrl+U | Swap panels
Ctrl+V | Paste files and directories from the clipboard to the current directory or change current directory in panel to path (stored as text) from the clipboard
Ctrl+W | Restore the selection used for the last (previous) operation
Ctrl+X | Cut the selected files and directories to the clipboard
Ctrl+; | Change directory in the active panel to the Documents folder
Ctrl+. or Ctrl+Shift+` | Change directory in the active panel to the directory from the other panel
Ctrl+, or Ctrl+` | Open the Network in the active panel (if the Network plugin is installed) or open the Network window for the active panel

You can assign keyboard shortcut to any plugin menu command, see the Keyboard button in the Plugins Manager dialog box.

Command Line

Press | To
Escape | Clear the Command line and switch back to panel
Delete | Delete selection or character after cursor
Shift+Delete | Delete selection or character ahead of cursor
Backspace | Delete selection or character ahead of cursor
Ctrl+Backspace | Delete whole word to the left
Ctrl+Left | Move the cursor one word back
Ctrl+Right | Move the cursor one word forward
Ctrl+Up | List up in the commands history
Ctrl+Down | List down in the commands history
Alt+Down | Drop-down list of commands history
Home | Go to first character
End | Go to last character
Enter | Execute command in the Command line
Alt+Enter | Execute command in the Command line with inverted option Close shell window after command execution (in Command line) (see Configuration/General)
Shift+Enter | Same function as Enter in the panel
Space, Num +, Num -, Num *, Num / | Insert character Space, +, -, *, /
A..Z, Shift+A..Z | Insert character A..Z
Other keys | Same function as in panels

Internal Viewer

Press | To
F2 | Turn on/off line wrapping in text mode
F3 | Find next occurrence
Ctrl+F3 | Find
Shift+F3 | Find previous occurrence
F4 | Switch to hexadecimal mode
Alt+F4 | Close Viewer
F5 | Switch to text mode
F6 | Find next occurrence
Shift+F6 | Find previous occurrence
F7 | Find
F8 | Change characters coding to the next one
Shift+F8 | Change characters coding to the previous one
F11 | Maximize/restore viewer window
Ctrl+A | Select all
Ctrl+C | Copy selection to clipboard
Ctrl+F | Find
Ctrl+G | Go to offset
Ctrl+H | Switch to hexadecimal mode
Ctrl+L | Find next occurrence
Ctrl+N | Find next occurrence
Ctrl+O | Open file
Ctrl+P | Find previous occurrence
Ctrl+R | Refresh - read the file again
Ctrl+S | Copy selected text or whole file (if no selection) to file
Ctrl+T | Switch to text mode
Ctrl+W | Turn on/off line wrapping in text mode
Escape | Close Viewer
Up | Scroll to previous line
Down | Scroll to next line
Left | Scroll to previous column
Right | Scroll to next column
Ctrl+Left | Scroll to the left (several columns)
Ctrl+Right | Scroll to the right (several columns)
Home | Scroll to file begin
End | Scroll to file end
Page Up | Scroll to previous page
Page Down | Scroll to next page
Ctrl+Home | Scroll to file begin
Ctrl+End | Scroll to file end
Ctrl+Page Up | Scroll to file begin
Ctrl+Page Down | Scroll to file end
Shift+Up | Move end of existing selection to previous line in text mode
Shift+Down | Move end of existing selection to next line in text mode
Shift+Left | Move end of existing selection to previous column in text mode
Shift+Right | Move end of existing selection to next column in text mode
Shift+Home | Move end of existing selection to line begin in text mode
Shift+End | Move end of existing selection to line end in text mode
Shift+Ctrl+Home | Move end of existing selection to file begin in both text and hex modes
Shift+Ctrl+End | Move end of existing selection to file end in both text and hex modes
Ctrl+Insert | Copy selection to clipboard
Space | Open the next file from the panel or the Find window (from where you have opened the viewer)
Backspace | Open the previous file from the panel or the Find window (from where you have opened the viewer)
Ctrl+Space | Open the next selected file from the panel or the Find window (from where you have opened the viewer)
Ctrl+Backspace | Open the previous selected file from the panel or the Find window (from where you have opened the viewer)
Shift+Space | Open the last file from the panel or the Find window (from where you have opened the viewer)
Shift+Backspace | Open the first file from the panel or the Find window (from where you have opened the viewer)


Mouse Shortcuts

Mouse shortcuts for plugin windows are mentioned in section Plugins of this help (see Contents tab).

Page Content

Mouse Shortcuts in Panels
Mouse Shortcuts in Internal Viewer

Panels

Do | To
Rotate Mouse Wheel | Scroll panel vertically or horizontally (if only horizontall scroll bar is visible)
Tilt Mouse Wheel | Scroll panel horizontally
Ctrl+Rotate Mouse Wheel | Set thumbnail size in the Thumbnails mode
Shift+Rotate Mouse Wheel | Scroll panel horizontally
Alt+Rotate Mouse Wheel | Select current view

Internal Viewer

Do | To
Rotate Mouse Wheel | Scroll window vertically
Tilt Mouse Wheel | Scroll window horizontally
Shift+Rotate Mouse Wheel | Scroll window horizontally

Remarks

Mouse wheel tilting is supported from Windows Vista. Also mouse with support for wheel tilting must be used.


Context Menus

There are many context menus defined in Altap Salamander. Context menus (also referred to as context or pop-up menus) include only commands that apply to the selected object (or objects) and its context. Most of windows and controls in Altap Salamander can be controlled from context menu.

To open context menu, point the mouse cursor above desired object and right-click it. When the keyboard focus is on an item that can also be selected (such as an item in the panel or text in the Command line), you can press Shift+F10 or the Application key to display the context menu for the selected item or items.


Plugins Concepts

Plugins (add-ins) are very popular nowadays. A plugin is an stand-alone module that adds its services to the application only when these services are needed. The biggest advantage is the stand-alone feature. Everyone can make his/her own plugin if the plugins interface is public. For example someone will make a plugin for viewing avi files (popular video format) and you'll be able to easily view avi files directly from Altap Salamander - you'll just add this new plugin to your installed Altap Salamander. Another big advantage of the stand-alone feature is that adding functions doesn't affect the file size of the main executable. So Altap Salamander will start just as fast even when it contains many new functions (using plugins). Plugins are loaded into memory only when they are needed and they can be unloaded from memory after use.


Understanding Files and Directories

The Windows file systems deals with two kinds of data arrangement: files and directories.

Each file and directory must be given a unique name; within a directory you cannot have two files, two directories, or a file and a directory with the same name as each other. See Naming a File or Directory.

Files

Any data you record on a disk is stored in a file. Files contain information, which may be from a word processor, from a paint program, from a database, or the entire contents of a program.

Whether a file is visible or can be deleted and edited depends upon attributes that are explained in the File and Directory Attributes.

All files have a datestamp which shows what the system date and time were the last time the file was written to. See File and Directory Times.

Each file can be either a binary or ASCII containing human-readable text. See Text Files Coding and End of Line Characters.

Directories

To store information in a logical manner, disks are generally organized into directories, which are often referred to as folders. If you picture a disk as a cabinet, with your programs, database files and pictures as the actual files, than directories are the folders of the filing cabinet. Some of these folders have further folders inside them, called subdirectories, which themselves contain folders, and so on, indefinitely.

The directory or subdirectory containing any given subdirectory is known as its parent directory.

The highest level of organization is the root directory.

The route you take along a directory tree to reach a file is called path. As you proceed along the path, each branch of the tree is separated from the next by a backslash (\) character. For example, the path of Pictures is expressed as C:\My Downloads\Pictures. See Disk Path Specifier.

To refer to Summer.jpg, you use what is called pathname. This consists of a file's path, followed by the name of the file, Summer.jpg's pathname would be C:\My Downloads\Pictures\Summer.jpg.

See Also

File Systems
Naming a File or Directory
Disk Path Specifier
File and Directory Times
File and Directory Attributes
Text Files Coding and End of Line Characters


File Systems

Windows supports four types of file systems on readable/writable disks: the NTFS file system and three file allocation table (FAT) file systems: FAT12, FAT16 and FAT32.

Windows also supports two types of file systems on CD-ROM and digital video disk (DVD) media: Compact Disc File System (CDFS) and Universal Disk Format (UDF).

The structures of the volumes formatted by each of these file systems, as well as the way each file system organizes data on the disk, are significantly different.

FAT

The FAT file system locates the file allocation table near the beginning of the volume. FAT12 is the original implementation of FAT and is intended for very small media (floppy disks). FAT16 was designed for small disks and simple directory structures. FAT32 allowed users to create large volumes on large disks.

Two copies of the file allocation table are stored on the volume. In the event that one copy of the file allocation table is corrupted, the other is used. The file allocation table is stored in a byte offset specified in the FAT boot sector's BIOS Parameter Block (BPB) so that the files needed to start the system can be located.

NTFS

NTFS, the preferred native file system for Windows 2000/XP/Vista/7, is a much more sophisticated, robust, and secure file system than any of the FAT file systems. The NTFS data structures allow you to take advantage of new features, such as:

Recoverability NTFS is a recoverable file system. A user seldom needs to run a disk repair program on an NTFS volume. NTFS guarantees the consistency of the volume by using standard transaction logging and recovery techniques. In the event of a system failure, NTFS uses its log file and checkpoint information to automatically restore the consistency of the file system.

Compression NTFS supports compression on volumes, directories, and files. Files that are compressed on an NTFS volume can be read and written by any Windows-based application without first being decompressed by another program; decompression happens automatically during the file read. The file is compressed again when it is closed or saved.

Encryption The Encrypting File System (EFS) provides the core file encryption technology used to store encrypted files on NTFS volumes. EFS keeps files safe from intruders who might gain unauthorized physical access to sensitive, stored data (for example, by stealing a portable computer or external disk drive).

Security On NTFS volumes, you can set permissions on shares, directories, and files that specify which groups and users have access, and what level of access is permitted. NTFS file and directory permissions apply to users working on the local computer and to users accessing the file over the network from a shared directory. You can also set share permissions that operate on network shares in combination with file and directory permissions.

Disk quotas You can use disk quotas to monitor and limit disk-space use.

Reparse points Reparse points are file system objects in NTFS that can be applied to NTFS files or directories. A file or directory that contains a reparse point acquires additional behavior not present in the underlying file system. Reparse points are used by many of the new storage features in Windows 2000, including volume mount points.

Volume mount points Based on reparse points, volume mount points allow administrators to graft access to the root of one local volume onto the directory structure of another local volume.

Sparse files Sparse files allow programs to create very large files but consume disk space only as needed.

Compact Disc File System (CDFS)

Windows provides support for the ISO 9660-compliant compact disc file system (CDFS), which supports long file names.

Universal Disk Format (UDF)

UDF is a file system defined by the Optical Storage Technology Association (OSTA). UDF is compliant with the ISO 13346 standard and is the successor to the CD-ROM file system (CDFS or ISO 9660).

UDF is targeted for removable disk media like DVD, CD, and Magneto-Optical (MO) discs. Since UDF is based on open standards, it is intended to facilitate data interchange between operating systems, and between consumer devices.


Naming a File or Directory

Files and directories on both Windows file systems NTFS, and FAT file system can be up to 255 characters and can contain spaces, multiple periods, and special characters that are forbidden in MS-DOS file names.

When you create a long name, Windows automatically creates a shorter, MS-DOS-style name. This allows MS-DOS-based computers and applications that do not support long file names to use the directory or file. However, if you save a file using an application that does not support long filenames, the long filename will be lost and the file will have only a short name.

All of the following file naming rules applies to both NTFS and FAT:

  • Names can be up to 255 characters long including extensions. Separate the extension from the name with a period.
  • Names preserve case, but are not case sensitive. Windows retains your use of uppercase and lowercase letters; however, Windows does not distinguish filenames by their case.
  • Names can contain any uppercase or lowercase characters except the following: ? " / \ < > * | :


Disk Path Specifier

The directory can be specified by full or by relative path. The relative path uses current directory, it specifies the path relatively to current directory (e.g. subdirectory of current directory). The full path is totally independent on current directory, it specifies all necessary information to reach the directory.

Full Disk Paths

There are two types of full paths. The first, so-called local path, uses drive letters (e.g. C:\WINDOWS). The second, so-called UNC path, uses UNC (Universal Naming Convention, e.g. \\SERVER\SHARE\WINDOWS). You can see all available drive letters in the Change Drive Menu. First two parts of UNC paths (server and share) are listed in the Network window which is accessible from the Change Drive Menu.

Relative Disk Paths

Relative paths can be specified relatively to current directory (e.g. SUBDIR) or to the last visited directory on drive (e.g. C:SUBDIR is relative to the last visited directory on drive C:). If relative path begins with backslash, it specifies path relatively to the root. Relative path can contain special names - two points (..) and one point (.). Two points stand for parent directory and one point stands for current directory. See following table with samples of relative paths.

Relative Disk Paths:

Current Directory | Relative Disk Path | Resulting Full Disk Path
C:\WINDOWS | SYSTEM | C:\WINDOWS\SYSTEM
C:\WINDOWS\SYSTEM | D: | D:\WORK (provided that last visited directory on drive D: is D:\WORK)
C:\WINDOWS\SYSTEM | D:TEST | D:\WORK\TEST (provided that last visited directory on drive D: is D:\WORK)
C:\WINDOWS\SYSTEM | \TEMP | C:\TEMP
\\NTSERVER\BIGDISK\MEDIA\PICTURES | ..\MOVIES | \\NTSERVER\BIGDISK\MEDIA\MOVIES
\\NTSERVER\BIGDISK\MEDIA\PICTURES | . | \\NTSERVER\BIGDISK\MEDIA\PICTURES
C:\WINDOWS\SYSTEM | COLOR\..\..\HELP\. | C:\WINDOWS\HELP (easier and equivalent relative path is ..\HELP)


File and Directory Attributes

Several characteristics called attributes may be associated with a file or directory. The attributes can be one or more of the following values.

Attribute | Symbol | Meaning
Archive | A | The file or directory is an archive file. Applications use this attribute to mark files for backup or removal.
Compressed | C | The file or directory is compressed (only on NTFS volumes). For a file, this means that all of the data in the file is compressed. For a directory, this means that compression is the default for newly created files and subdirectories.
Encrypted | E | The file or directory is encrypted (only on NTFS volumes). For a file, this means that all of the data in the file is encrypted. For a directory, this means that all newly created files and subdirectories will be encrypted.
Hidden | H | The file or directory is hidden. It is not included in an ordinary directory listing.
Offline | O | The data of the file is not immediately available. This attribute indicates that the file data has been physically moved to offline storage. This attribute is used by Remote Storage, the hierarchical storage management software.
Read-only | R | The file or directory is read-only. Applications can read the file but cannot write to it or delete it. In the case of a directory, applications cannot delete it.
System | S | The file or directory is part of the operating system or is used exclusively by the operating system.
Temporary | T | The file is being used for temporary storage. File systems attempt to keep all of the data in memory for quicker access rather than flushing the data back to mass storage.


File and Directory Times

Coordinated universal time (UTC) is the standard international time used internally by the system. UTC is loosely defined as the current date and time of day in Greenwich, England. This time is called also Greenwich mean time (GMT).

Local time is the date and time of day for your time zone. The current time-zone settings control how the system converts between UTC and local time.

A file time represents the specific date and time at which a specified file was created, last accessed, or last written to. The system records file times whenever applications create, access, and write to files. The system records the times using a 64-bit value specifying the number of 100-nanosecond intervals that have elapsed since 12:00 A.M. January 1, 1601 (UTC). Writing to a file changes the last write time; writing to or reading from the file (including running an executable file) changes the last access time.

Note Not all file systems can record creation and last access time and not all file systems record them in the same manner. For example, on Windows NT FAT, create time has a resolution of 10 milliseconds, write time has a resolution of 2 seconds, and access time has a resolution of 1 day (really, the access date). On NTFS, access time has a resolution of 1 hour. Furthermore, FAT records times on disk in local time, while NTFS records times on disk in UTC, so it is not affected by changes in time zone or daylight saving time.

See Also

File Systems


Text Files Coding and End of Line Characters

Character Sets

Text files use character sets. A character set contains punctuation marks, numerals, uppercase and lowercase letters, and all other printable characters. Each element of a character set is identified by a number.

Most character sets in use are supersets of the U.S. ASCII character set, which defines characters for the 96 numeric values from 32 through 127. There are major groups of character sets:

Windows Character Set (single-byte coding scheme)
The Windows character set is the most commonly used character set in Windows. It is essentially equivalent to the ANSI character set. The Windows character set uses 8 bits to represent each character; therefore, the maximum number of characters that can be expressed using 8 bits is 256 (2^8). This is usually sufficient for Western languages, including the diacritical marks used in Czech, French, German, Spanish, and other languages.
Multibyte character set
Eastern languages employ thousands of separate characters, which cannot be encoded by using a single-byte coding scheme. With the proliferation of computer commerce, double-byte coding schemes were developed so that characters could be represented in 8-bit, 16-bit, 24-bit, or 32-bit sequences. This requires complicated passing algorithms; even so, using different code sets could yield entirely different results on two different computers.
Unicode Character Set
To address the problem of multiple coding schemes, the Unicode standard for data representation was developed. A 16-bit character coding scheme, Unicode can represent 65,536 (2^16) characters, which is enough to include all languages in computer commerce today, as well as punctuation marks, mathematical symbols, and room for future expansion. Unicode establishes a unique code for every character to ensure that character translation is always accurate.
OEM Character Set
The OEM character set is typically used in full-screen MS-DOS sessions for screen display. Characters 32 through 127 are usually the same in the OEM, U.S. ASCII, and Windows character sets. The other characters in the OEM character set (0 through 31 and 128 through 255) correspond to the characters that can be displayed in a full-screen MS-DOS session. These characters are generally different from the Windows characters.
Symbol Character Set
The Symbol character set contains special characters typically used to represent mathematical and scientific formulas.
End of Line Characters

The MS-DOS (including Windows and OS/2), UNIX, and Macintosh operating systems all use different characters to designate the end of a line within a text file.

Symbol | Meaning | Used | Char | Hex
CR | Carriage Return | Macintosh | \r | 0x0d
LF | Line Feed | UNIX | \n | 0x0a
CR/LF | Carriage Return/Line Feed | MS-DOS, Windows, OS/2 | \r\n | 0x0d, 0x0a
NULL | Null character |  | \0 | 0x00

See Also

Converting Contents of Files


Wildcard Characters

Asterisk (*) and question mark (?) are wildcard characters. The asterisk matches any sequence of characters, whereas the question mark matches any single character. You can use these characters to build masks matching groups of file and directory names.

To Search For | Use Mask
Names with any number of characters in the name part and doc extension. | *.doc
Names with the name part readme and any number of characters in the extension. | readme.*
Names with the name part readme and any three-character extension. | readme.???


File Masks

Asterisk (*) and question mark (?) are wildcard characters. The asterisk matches any sequence of characters, whereas the question mark matches any single character. File masks contain wildcard characters (e.g. *.a? matches .a1, anything.ai, etc.) and are separated by semi-colon (e.g. *.txt;*.doc matches a.txt, b.doc, etc.). Excluded masks are placed after vertical line character (e.g. |*.txt;*.doc matches anything except *.txt;*.doc). If you need a semi-colon inside mask, type it twice (e.g. one;;mask).


Operation Masks

Some Altap Salamander operations, such as Copy, Move, or Rename, support entering of operation mask. Operation mask is appended behind the target path.

Operation masks can contain special characters - asterisk (*) for the rest of the name or the extension and question mark (?) for a single character. So the operation mask 'new_*.???' will generate names which begin with 'new_' followed with the rest of the original name (from the fifth character to the end), and end with (.) followed with three characters from the original extension.

Operation masks are usually used for simpler operations like changing extensions in the group of files (you can use '*.html' for renaming .htm files to .html files, etc.).

If you need more sophisticated renaming or moving, consider using of Renamer plugin.

Operation Masks Containing More Points

The mask is divided by the first point (from the left side) to mask for name and mask for extension. Example: filename is "a.b.c.d" (name is "a.b.c", extension is "d"), mask is "*.*.old", mask is divided to "*" and "*.old", resulting filename is "a.b.c.d.old" ("a.b.c" + "*" = "a.b.c"; "d" + "*.old" = "d.old").

See Also

Copy dialog box
Move/Rename dialog box
Quick Rename dialog box


Archive Path Specifier

Archive paths are similar to disk paths. The only difference is that each archive path consists of path to archive file and path in archive file (e.g. if C:\DIR\ARCHIVE.ZIP is an archive file containing PACKED-DIR directory, C:\DIR\ARCHIVE.ZIP\PACKED-DIR is an archive path specifying this directory and C:\DIR\ARCHIVE.ZIP\ is an archive path specifying root of the archive).


Plugin File System Path Specifier

The plugin file system path consists of a plugin file system name, ':' (colon) delimiter, and a plugin specific path. The plugin file system names can be found in the Plugins Manager dialog box, see line FS Name. The plugin specific path is completely defined by plugin, there are no limitations for this path (except maximal length of 259 characters).

Samples of Plugin File System Paths:

Plugin File System Path | Description
ftp://ftp.altap.cz/pub/altap/salamand | FTP Client plugin: server ftp.altap.cz, path /pub/altap/salamand
ftp://ftp.process.com/ANONYMOUS_ROOT:[SSH.DOCS] | FTP Client plugin: server ftp.process.com, path ANONYMOUS_ROOT:[SSH.DOCS]
ftp://user:password@ftp.server.com:21/path/on/server | FTP Client plugin: server ftp.server.com, listening on port 21, login: user+password, path /path/on/server
scp://Prague server/home/user | WinSCP plugin: SCP session Prague server (session contains server address, protocol, authentication, etc.), path /home/user
sftp://altap/etc/ssh | WinSCP plugin: SFTP session altap, path /etc/ssh
DEL:C:\UTIL | Undelete plugin: recovering files from path C:\UTIL
REG:\HKEY_CURRENT_USER\Software\Altap | Registry Editor plugin: key HKEY_CURRENT_USER\Software\Altap
CE:\Windows\Start Menu | Windows Mobile plugin: path on connected mobile device: \Windows\Start Menu


Regular Expressions Syntax

The following description of regular expressions contains part of documentation for the REGEXP library, which is a great work of Henry Spencer. Altap Salamander uses this library to match regular expressions.

Basic Regular Expression Syntax
  • '^' - at the start of the expression matches the start of a line (for example, '^test' matches all strings 'test' placed at the start of a line)
  • '$' - at the end of the expression matches the end of a line
  • '.' - matches any single character (for example, 'do.' matches 'dog', 'dot', 'doe', etc.; 'd..r' matches 'door', 'deer', etc.)
  • '*' - after an expression matches 0 or more matches for the expression (for example, 'ad*' matches 'a', 'ad', and as well as 'add' - in other words, 'a' followed by any number of 'd')
  • '+' - after an expression matches 1 or more matches for the expression (for example, 'do+' matches 'do' and as well as 'doo' - in other words, 'd' followed by at least one 'o')
  • '?' - after an expression matches 0 or 1 match for the expression (for example, 'add?' matches 'ad' and 'add' - in other words, 'ad' followed by optional 'd')
  • '|' - between expressions matches match for first, match for second, etc. (for example, 'red|blue|black' matches 'red', 'blue', and 'black' - in other words, any of mentioned words)
  • '[ ]' - characters in brackets match any one character that appears in the brackets, but no others (for example, 'a[dts]' matches 'ad', 'at', and 'as' - in other words, 'a' followed by 'd', 't', or 's')
  • '[^ ]' - characters in brackets match any one character that doesn't appear in the brackets, but no others (for example, '[^abc]' matches any character except 'a', 'b', and 'c')
  • '[-]' - signifies a range of characters (for example, '1[0-9]' matches all numbers in range '10' to '19')
  • '( )' - glues expressions in parentheses to one expression (for example, '(very )*well' matches 'well', 'very well', and as well as 'very very well' - in other words, any number of 'very ' followed by 'well')
  • '\' - before any character matches this character (for example 'too\.' matches only 'too.', note that 'too.' matches 'tool', 'took', and as well as 'toon' - in other words, 'too' followed by any character)
Regular Expression Syntax

A regular expression is zero or more branches, separated by '|'. It matches anything that matches one of the branches.

A branch is zero or more pieces, concatenated. It matches a match for the first, followed by a match for the second, etc.

A piece is an atom possibly followed by '*', '+', or '?'. An atom followed by '*' matches a sequence of 0 or more matches of the atom. An atom followed by '+' matches a sequence of 1 or more matches of the atom. An atom followed by '?' matches a match of the atom, or the null string.

An atom is a regular expression in parentheses (matching a match for the regular expression), a range (see below), '.' (matching any single character), '^' (matching the null string at the beginning of line), '$' (matching the null string at the end of line), a '\' followed by a single character (matching that character), or a single character with no other significance (matching that character).

A range is a sequence of characters enclosed in '[]'. It normally matches any single character from the sequence. If the sequence begins with '^', it matches any single character not from the rest of the sequence. If two characters in the sequence are separated by '-', this is shorthand for the full list of ASCII characters between them (e.g. '[0-9]' matches any decimal digit). To include a literal ']' in the sequence, make it the first character (following a possible '^'). To include a literal '-', make it the first or last character.

Ambiguity

If a regular expression could match two different parts of the text, it will match the one, which begins earliest. If both begin in the same place but match different lengths, or match the same length in different ways, life gets messier, as follows.

In general, the possibilities in a list of branches are considered in left-to-right order, the possibilities for '*', '+', and '?' are considered longest-first, nested constructs are considered from the outermost in, and concatenated constructs are considered leftmost-first. The match that will be chosen is the one that uses the earliest possibility.

For example, '(ab|a)b*c' could match 'abc' in one of two ways. The first choice is between 'ab' and 'a'; since 'ab' is earlier, and does lead to a successful overall match, it is chosen. Since the 'b' is already spoken for, the 'b*' must match its last possibility-the empty string-since it must respect the earlier choice.

In the particular case where no '|'s are present and there is only one '*', '+', or '?', the net effect is that the longest possible match will be chosen. So 'ab*', presented with 'xabbbby', will match 'abbbb'. Note that if 'ab*' is tried against 'xabyabbbz', it will match 'ab' just after 'x', due to the begins-earliest rule.


Group Policy Restrictions

Altap Salamander uses some Group Policy settings for Windows Explorer and for the Windows interface.

Restriction | Description
NoRun | HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoRun Data type: REG_DWORD, Range: 0 | 1, Default value: 0 The Command Line will be disabled. When the value of this entry is 1, the Command Line is disabled; when the value is 0, Command Line operate normally.
NoDrives | HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoDrives Data type: REG_DWORD, Range: 0x0-0x3FFFFFF, Default value: 0x0 Removes the icons representing selected drives from Change Drive Menu. The value of this entry consists of 32 bits. The lower 26 bits each represent a drive, with the lowest (right-most) bit representing drive A, and the 26th bit from the right representing drive Z. To hide a drive, set the bit that corresponds to its drive letter to 1. To display a drive, set the bit that corresponds to its drive letter to 0. To hide all 26 drives, set all bits to 1, which corresponds to a value of 0x3FFFFFF.
NoFind NoShellSearchButton | HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoFind HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoShellSearchButton Data type: REG_DWORD, Range: 0 | 1, Default value: 0 The Find Files and Directories command will be disabled. When the value of this entry is 1, the Find Files and Directories command is disabled; when the value is 0, the Find Files and Directories command operate normally.
NoNetHood | HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoNetHood Data type: REG_DWORD, Range: 0 | 1, Default value: 0 The Network command will be disabled. When the value of this entry is 1, the Network command is disabled; when the value is 0, the Network command operates normally.
NoNetConnectDisconnect | HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoNetConnectDisconnect Data type: REG_DWORD, Range: 0 | 1, Default value: 0 The Connect (Disconnect) Network Drive command will be disabled. When the value of this entry is 1, the Connect (Disconnect) Network Drive command is disabled; when the value is 0, the command operate normally.
RestrictRun DisallowRun | HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\RestrictRun HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\DisallowRun Data type: REG_DWORD, Range: 0 | 1, Default value: 0 Prevents Altap Salamander from starting the programs represented by entries in the RestrictRun (DisallowRun) subkey. Following features are affected by this restriction: Command Line, External Viewers, Editors, and Command Shell When the value of this entry is 1, users cannot run programs represented by entries in the RestrictRun (DisallowRun) subkey; when the value is 0, users can run all programs.


Unicode Support

Introduction

Unicode is an international standard to encode all of the world's languages correctly. From the file manager point of view we divide the Unicode support into two independent parts:

  • Unicode in file names
    Support for Unicode names of files and directories enable you display such names in panels and perform operations such as copy, move, delete, rename, change attributes, etc. With "Unicode names" we mean names, which cannot be displayed by non-Unicode applications. Instead of proper Korean or Japanese names the question marks are displayed (??????.???).
  • Unicode in text files
    Support for Unicode encoded text files is useful during viewing content of files with viewer, converting files using Convert command, searching for some text pattern using the Find command, or comparing two Unicode files using Comparator plugin.

Unfortunately, Unicode is not supported in Altap Salamander 2.5. We plan to support it in future versions. Now we will describe how to deal with foreign names of files and directories. If you didn't encounter problems with names of files and directories, you can skip reading of this chapter.

Configure Regional and Language Options

The first step to successfully run non-Unicode applications is configuring Windows for your primary language:

  • System Locale or "Language for non-Unicode programs" in Windows XP. This per system variable does not affect anything but ANSI applications. It allows the OS to emulate ANSI applications by using the selected language's code-page to convert between ANSI/OEM and Unicode encodings. You will need administrator privileges to set this. Windows restart will be required.

    In Windows 2000: Open menu Start > Settings > Control Panel, choose the Regional Options icon. On the General page click the Set default... button and choose your language.

    Windows XP: Open menu Start > Settings > Control Panel, choose the Regional and Language Options icon. On the Advanced page in the Language for non-Unicode programs choose your language.

    If you don't want to (or cannot) change the system locale (for example you have no administrator privileges), or cannot restart OS (it is server), you can run non-Unicode applications under Windows XP or Server 2003 using the Microsoft AppLocale Utility.
  • User Locale or "Standards and formats" in Windows XP. This per user variable defines user's preferences for formatting locale sensitive data (date, time, currency, etc). Setting this option is suggested but not necessary. Option can be set on the fly.

    In Windows 2000: Open menu Start > Settings > Control Panel, choose the Regional Options icon. On the General page in the Setting for the current user choose your language.

    Windows XP: Open menu Start > Settings > Control Panel, choose the Regional and Language Options icon. On the Regional Options page in the Standards and formats choose your language.

Get around problems with Unicode names

If configuring Regional and Language Options didn't solve your problems or you need to work with more foreign languages at once, the following tips could help you.

  • Open Windows Explorer for current directory
    Windows Explorer is a Unicode-compliant application so you can use it for particular operation. To open Windows Explorer for current directory use the Commands > Open Folder > Active Folder command (Shift+F3).
  • Basic Salamander commands working with Unicode names:
    Files > Quick Rename (F2)
    Files > View (F3)
    Files > View With (Ctrl+Shift+F3)
    Files > Alternate View (Alt+F3)
    Files > Edit (F4)
    Files > Edit With (Ctrl+Shift+F4)
    Files > Delete (F8) (works only for one focused file or directory)
    Commands > Calculate Occupied Space (Alt+F10)
    Commands > Calculate Directory Sizes (Ctrl+Shift+F10)


Glossary

This glossary contains definitions for terms used in the documentation for Altap Salamander.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z


Glossary A

Altap Salamander: Glossary

A

active panel

The panel in which a user is currently working or directing input. An active panel is distinguished by the color of its directory line. Compare inactive panel

archive file (or just archive)

An archive file contains packed files and directories. Archives are used to save disk space (files in archive are usually compressed), to make backups, to ease transfer of files and directories, etc. You probably know ZIP, RAR, or 7-ZIP archivers and their archive files (with .zip, .rar, and .7z file extensions). See also archiver, packer, and unpacker.

archiver

An archiver is a tool for working with archive files. It includes packing, unpacking, listing, deleting from archive, etc. See also packer, unpacker, and archive file.

ASCII file

Also called a text file, a text-only file, or an ASCII text file, refers to a file in the universally recognized text format called ASCII (American Standard Code for Information Interchange). An ASCII file contains characters, spaces, punctuation, carriage returns, and sometimes tabs and an end-of-file marker, but it contains no formatting information. This generic format is useful for transferring files between programs that could not otherwise understand each other's documents. See also text file.

attributes

Information that indicates whether a file is a read-only, hidden, system, compressed, or encrypted file, and whether the file has been changed since a backup copy of it was made.

auditing

Tracking activities of users by recording selected types of events in the security log of a server or a workstation.


Glossary B

Altap Salamander: Glossary

B

bit

The smallest unit of information handled by a computer. One bit expresses a 1 or a 0 in a binary numeral, or a true or false logical condition. A group of 8 bits makes up a byte, which can represent many types of information, such as a letter of the alphabet, a decimal digit, or other character. Bit is also called binary digit.

bits per second (bps)

The number of bits transmitted every second, used as a measure of the speed at which a device, such as a modem, can transfer data. A character is made up of 8 bits. In asynchronous communication, each character is preceded by a start bit and terminates with a stop bit. So for each character, 10 bits are transmitted. If a modem communicates at 2,400 bits per second (bps), then 240 characters are sent every second.

brief mode

The displaying mode of Altap Salamander panel. Each item appears as a small icon with a label to the right of it. Items are arranged in columns. See also detailed mode.


Glossary C

Altap Salamander: Glossary

C

check box

A small box in a dialog box or property page that can be selected or cleared. Check boxes represent an option that you can turn on or off. When a check box is selected, an X or a check mark appears in the box.

clear check box

To turn off an option by removing the X or check mark from a check box. To clear a check box, you can click it, or you can select it and then press the Space key.

click

To press and release a mouse button quickly.

clipboard

A temporary storage area in memory, used to transfer information. You can cut or copy information onto the clipboard and then paste it into another document or application.

Close button

Remove a window or dialog box, or quit an application. To close a window, you can click Close on the window menu, or you can click the close button icon in the upper right corner of the dialog box. When you close an application window, you quit the application.

cluster

A cluster is the unit of disk space allocation for files and directories. The filesystem does not allocate individual disk sectors, but contiguous groups of sectors, called clusters.

code page

A page that maps character codes to individual characters. Different code pages include different special characters, typically customized for a language or a group of languages. The system uses code pages to translate keyboard input into character values for non-Unicode based applications, and to translate character values into characters for non-Unicode based output displays.

command shell

The command interpreter that is used to pass commands to the operating system.

computer name

A unique name of up to 15 uppercase characters that identifies a computer to the network. The name cannot be the same as any other computer or domain name in the network.

connection

A software link between a client and a shared resource such as a printer or a shared directory on a server. Connections require a network adapter or modem.

CRC

See cyclic redundancy check.

current directory

The directory that is currently displayed in a panel.

cursor

An onscreen indicator, such as a blinking underline or rectangle, that marks the place at which a keystroke will appear when typed. In applications and operating systems that use a mouse, the arrow or other onscreen icon that moves with movements of the mouse.

cyclic redundancy check (CRC)

A procedure used on disk drives to ensure that the data written to a sector is read correctly later. This procedure is also used in checking for errors in data transmission.

The procedure is known as a redundancy check because each data transmission includes not only data but extra (redundant) error-checking values. The sending device generates a number based on the data to be transmitted and sends its result along with the data to the receiving device. The receiving device repeats the same calculation after transmission. If both devices obtain the same result, it is assumed that the transmission is error-free.


Glossary D

Altap Salamander: Glossary

D

default button

In some dialog boxes, the command button that is selected or highlighted when the dialog box is initially displayed. The default button has a bold border, indicating that it will be chosen automatically if you press enter. To override a default button, you can click Cancel or another command button.

desktop

The background of your screen, on which windows, icons, and dialog boxes appear.

destination directory

The directory to which you intend to copy or move files and directories.

detailed mode

The displaying mode of Altap Salamander panel. Each item appears on its own line, with information arranged in columns. The leftmost column contains the small icon. See also brief mode.

dialog box

A window that is displayed to request or supply information. Many dialog boxes have options you must select before Altap Salamander can carry out a command.

directory

Part of a structure for organizing your files on a disk. A directory (also called a folder) can contain files and other directories, called subdirectories or folders within folders.

directory tree

A graphical display of a disk's directory hierarchy. The directories and folders on the disk are shown as a branching structure. The top-level directory is the root directory.

disabled

The state of a control in which normal functionality is not presently available to a user (also referred to as grayed, dimmed, and unavailable).

disk

A physical data storage device attached to a computer.

double-click

To rapidly press and release a mouse button twice without moving the mouse. Double-clicking carries out an action, such as starting an application.

DOS name

See short name.

drag

To press and hold a mouse button while moving the mouse.

drag-and-drop operation

A technique for moving, copying, or linking an object by dragging. The destination determines the interpretation of the operation.

drive icon

An icon in the Change Drive Menu that represents a disk drive on your system. Different icons depict floppy disk drives, hard disk drives, network drives, RAM drives, and CD-ROM drives.

drop-down menu field

A form field that presents a list of selections in drop-down menu style. A drop-down menu form field can be configured to permit the selection of many fields or a single field.


Glossary E

Altap Salamander: Glossary

E

edit field

See text box.

encryption

The process of making information indecipherable to protect it from unauthorized viewing or use, especially during transmission or when it is stored on a transportable magnetic medium.

environment variable

A string consisting of environment information, such as a drive, path, or filename, associated with a symbolic name that can be used by Windows. To define environment variables, use System in Control Panel (Windows NT) or use the Set command from the Windows command prompt.

extension

See filename extension


Glossary F

Altap Salamander: Glossary

F

FAT (file allocation table)

A file system based on a file allocation table (FAT) maintained by some operating systems, including Windows, to keep track of the status of various segments of disk space used for file storage.

FAT32

A derivative of the file allocation table file system. FAT32 supports smaller cluster sizes than FAT in the same given disk space, which results in more efficient space allocation on FAT32 drives. See also FAT; NTFS file system.

file

A collection of information that has been given a name and is stored on a disk. This information can be a document or an application.

filename

The name of a file. MS-DOS supports the 8.3 naming convention of up to eight characters followed by a period and a three-character extension. Windows supports the FAT and NTFS file systems with filenames up to 255 characters. Since MS-DOS cannot recognize long filenames, Windows automatically translates long names of files and folders to 8.3 names for MS-DOS users. See also long name; name mapping; short name.

filename extension

The characters that follow the last period in a filename. Filename extensions are often used to identify the type of file and the application used to create the file.

file system

In an operating system, the overall structure in which files are named, stored, and organized. NTFS, FAT, and FAT32 are types of file systems.

file viewer

A file viewer is a plugin or module that displays data stored in file and provides thumbnails for panel. Common type of file viewer is picture viewer or text viewer.

floppy disk

A disk that can be inserted in and removed from a disk drive. Floppies are most commonly available in a 3.5 or 5.25 inch format.

folder

A grouping of files or other folders, graphically represented by a folder icon, in the Windows environment. A folder is analogous to a PC's file system directory, and many folders are, in fact, directories. A folder may contain other folders as well as file objects. See also directory.

free space

Available space that is used to create logical drives within an extended partition.

full path

A full path is a path that fully specifies the file or directory. It does not matter where you use such path (on your computer), it always address one file or directory. See also relative path, local path, UNC, and path.


Glossary G

Altap Salamander: Glossary

G

GUI

See graphical user interface.

graphical user interface (GUI)

A display format, like that of Windows that represents a program's functions with graphic images such as buttons and icons. GUIs allow a user to perform operations and make choices by pointing and clicking with a mouse.

grayed

See disabled.


Glossary H

Altap Salamander: Glossary

H

hold

To continue to press a keyboard key or mouse button.

hot keys

A Windows feature that allows quick activation of specified accessibility features through a combination of keys pressed in unison.


Glossary I

Altap Salamander: Glossary

I

icon

A graphical representation of an element in Windows, such as a disk drive, directory, group, application, or document. You can enlarge an application icon to a window when you want to use the application by clicking on the icon. Within application, there are also toolbar icon for commands such as cut, copy, paste etc.

IDE

See integrated device electronics.

inactive panel

A panel in which a user's input is not currently being directed. An inactive panel is distinguished by the color of its directory line. Compare active panel.

integrated device electronics (IDE)

A type of disk-drive interface in which the controller electronics reside on the drive itself, eliminating the need for a separate adapter card. IDE offers advantages such as look-ahead caching to increase overall performance.


Glossary J

Altap Salamander: Glossary

J

No Glossary entries.


Glossary K

Altap Salamander: Glossary

K

No Glossary entries.


Glossary L

Altap Salamander: Glossary

L

list box

In a dialog box, a type of box that lists available choices — for example, a list of all files in a directory. If all the choices do not fit in the list box, there is a scroll bar.

local path

Start with the drive letter, followed by a colon (:) and a backslash (\), and separated directories with a backslash. See also universal naming convention (UNC).

long name

A directory name or filename longer than the 8.3 filename standard (up to eight characters followed by a period and a three-character extension) of the FAT file system. Windows automatically translates long names of files and folders to 8.3 names for MS-DOS users.


Glossary M

Altap Salamander: Glossary

M

maximize

To enlarge a window to its maximum size by using the Maximize button (at the right of the title bar) or the Maximize command on the window menu. See also minimize.

Maximize button

The small button containing a window icon at the right of the title bar. Mouse users can click the Maximize button to enlarge a window to its maximum size. Keyboard users can use the Maximize command on the window menu.

menu

A list of available commands in an application window. Menu names appear in the menu bar near the top of the window. The window menu, represented by the program icon at the left end of the title bar, is common to all applications for Windows. To open a menu, click the menu name.

menu bar

The horizontal bar containing the names of all the application's menus. It appears below the title bar.

minimize

To reduce a window to a button on the taskbar by using the Minimize button (at the right of the title bar) or the Minimize command on the window menu. See also maximize.

Minimize button

The small button containing a short line at the right of the title bar. Mouse users can click the Minimize button to reduce a window to a button on the taskbar. Keyboard users can use the Minimize command on the window menu.


Glossary N

Altap Salamander: Glossary

N

name mapping

Is provided by Windows to ensure access by MS-DOS users to NTFS and FAT volumes (which can have share names of up to 255 characters, as opposed to MS-DOS, which is restricted to eight characters followed by a period and a three-character extension). With name mapping, each file or directory with a name that does not conform to the MS-DOS 8.3 standard is automatically given a second name that does. MS-DOS users connecting the file or directory over the network see the name in the 8.3 format; Windows users see the long name.

NTFS file system

A recoverable file system designed for use specifically with Windows NT, 2000, XP, and Vista. NTFS uses database, transaction-processing, and object paradigms to provide data security, file system reliability, and other advanced features. It supports file system recovery, large storage media, and various features for the POSIX subsystem. It also supports object-oriented applications by treating all files as objects with user-defined and system-defined attributes.


Glossary O

Altap Salamander: Glossary

O

owner

In Windows NT, every file and directory on an NTFS volume has an owner, who controls how permissions are set on the file or directory and who can grant permissions to others.


Glossary P

Altap Salamander: Glossary

P

packer

A packer is a tool for storing group of files and directories into single archive file. See also unpacker and archive file.

partition

A partition is a portion of a physical disk that functions as though it were a physically separate unit.

path

A sequence of directory (or folder) names that specifies the location of a directory, file, or folder within the directory tree. Each directory name and filename within the path (except the first) must be preceded by a backslash (\). For example, to specify the path of a file named Readme.wri located in the Windows directory on drive C, you type c:\windows\readme.wri. See also local path and universal naming convention (UNC)

permissions

Windows NT settings you set on a shared resource that determine which users can use the resource and how they can use it.

plugin

A dynamically linked library that loads on request and interacts with a main application (Altap Salamander) to provide a certain function. Typical examples are plugins that view specific files (images, vector graphics, PDF), pack or unpack archives, or connect to remote FTP or SFTP server.

PIF

An acronym for program information file. A PIF provides information to Windows about how best to run MS-DOS-based applications. When you start an MS-DOS-based application, Windows looks for a PIF to use with the application. PIFs contain such items as the name of the file, a start-up directory, and multitasking options.

pixel

The smallest definable unit on the display (screen).

pointer

A graphical image displayed on the screen that indicates the location of a pointing device (also referred to as a cursor).

press

To press and release a keyboard key. See also click.

program file

A file that starts an application or program. A program file has an .exe, .pif, .com, or .bat filename extension.


Glossary Q

Altap Salamander: Glossary

Q

quick search

A way to quickly search a file or directory in the panel, simply by typing its name.


Glossary R

Altap Salamander: Glossary

R

RAM

An acronym for random-access memory. RAM can be read from or written to by the computer or other devices. Information stored in RAM is lost when you turn off the computer.

refresh

To update displayed information with current data.

relative path

A relative path specifies the file or directory relatively to the current path (in panel, or other place where you use relative paths). E.g. relative path Windows\readme.wri used in panel with the current path C:\ will specify the file C:\Windows\readme.wri. See also full path, local path, UNC, and path.

registry

In Windows, a database of information about a computer's configuration. The registry is organized in a hierarchical structure and consists of sub trees and their keys, hives, and entries.

registry key

An identifier for a record or group of records in the registry.

Registry Editor

An application that is used to view and edit entries in the registry.

right-click

To press and release a secondary mouse button quickly.

root directory

The top-level directory on a computer or partition volume. See also directory tree.


Glossary S

Altap Salamander: Glossary

S

screen elements

The parts that make up a window or dialog box, such as the title bar, the Minimize and Maximize buttons, the window borders, and the scroll bars.

scroll arrow

An arrow on either end of a scroll bar that you use to scroll through the contents of the window or list box. Click the scroll arrow to scroll one screen at a time, or continue pressing the mouse button while pointing at the scroll arrow to scroll continuously.

scroll bar

A bar that appears at the right and/or bottom edge of a window or list box whose contents are not completely visible. Each scroll bar contains two scroll arrows and a scroll box, which enable you to scroll through the contents of the window or list box.

scroll box

In a scroll bar, a small box that shows the position of information currently visible in the window or list box relative to the contents of the entire window.

SCSI

See Small Computer System Interface.

share name

A name that refers to a shared resource on a server. Each shared directory on a server has a share name, used by users to refer to the directory.

shared directory

A directory that network users can connect to.

short name

A valid 8.3 (up to eight characters followed by a period and a three-character extension) MS-DOS or OS/2 filename. See also long name; name mapping.

single-click

To open items by single-clicking them, just as you would click a link on a Web page. To select item without opening it, rest your pointer on it.

shortcut key

A key or key combination, available for some commands, that you can press to carry out a command without first selecting a menu. Shortcut keys are listed to the right of commands on a menu.

context menu

A floating menu that contains a group of commands pertinent to a specific task. A context menu appears when the user right-clicks an object.

Small Computer System Interface (SCSI)

A standard high-speed parallel interface defined by the X3T9.2 committee of the American National Standards Institute (ANSI). A SCSI interface is used for connecting microcomputers to peripheral devices, such as hard disks and printers, and to other computers and local area networks.

status area

The area on the taskbar to the right of the taskbar buttons. The status area displays the time and can also contain icons that provide quick access to programs, such as Volume Control and Power Options.

subdirectory

A directory within a directory. Also called a folder within a folder.


Glossary T

Altap Salamander: Glossary

T

taskbar

The bar that contains the Start button and appears by default at the bottom of the desktop. You can use the taskbar buttons to switch between the programs you are running. The taskbar can be hidden, moved to the sides or top of the desktop, or customized in other ways. See also desktop; taskbar button; status area.

taskbar button

A button that appears on the taskbar when an application is running. See also taskbar.

text box

A standard Windows control in which a user can enter and edit text (also referred to as the edit field).

text file

A file containing text characters (letters, numbers, and symbols) but no formatting information. A text file can be a "plain" ASCII file that most computers can read. Text file can also refer to a word-processing file. See also ASCII file.

thumbnail

Thumbnails are smaller versions of larger graphic image displayed in the panel (instead of icons) to make it easier to recognize them.

time-out

If a device is not performing a task, the amount of time the computer should wait before detecting it as an error.

title bar

The horizontal bar (at the top of a window) that contains the title of the window or dialog box. On many windows, the title bar also contains the window icon and the Maximize, Minimize, and Close buttons.


Glossary U

Altap Salamander: Glossary

U

UNC

See universal naming convention.

Unicode

A fixed-width, 16-bit character-encoding standard capable of representing the letters and characters of the majority of the world's languages. Unicode was developed by a consortium of U.S. computer companies.

universal naming convention (UNC)

A convention for naming files and other resources beginning with two backslashes (\), indicating that the resource exists on a network computer. UNC names conform to the \\computer_name\share_name syntax, where computer_name is the server's name and share_name is the name of the shared resource. The UNC name of a directory or file can also include the directory path after the share name, with the following syntax: \\computer_name\share_name\directory\filename. See also local path.

unpacker

An unpacker restores files and directories from archive file. See also packer and archive file.

user name

A unique name identifying a user account to Windows. An account's user name cannot be identical to any other group name or user name of its own domain or workgroup.

user password

The password stored in each user's account. Each user generally has a unique user password and must type that password when logging on or accessing a server


Glossary V

Altap Salamander: Glossary

V

viewer

See file viewer.

volume

A portion of a physical disk that functions as though it were a physically separate disk. In Altap Salamander, volumes appear as local disks, such as drive C or drive D.


Glossary X

Altap Salamander: Glossary

X

No Glossary entries.


Glossary Y

Altap Salamander: Glossary

Y

No Glossary entries.


Glossary Z

Altap Salamander: Glossary

Z

No Glossary entries.


Glossary W

Altap Salamander: Glossary

W

wildcard character

A character that represents one or more characters. The question mark (?) wildcard can be used to represent any single character, and the asterisk (*) wildcard can be used to represent any character or group of characters that might match that position in other filenames.

window

A rectangular area on your screen in which you view an application or document. You can open, close, and move windows, and change the size of most windows. You can open several windows at a time, and you can often reduce a window to an icon or enlarge it to fill the entire desktop.

window menu

A menu that contains commands you can use to manipulate a window. You click the window icon at the left of the title bar to open the window menu. Keyboard users can use the Alt+Space shortcut key.

window icon

Located at the left of a window title bar, the window icon represents the program being run or the open document. Clicking the window icon opens the window menu.